<?php
 namespace App\Backup; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\FindChmodCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\RcloneCopyCommand; use App\System\Command\RcloneLsJsonCommand; use App\System\Command\RclonePurgeCommand; class Rclone { private const FREQUENCY_DAILY = "\x64\141\x69\x6c\171"; private const CONFIG_DIRECTORY = "\x2f\162\157\157\164\x2f\x2e\x63\157\x6e\x66\x69\147\57\x72\x63\x6c\157\x6e\145\x2f"; private const CLP_USER_CONFIG_DIRECTORY = "\x2f\x68\x6f\155\x65\x2f\x63\154\160\x2f\56\x63\157\156\x66\151\x67\57"; private const CLP_USER = "\143\154\160"; public const CREDENTIALS_DIRECTORY = "\x2f\150\x6f\x6d\x65\57\143\x6c\x70\x2f\56\x63\x6f\x6e\x66\151\x67\57\x72\x63\x6c\157\156\145\57\143\x72\145\144\x65\x6e\164\151\x61\154\x73\57"; private const CONFIG_FILE = "\x2f\162\x6f\x6f\x74\57\56\143\157\x6e\x66\x69\x67\57\x72\143\154\x6f\156\145\57\x72\143\x6c\x6f\x6e\x65\x2e\143\x6f\x6e\x66"; private const CRON_JOB_FILE = "\57\145\x74\x63\57\143\162\x6f\x6e\56\x64\x2f\x63\154\160\55\162\x63\154\x6f\x6e\145"; private CommandExecutor $commandExecutor; private ?string $configFile = null; private array $flags = []; public function __construct() { $this->commandExecutor = new CommandExecutor(); } public function setConfigFile(string $configFile) : void { $this->configFile = $configFile; } public function getConfigFile() : ?string { goto f274e; ac5db: $this->configFile = self::CONFIG_FILE; goto f3281; f274e: if (!(true === is_null($this->configFile))) { goto d7f66; } goto ac5db; f3281: d7f66: goto C3714; C3714: return $this->configFile; goto cef80; cef80: } public function addFlag(string $flag, string $value) { $this->flags[] = ["\x66\x6c\141\x67" => $flag, "\166\141\154\165\x65" => $value]; } public function getFlags() : array { return $this->flags; } public function copy(string $source, string $destination) : void { goto bb7dc; e8658: $rcloneCopyCommand->setConfigFile($configFile); goto bc820; d941c: $rcloneCopyCommand->setDestination($destination); goto ba760; bca6a: $rcloneCopyCommand = new RcloneCopyCommand(); goto e8658; ad7e1: $this->commandExecutor->execute($rcloneCopyCommand, 21600); goto F32b1; bc820: $rcloneCopyCommand->setSource($source); goto d941c; A8768: $configFile = $this->getConfigFile(); goto bca6a; bb7dc: $flags = $this->getFlags(); goto A8768; ba760: $this->addFlagsToCommand($flags, $rcloneCopyCommand); goto ad7e1; F32b1: } public function lsJson(?string $remotePath = null, $directoriesOnly = false) : array { goto fb7c6; D9569: $rcloneLsJsonCommand = new RcloneLsJsonCommand(); goto D5e2a; D5e2a: $rcloneLsJsonCommand->setConfigFile($configFile); goto F1581; f09dc: $files = $rcloneLsJsonCommand->getFiles(); goto b03a3; E2c17: $rcloneLsJsonCommand->setDirectoriesOnly(true); goto c481b; b03a3: return $files; goto C06af; fb7c6: $flags = $this->getFlags(); goto Bc6d2; Ea647: if (!(true === $directoriesOnly)) { goto F9a39; } goto E2c17; F1581: $rcloneLsJsonCommand->setRemotePath($remotePath); goto Ea647; d05fa: $this->commandExecutor->execute($rcloneLsJsonCommand, 20); goto f09dc; c481b: F9a39: goto De820; De820: $this->addFlagsToCommand($flags, $rcloneLsJsonCommand); goto d05fa; Bc6d2: $configFile = $this->getConfigFile(); goto D9569; C06af: } public function purge(string $remotePath) { goto cff25; fb0ba: $rclonePurgeCommand = new RclonePurgeCommand(); goto a1fe0; a1fe0: $rclonePurgeCommand->setRemotePath($remotePath); goto C7216; cff25: $flags = $this->getFlags(); goto fb0ba; C7216: $this->addFlagsToCommand($flags, $rclonePurgeCommand); goto Cc3af; Cc3af: $this->commandExecutor->execute($rclonePurgeCommand, 21600); goto a39a8; a39a8: } public function writeConfig(string $config) : void { goto E33fb; b4724: $createConfigDirectoryCommand = new CreateDirectoryCommand(); goto Caa04; Caa04: $createConfigDirectoryCommand->setDirectory(self::CONFIG_DIRECTORY); goto a0969; E33fb: $configFile = $this->getConfigFile(); goto b4724; a0969: $writeConfigFileCommand = new WriteFileCommand(); goto Bda86; ab68d: $this->commandExecutor->execute($writeConfigFileCommand); goto e0d1b; ffb97: $this->commandExecutor->execute($createConfigDirectoryCommand); goto ab68d; Bda86: $writeConfigFileCommand->setFile($configFile); goto D2224; D2224: $writeConfigFileCommand->setContent($config); goto ffb97; e0d1b: } public function writeCredentialsFile(string $file, string $content) : void { goto C2e8d; E6f4b: $credentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto fd9c1; Abeca: $chownConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto Be3cf; fd9c1: $chownConfigDirectoryCommand = new ChownCommand(); goto Abeca; D5f4f: $chmodConfigDirectoryCommand->setDirectoryChmod(770); goto B03f9; C2e8d: $credentialsDirectoryCommand = new CreateDirectoryCommand(); goto E6f4b; B03f9: $chmodConfigDirectoryCommand->setFileChmod(770); goto e6706; fbccd: $chownConfigDirectoryCommand->setUser(self::CLP_USER); goto F9b5a; F806c: $this->commandExecutor->execute($chmodConfigDirectoryCommand); goto b35fc; e6706: $this->commandExecutor->execute($credentialsDirectoryCommand); goto Bbdc5; b35fc: file_put_contents($file, $content); goto d78d8; Ec1ec: $chmodConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto D5f4f; Be3cf: $chownConfigDirectoryCommand->setRecursive(true); goto fbccd; Bbdc5: $this->commandExecutor->execute($chownConfigDirectoryCommand); goto F806c; f91d2: $chmodConfigDirectoryCommand = new FindChmodCommand(); goto Ec1ec; F9b5a: $chownConfigDirectoryCommand->setGroup(self::CLP_USER); goto f91d2; d78d8: } public function createCronJob(string $frequency, string $executionTime = null) : void { goto Bc913; e3f68: $this->commandExecutor->execute($writeCronJobFileCommand); goto E7250; ae9e9: goto Fa414; goto Aa9d4; A0966: $cronJobContent .= sprintf("\x30\40\x2a\57\45\x73\x20\52\x20\52\40\52\40\143\154\x70\40\57\165\x73\162\57\x62\x69\156\57\142\x61\x73\x68\x20\55\x63\40\42\57\x75\163\162\57\x62\x69\x6e\x2f\x63\x6c\x70\143\164\x6c\40\162\145\155\x6f\164\x65\55\x62\x61\x63\x6b\165\x70\x3a\143\x72\145\141\x74\145\x20\55\55\144\x65\154\x61\x79\x3d\x74\x72\x75\x65\x22\x20\x26\x3e\x20\57\x64\x65\x76\x2f\x6e\x75\154\x6c", $frequency); goto ae9e9; F9d3b: $cronJobContent .= sprintf("\60\x20\45\163\x20\52\40\52\40\52\x20\143\x6c\160\x20\57\x75\163\x72\x2f\142\151\x6e\57\x62\x61\x73\x68\x20\x2d\x63\40\42\57\x75\x73\162\57\142\151\156\57\143\154\x70\x63\164\x6c\40\x72\x65\x6d\157\x74\x65\x2d\x62\x61\x63\153\x75\x70\72\143\162\145\141\x74\145\x20\x2d\55\144\145\x6c\141\171\x3d\164\162\165\145\x22\40\x26\76\x20\57\144\x65\166\x2f\x6e\165\x6c\154", $executionTime); goto E60d8; b3a5c: $writeCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto af9f5; cbb96: $writeCronJobFileCommand = new WriteFileCommand(); goto b3a5c; E60d8: Fa414: goto cbb96; A8512: if (self::FREQUENCY_DAILY == $frequency) { goto B6801; } goto A0966; Aa9d4: B6801: goto F9d3b; Bc913: $cronJobContent = sprintf("\x4d\x41\x49\114\x54\x4f\x3d\42\x22\x25\x73", PHP_EOL); goto A8512; af9f5: $writeCronJobFileCommand->setContent($cronJobContent); goto e3f68; E7250: } private function addFlagsToCommand(array $flags, $command) : void { goto cd821; cd821: if (!(false === empty($flags))) { goto D19d8; } goto D174f; D174f: foreach ($flags as $flagData) { $command->addFlag($flagData["\x66\x6c\x61\x67"], $flagData["\x76\x61\154\x75\x65"]); Fb6bf: } goto C89ab; C89ab: f8e33: goto b02f3; b02f3: D19d8: goto b1b2a; b1b2a: } public function deleteCronJob() : void { goto b472f; b472f: $deleteCronJobFileCommand = new DeleteFileCommand(); goto Fba6c; Fba6c: $deleteCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto f0444; f0444: $this->commandExecutor->execute($deleteCronJobFileCommand); goto a010f; a010f: } public function deleteCredentials() : void { goto d692a; C7d05: $this->commandExecutor->execute($deleteCredentialsDirectoryCommand); goto D0b3e; d692a: $deleteCredentialsDirectoryCommand = new DeleteDirectoryCommand(); goto Ab4b8; Ab4b8: $deleteCredentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto C7d05; D0b3e: } }
