<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\Entity\Database as DatabaseEntity; use App\System\CommandExecutor; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\System\Command\DeleteOldFilesRecursiveCommand; use App\System\Command\FindChmodCommand; use App\System\Command\ChownCommand; use App\Database\Exporter as DatabaseExporter; class DatabaseBackupCommand extends BaseCommand { private const RETENTION_PERIOD = 7; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private int $retentionPeriod = 0; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto e3461; C8b96: $this->databaseServerEntityManager = $databaseServerEntityManager; goto Ccd6e; A75bb: $this->databaseEntityManager = $databaseEntityManager; goto C8b96; dbc3e: parent::__construct(); goto b98a0; Ccd6e: $this->commandExecutor = new CommandExecutor(); goto D4100; D4100: $this->validator = $validator; goto dbc3e; e3461: $this->siteEntityManager = $siteEntityManager; goto A75bb; b98a0: } protected function configure() : void { goto a6829; C7bb4: $this->setDescription("\143\154\x70\143\x74\x6c\x20\x64\x62\x3a\x62\141\143\x6b\165\x70\x20\x2d\55\151\147\156\157\x72\x65\104\141\x74\141\142\141\163\x65\163\75\47\x64\142\x31\54\144\142\62\x27\40\55\x2d\162\x65\x74\145\156\164\151\157\156\x50\145\x72\x69\x6f\144\x3d\67"); goto De725; De725: $this->addOption("\x69\x67\x6e\x6f\x72\x65\x44\x61\x74\x61\x62\141\163\x65\163", null, InputOption::VALUE_OPTIONAL); goto D4ee4; a6829: $this->setName("\144\142\72\x62\x61\x63\153\165\x70"); goto C7bb4; D4ee4: $this->addOption("\162\145\x74\145\x6e\x74\151\157\x6e\x50\145\162\151\157\x64", null, InputOption::VALUE_OPTIONAL, '', self::RETENTION_PERIOD); goto bd6c9; bd6c9: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto da448; F536b: $siteEntities = $this->siteEntityManager->findAll(); goto A2ddf; D6102: $this->retentionPeriod = (int) $input->getOption("\162\145\x74\145\156\x74\x69\157\156\120\x65\162\x69\x6f\x64"); goto F536b; f9903: return BaseCommand::SUCCESS; goto E92cf; da448: $this->validateInput($input); goto e6474; Bfffc: d525e: goto f9903; Adce3: foreach ($siteEntities as $siteEntity) { goto Db820; C98a1: foreach ($databaseEntities as $databaseEntity) { goto b6bae; b6bae: $databaseName = $databaseEntity->getName(); goto C29ac; bdd2c: $this->createDatabaseDump($databaseEntity); goto d1d3e; d1d3e: E031e: goto Ee94a; Ee94a: d3ee9: goto e351b; C29ac: if (!(false === in_array($databaseName, $ignoredDatabases))) { goto E031e; } goto bdd2c; e351b: } goto b698e; Db820: $databaseEntities = $siteEntity->getDatabases(); goto B27ee; b0d78: f284a: goto B8ed4; B8ed4: F896a: goto B67c9; B27ee: if (!count($databaseEntities)) { goto f284a; } goto C98a1; b698e: abcd5: goto b0d78; B67c9: } goto A6d84; e6474: $ignoredDatabases = explode("\54", $input->getOption("\x69\147\156\x6f\162\x65\x44\141\164\x61\142\141\x73\145\163")); goto D6102; A6d84: D174a: goto Bfffc; A2ddf: if (!count($siteEntities)) { goto d525e; } goto Adce3; E92cf: } catch (\Exception $e) { goto c1b81; c1b81: $errorMessage = $e->getMessage(); goto Ce913; Ce913: $output->writeln(sprintf("\x3c\x65\162\162\157\162\76\x25\163\74\57\x65\162\162\x6f\x72\76", $errorMessage)); goto Fa5c2; Fa5c2: return BaseCommand::FAILURE; goto b9ec9; b9ec9: } } private function createDatabaseDump(DatabaseEntity $databaseEntity) : void { try { goto a238a; a238a: $dateTime = new \DateTime("\x6e\x6f\167", new \DateTimeZone("\125\124\103")); goto C72fc; a342a: $databaseExporter = new DatabaseExporter($databaseEntity); goto E1e21; E1e21: $databaseExporter->setFile($outputFile); goto e3115; D1584: $this->resetPermissions($databaseEntity); goto F574d; F574d: $this->cleanUpBackups($databaseEntity); goto A6143; e3115: $databaseExporter->createOutputDirectory(); goto Ca8dd; ac02e: $outputFile = sprintf("\45\x73\57\45\163", rtrim($outputDirectory, "\57"), sprintf("\x25\x73\x5f\x25\x73\x2e\x73\x71\154\x2e\x67\x7a", $databaseName, $dateTime->getTimestamp())); goto a342a; Bb235: $outputDirectory = sprintf("\x25\163\57\45\163\57\x25\163\57", rtrim($backupDirectory, "\57"), $databaseName, $dateTime->format("\131\x2d\155\x2d\x64")); goto ac02e; a3594: $backupDirectory = sprintf("\x2f\150\157\x6d\x65\x2f\45\x73\57\142\x61\143\153\x75\x70\x73\x2f\144\x61\x74\x61\142\x61\163\x65\x73\x2f", $siteUser); goto Bb235; af5dd: $databaseName = $databaseEntity->getName(); goto a3594; C72fc: $siteEntity = $databaseEntity->getSite(); goto f185b; f185b: $siteUser = $siteEntity->getUser(); goto af5dd; Ca8dd: $databaseExporter->export(); goto D1584; A6143: } catch (\Exception $e) { $logger = $this->getLogger(); $logger->exception($e); } } private function resetPermissions(DatabaseEntity $databaseEntity) { goto B0bd6; Ee7da: $backupDirectoryChmodCommand = new FindChmodCommand(); goto af209; B95cc: $this->commandExecutor->execute($backupDirectoryChownCommand); goto f78de; ceae6: $siteUser = $siteEntity->getUser(); goto Dc4d9; Dc4d9: $backupDirectory = sprintf("\x2f\150\157\x6d\x65\57\x25\163\x2f\x62\141\x63\153\x75\160\x73\x2f\x64\x61\164\x61\x62\141\x73\x65\x73\x2f", $siteUser); goto Ca9b5; a82c8: $backupDirectoryChmodCommand->setFileChmod(760); goto B95cc; d16e2: $backupDirectoryChownCommand->setFile($backupDirectory); goto c2606; c2606: $backupDirectoryChownCommand->setRecursive(true); goto ac715; af209: $backupDirectoryChmodCommand->setFile($backupDirectory); goto E758f; f21cb: $backupDirectoryChownCommand->setGroup($siteUser); goto Ee7da; E758f: $backupDirectoryChmodCommand->setDirectoryChmod(750); goto a82c8; ac715: $backupDirectoryChownCommand->setUser($siteUser); goto f21cb; f78de: $this->commandExecutor->execute($backupDirectoryChmodCommand); goto D7acb; B0bd6: $siteEntity = $databaseEntity->getSite(); goto ceae6; Ca9b5: $backupDirectoryChownCommand = new ChownCommand(); goto d16e2; D7acb: } private function cleanUpBackups(DatabaseEntity $databaseEntity) { goto e11ba; e11ba: $siteEntity = $databaseEntity->getSite(); goto ebd4e; b998e: $this->commandExecutor->execute($deleteOldBackupsCommand, 360); goto ae418; F8c48: $deleteOldBackupsCommand->setDirectory($databaseBackupDirectory); goto df203; df203: $deleteOldBackupsCommand->setRetentionPeriod($this->retentionPeriod); goto b998e; c5954: $databaseBackupDirectory = sprintf("\57\x68\157\155\145\x2f\x25\x73\x2f\142\x61\143\153\x75\x70\x73\x2f\x64\141\x74\x61\142\141\163\x65\x73\x2f", $siteUser); goto c53b7; c53b7: $deleteOldBackupsCommand = new DeleteOldFilesRecursiveCommand(); goto F8c48; ebd4e: $siteUser = $siteEntity->getUser(); goto c5954; ae418: } }
