<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Symfony\Component\Console\Question\ConfirmationQuestion; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Database\Manager as DatabaseManager; class DatabaseDeleteCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private ValidatorInterface $validator; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto A8cf6; A8cf6: $this->siteEntityManager = $siteEntityManager; goto f613b; fba5c: $this->databaseUserEntityManager = $databaseUserEntityManager; goto be259; ba82d: parent::__construct(); goto E2859; f613b: $this->databaseEntityManager = $databaseEntityManager; goto fba5c; c5446: $this->validator = $validator; goto ba82d; be259: $this->databaseServerEntityManager = $databaseServerEntityManager; goto c5446; E2859: } protected function configure() : void { goto bb793; Ea844: $this->addOption("\144\x61\164\x61\x62\141\163\x65\116\x61\x6d\145", null, InputOption::VALUE_REQUIRED); goto D2763; d4f2f: $this->setDescription("\143\x6c\x70\143\x74\x6c\x20\144\142\72\144\145\154\145\164\145\x20\55\55\144\x61\164\141\x62\141\163\x65\x4e\141\155\145\75\155\x79\x2d\x64\x61\x74\x61\x62\141\163\x65"); goto Ea844; bb793: $this->setName("\144\x62\x3a\x64\x65\154\x65\164\x65"); goto d4f2f; D2763: $this->addOption("\146\157\162\x63\x65", "\x66", InputOption::VALUE_NONE); goto C9bad; C9bad: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto b0e09; ddd5d: Ccb03: goto F7c17; f68f7: a009c: goto E35ee; D7299: return BaseCommand::SUCCESS; goto f68f7; d25f9: $siteEntity = $databaseEntity->getSite(); goto A641a; a0078: $this->siteEntityManager->updateEntity($siteEntity); goto Cbd85; fd18f: $helper = $this->getHelper("\161\165\145\x73\164\151\x6f\156"); goto b636d; E35ee: c7b29: goto d25f9; F5b76: $force = $input->getOption("\x66\157\x72\x63\145") === true; goto C99e0; A1495: if (!(false === $answer)) { goto a009c; } goto D7299; A255f: throw new \Exception(sprintf("\104\141\x74\141\x62\x61\163\x65\x20\42\45\x73\x22\x20\144\157\x65\x73\40\x6e\157\164\x20\145\x78\151\163\164\x2e", $databaseName)); goto ddd5d; e9aa8: return BaseCommand::SUCCESS; goto B0f6d; ac804: $databaseName = trim($input->getOption("\x64\x61\164\x61\x62\x61\x73\x65\116\141\x6d\145")); goto F5b76; C3a52: $databaseManager->deleteDatabase($databaseEntity, true); goto cd526; F7c17: if (!(false === $force)) { goto c7b29; } goto fd18f; C99e0: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto f7c38; cd526: $siteEntity->removeDatabase($databaseEntity); goto a0078; b636d: $question = new ConfirmationQuestion(sprintf("\x3c\151\156\146\157\x3e\x43\157\x6e\x66\x69\x72\155\x20\164\157\x20\144\145\x6c\145\x74\145\40\164\x68\x65\40\x64\141\x74\x61\x62\x61\163\145\72\x20\x25\x73\x3c\x2f\x69\x6e\x66\x6f\76\40\74\x63\157\x6d\x6d\145\x6e\164\x3e\x28\x79\145\x73\x2f\x6e\157\x29\72\74\x2f\x63\x6f\155\x6d\145\x6e\x74\x3e\40", $databaseName), false, "\57\136\50\171\145\163\x29\57\x69"); goto C0055; af9ae: $databaseManager = new DatabaseManager($databaseServerEntity); goto C3a52; f7c38: if (!(true === is_null($databaseEntity))) { goto Ccb03; } goto A255f; A641a: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto af9ae; b0e09: $this->validateInput($input); goto ac804; C0055: $answer = $helper->ask($input, $output, $question); goto A1495; Cbd85: $output->writeln(sprintf("\x3c\151\x6e\x66\x6f\x3e\104\141\x74\141\142\141\x73\x65\x3c\57\151\x6e\146\x6f\x3e\40\74\x63\x6f\x6d\x6d\145\x6e\164\76\x25\163\x3c\x2f\x63\157\155\155\145\x6e\x74\76\x20\x3c\151\156\x66\157\76\x68\141\163\40\142\x65\x65\x6e\40\144\x65\x6c\x65\164\145\144\x2e\74\x2f\151\156\x66\x6f\x3e", $databaseName)); goto e9aa8; B0f6d: } catch (\Exception $e) { goto d6eab; bee34: $output->writeln(sprintf("\x3c\145\x72\x72\x6f\162\76\45\x73\x3c\57\x65\x72\x72\x6f\162\76", $errorMessage)); goto eb110; eb110: return BaseCommand::FAILURE; goto A143b; d6eab: $errorMessage = $e->getMessage(); goto bee34; A143b: } } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\x6e\141\155\x65", "\x64\x61\164\141\142\141\x73\x65\x4e\141\x6d\x65", $constraints); $this->changePropertyPath("\165\x73\145\x72\116\141\155\x65", "\x64\141\164\x61\x62\x61\x73\x65\x55\163\145\x72\116\x61\155\145", $constraints); } }
