<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Database\Importer as DatabaseImporter; use App\System\Command\CheckIfFileExistsCommand; use App\System\CommandExecutor; class DatabaseImportCommand extends BaseCommand { const SYSTEM_USER_ROOT = "\162\157\x6f\x74"; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private SshUserEntityManager $sshUserEntityManager; private CommandExecutor $commandExecutor; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, SshUserEntityManager $sshUserEntityManager) { goto Ff152; c509e: $this->databaseServerEntityManager = $databaseServerEntityManager; goto Ec8ae; fa793: $this->commandExecutor = new CommandExecutor(); goto D757b; D757b: parent::__construct(); goto b46b4; c9add: $this->databaseEntityManager = $databaseEntityManager; goto c509e; Ec8ae: $this->sshUserEntityManager = $sshUserEntityManager; goto fa793; Ff152: $this->siteEntityManager = $siteEntityManager; goto c9add; b46b4: } protected function configure() : void { goto be68a; be68a: $this->setName("\144\x62\72\x69\155\160\x6f\162\x74"); goto E61bb; Bf9c5: $this->addOption("\144\141\164\141\x62\x61\x73\x65\116\x61\155\145", null, InputOption::VALUE_REQUIRED); goto F1d9d; E61bb: $this->setDescription("\x63\154\160\x63\164\x6c\40\x64\142\72\151\x6d\160\x6f\x72\x74\x20\55\x2d\144\141\x74\141\142\x61\x73\145\x4e\x61\155\145\75\x6d\171\55\x64\x61\164\141\x62\141\163\x65\40\55\x2d\146\x69\154\145\75\x64\x75\155\160\56\x73\161\154\56\x67\172"); goto Bf9c5; F1d9d: $this->addOption("\x66\x69\x6c\x65", null, InputOption::VALUE_REQUIRED); goto Cae6b; Cae6b: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto E6e3b; a63b6: $isSuperUser = true; goto F3771; Ad6b2: if (!(self::SYSTEM_USER_ROOT == $systemUserName)) { goto b0f67; } goto a63b6; A9197: $systemUserName = self::SYSTEM_USER_ROOT; goto F6d64; Fc288: $importFile = sprintf("\x25\x73\57\45\x73", rtrim(getcwd(), "\57"), $importFile); goto f8748; d7fed: goto fb2a7; goto F6d74; A22cb: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($systemUserName); goto ec671; f6793: fb2a7: goto c2177; A3cbf: if (!(false === str_contains($importFile, "\57"))) { goto cc933; } goto Fc288; b3314: $databaseImporter->import($importFile); goto dfff8; Ef178: $importFile = $input->getOption("\x66\x69\x6c\145"); goto a9e0d; Cadfb: if (false === is_null($siteEntity)) { goto f2a22; } goto A22cb; E6e3b: $this->validateInput($input); goto Dd4c9; eec18: if (false === is_null($databaseEntity)) { goto F47e0; } goto da8f4; B466b: $siteEntity = $this->siteEntityManager->findOneByUser($systemUserName); goto bbcc4; b7235: Dcd12: goto f4fde; C5954: return BaseCommand::SUCCESS; goto b17ab; ec671: if (!(false === is_null($sshUserEntity))) { goto Dcd12; } goto A2ed6; F6d64: d8caa: goto A3cbf; bbcc4: $siteUser = null; goto Cadfb; c2177: return BaseCommand::FAILURE; goto f4698; D80be: $siteUser = $siteEntity->getUser(); goto fc0d3; cf806: f2a22: goto D80be; Da6e9: $this->checkIfFileExists($importFile); goto c8a06; Ddaeb: $userBelongsToSite = false === is_null($siteEntity) && $siteUser === $databaseEntity->getSite()->getUser(); goto fe8e6; b17ab: cc532: goto f6793; F6d74: F47e0: goto B466b; A2ed6: $siteEntity = $sshUserEntity->getSite(); goto F8628; c8a06: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto eec18; a3daa: b0f67: goto B1a3e; Dd4c9: $databaseName = $input->getOption("\x64\141\x74\x61\142\x61\163\145\x4e\141\x6d\145"); goto Ef178; B1a3e: $userIsAllowedToImport = true === $isSuperUser || true === $userBelongsToSite; goto c44c5; f4fde: goto e323f; goto cf806; fc0d3: e323f: goto Ddaeb; D6d9f: $databaseImporter = new DatabaseImporter($databaseEntity); goto b3314; a9e0d: $systemUserName = $_SERVER["\x53\x55\x44\117\x5f\x55\x53\x45\122"] ?? ''; goto fe9ea; f8748: cc933: goto Da6e9; F8628: $siteUser = $siteEntity->getUser(); goto b7235; fe8e6: $isSuperUser = false; goto Ad6b2; dfff8: $output->writeln(sprintf("\74\151\x6e\146\x6f\76\x49\x6d\x70\x6f\x72\x74\40\x69\x6e\164\157\40\x64\141\x74\x61\x62\x61\x73\145\74\x2f\x69\x6e\x66\x6f\76\40\74\x63\x6f\155\x6d\x65\x6e\x74\76\45\163\x3c\x2f\x63\x6f\x6d\x6d\x65\156\x74\76\x20\74\151\x6e\x66\157\x3e\167\x61\163\40\x73\165\x63\143\145\163\163\146\x75\154\x2e\x3c\57\x69\x6e\x66\x6f\x3e", $databaseName)); goto C5954; c44c5: if (!(true === $userIsAllowedToImport && false === is_null($siteUser))) { goto cc532; } goto D6d9f; fe9ea: if (!("\x64\x65\166" == $_ENV["\101\120\x50\x5f\x45\x4e\126"])) { goto d8caa; } goto A9197; da8f4: throw new \Exception(sprintf("\x44\x61\164\x61\x62\x61\x73\x65\40\42\x25\163\42\40\144\157\145\x73\40\156\157\164\40\145\170\x69\x73\164\56", $databaseName)); goto d7fed; F3771: $siteUser = self::SYSTEM_USER_ROOT; goto a3daa; f4698: } catch (\Exception $e) { goto de15e; de15e: $errorMessage = $this->maskString($e->getMessage()); goto E9bc1; A82a0: return BaseCommand::FAILURE; goto b2bd6; E9bc1: $output->writeln(sprintf("\74\x65\162\162\x6f\x72\x3e\x25\163\74\x2f\x65\162\162\157\x72\76", $errorMessage)); goto A82a0; b2bd6: } } private function checkIfFileExists(string $importFile) { try { goto df782; df782: $checkIfFileExistsCommand = new CheckIfFileExistsCommand(); goto e4ec5; ec8cb: $this->commandExecutor->execute($checkIfFileExistsCommand); goto ea989; e4ec5: $checkIfFileExistsCommand->setFile($importFile); goto ec8cb; ea989: } catch (\Exception $e) { throw new \Exception(sprintf("\106\x69\x6c\x65\x20\42\x25\163\x22\40\144\157\x65\163\x20\156\157\164\40\x65\170\x69\x73\164\x2e", $importFile)); } } }
