<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\System\CommandExecutor; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Site as SiteEntity; use App\Entity\Notification; use App\Notification\NotificationQueue; use App\Backup\Rclone; use App\Backup\Dropbox\Client as DropboxClient; use App\Backup\Rclone\DropboxConfigTemplate; use App\Backup\Rclone\ConfigBuilder as RcloneConfigBuilder; use App\Backup\StorageProvider; use App\Backup\TarCreator; use App\Service\Logger; class RemoteBackupCreateCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private ?\DateTime $serverDateTime = null; private array $excludes = []; private ?string $storageProvider = null; public function __construct(SiteEntityManager $siteEntityManager, Logger $logger, ValidatorInterface $validator) { goto a5e2a; b145a: $this->commandExecutor = new CommandExecutor(); goto f14ca; f14ca: $this->logger = $logger; goto Dde10; cd9c6: parent::__construct(); goto D8eea; a5e2a: $this->siteEntityManager = $siteEntityManager; goto b145a; Dde10: $this->validator = $validator; goto cd9c6; D8eea: } protected function configure() : void { goto bd2c0; bd2c0: $this->setName("\162\x65\155\x6f\164\x65\55\142\x61\143\x6b\165\x70\x3a\x63\x72\x65\x61\x74\145"); goto f3735; f3735: $this->setDescription("\143\154\160\143\x74\154\x20\162\145\155\157\164\x65\55\142\x61\x63\153\x75\x70\x3a\x63\x72\145\141\164\x65"); goto ee54a; ee54a: $this->addOption("\x64\145\x6c\141\171", null, InputOption::VALUE_OPTIONAL, false); goto F05fa; F05fa: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto ca0aa; Df304: foreach ($siteEntities as $siteEntity) { $this->backupSite($siteEntity); E4b21: } goto Db869; f3e27: $this->backupDatabases(clone $input, clone $output); goto ff34d; c2383: $isEnabled = (bool) $this->getConfigValue("\x72\145\155\157\164\145\x5f\x62\141\x63\153\165\x70\137\x65\156\141\x62\x6c\x65\x64"); goto Fc13a; Db869: c03bc: goto B505e; B95d1: return BaseCommand::SUCCESS; goto F3247; fd507: $this->refreshDropboxAccessToken($delay); goto e2795; B505e: B1249: goto Cc9ef; E44e3: $delay = (bool) $input->getOption("\144\x65\154\141\x79"); goto fd507; c11c4: if (!(true === $isEnabled && false === empty($this->storageProvider))) { goto f12ff; } goto F547b; Bdef5: if (!count($siteEntities)) { goto B1249; } goto f3e27; ca0aa: $this->validateInput($input); goto c2383; ff34d: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto f326b; } goto E44e3; F547b: $siteEntities = $this->siteEntityManager->findAll(); goto Bdef5; Cc9ef: $this->cleanBackups(); goto C40ae; e2795: f326b: goto Df304; C40ae: f12ff: goto B95d1; Fc13a: $this->storageProvider = $this->getConfigValue("\162\145\x6d\x6f\164\145\x5f\x62\141\x63\153\165\160\x5f\163\x74\157\162\x61\x67\x65\137\160\162\x6f\166\x69\144\145\162"); goto c11c4; F3247: } catch (\Exception $e) { goto C704f; C704f: $errorMessage = $e->getMessage(); goto e572c; e572c: $output->writeln(sprintf("\x3c\145\162\162\157\x72\76\x25\x73\74\57\x65\162\x72\x6f\x72\76", $errorMessage)); goto Ab8f4; Ab8f4: return BaseCommand::FAILURE; goto E59da; E59da: } } private function backupDatabases(InputInterface $input, OutputInterface $output) : void { try { goto d04b4; f6f1e: $command = $application->find("\144\x62\72\x62\x61\x63\153\165\160"); goto b7169; b7169: $exitCode = $command->run($input, $output); goto A2045; d04b4: $application = $this->getApplication(); goto f6f1e; A2045: } catch (\Exception $e) { $this->logger->exception($e); } } private function backupSite(SiteEntity $siteEntity) { goto E7c7f; ad069: E84cf: goto be344; aefa0: if (!(false === $isSiteExcluded)) { goto E84cf; } goto A3917; E7c7f: $isSiteExcluded = $this->isSiteExcluded($siteEntity); goto aefa0; A3917: try { try { goto fbf79; D4d70: $tarCreator = new TarCreator(); goto B6c48; d2303: $siteVhostFile = sprintf("\57\x68\157\155\x65\x2f\x25\163\57\163\x69\164\x65\55\x76\150\x6f\163\x74", $siteUser); goto A16b0; d0812: $domainName = $siteEntity->getDomainName(); goto cbd8f; a83da: $siteSettingsFile = sprintf("\x2f\150\157\155\x65\x2f\x25\x73\x2f\163\151\164\x65\x2d\163\145\x74\164\x69\156\x67\x73\x2e\x6a\163\157\x6e", $siteUser); goto d2303; ae714: if (!(false === empty($siteExcludes))) { goto Af80c; } goto a7a37; fbd15: Ef6f6: goto bd8b9; Bb11a: switch ($this->storageProvider) { case StorageProvider::GOOGLE_DRIVE: goto e996e; b9394: $rclone->addFlag("\55\x2d\x64\162\x69\166\x65\x2d\x69\155\160\145\x72\163\x6f\x6e\x61\164\145", $email); goto E7ddf; E7ddf: goto Ef6f6; goto C98a9; e996e: $email = $this->getConfigValue("\162\x65\x6d\x6f\164\x65\137\x62\x61\x63\153\165\160\137\145\x6d\141\x69\x6c"); goto b9394; C98a9: } goto C0afd; da2ec: $rclone = new Rclone(); goto Bb11a; C0afd: ed657: goto fbd15; cbd8f: $homeDirectory = sprintf("\57\x68\157\x6d\145\x2f\x25\163\x2f", $siteUser); goto b34c1; bd8b9: $rclone->copy($destinationFile, $destination); goto Bde5f; B6c48: $tarCreator->create($sources, $destinationFile, $excludes); goto fb2f7; A16b0: $this->createSiteSettingsFile($siteSettingsFile, $siteEntity); goto Ac020; fb2f7: $destination = $this->getDestination($siteEntity); goto da2ec; ce5e8: $siteUser = $siteEntity->getUser(); goto d0812; F2c39: $siteExcludes = $this->getSiteExcludes($siteEntity); goto ae714; a7a37: $excludes = array_merge($excludes, $siteExcludes); goto E4145; E4145: Af80c: goto ce5e8; b34c1: $vhostFile = sprintf("\x2f\x65\x74\143\x2f\x6e\x67\x69\156\x78\x2f\x73\x69\164\145\163\x2d\145\156\x61\142\154\145\144\57\x25\x73\56\143\157\x6e\x66", $domainName); goto f1db7; e16df: $sources = [$homeDirectory, $vhostFile]; goto D4d70; fbf79: $excludes = ["\56\163\x73\x68", "\164\155\x70", "\x6c\x6f\x67\x73"]; goto F2c39; f1db7: $destinationFile = sprintf("\x2f\150\157\x6d\145\57\x25\x73\x2f\x74\x6d\x70\57\142\x61\143\153\x75\x70\56\x74\141\162", $siteUser); goto a83da; Ac020: $this->createSiteVhostFile($siteVhostFile, $siteEntity); goto e16df; Bde5f: } catch (\Exception $e) { throw $e; } finally { $files = [$destinationFile, $siteSettingsFile, $siteVhostFile]; foreach ($files as $file) { goto f4e26; Ea028: $deleteFileCommand->setFile($file); goto ff900; d615c: ba0e8: goto cb763; f4e26: $deleteFileCommand = new DeleteFileCommand(); goto Ea028; ff900: $this->commandExecutor->execute($deleteFileCommand, 60); goto d615c; cb763: } Cd330: } } catch (\Exception $e) { goto a0734; a7bcc: $subject = sprintf("\122\145\155\x6f\x74\x65\x20\x42\x61\143\153\165\x70\40\x66\x61\x69\154\145\x64\72\40\45\163", $domainName); goto e6eb2; e6eb2: $this->addNotification($subject, $errorMessage); goto b7bd8; a0734: $errorMessage = $e->getMessage(); goto a7bcc; b7bd8: } goto ad069; be344: } private function createSiteSettingsFile(string $siteSettingsFile, SiteEntity $siteEntity) : void { goto cde9d; cde9d: $siteType = $siteEntity->getType(); goto D771b; f0447: b2376: goto ffaa2; f313f: $writeFileCommand->setFile($siteSettingsFile); goto fa766; Bdebc: $this->commandExecutor->execute($writeFileCommand, 15); goto Fa826; a8f6e: $writeFileCommand = new WriteFileCommand(); goto f313f; D3d64: fd5bc: goto f0447; D771b: $settings = ["\164\x79\x70\145" => $siteType, "\x64\x6f\155\x61\x69\x6e\x4e\141\155\x65" => $siteEntity->getDomainName(), "\x72\x6f\x6f\x74\x44\151\162\145\x63\164\157\162\x79" => $siteEntity->getRootDirectory(), "\163\x69\164\145\125\x73\x65\162" => $siteEntity->getUser(), "\160\x61\x67\145\123\160\x65\145\144" => $siteEntity->getPageSpeedSettings()]; goto F87a9; F87a9: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto dc2ec; B7305: $nodejsSettings = ["\x76\145\162\x73\x69\157\156" => $nodejsSettingsEntity->getNodejsVersion(), "\160\x6f\x72\164" => $nodejsSettingsEntity->getPort()]; goto c64a4; c64a4: $settings["\156\157\144\145\152\163\123\145\x74\164\151\156\x67\x73"] = $nodejsSettings; goto e9767; dc2ec: $nodejsSettingsEntity = $siteEntity->getNodejsSettings(); goto B7305; e9767: goto b2376; goto Bae3a; Bae3a: case SiteEntity::TYPE_PHP: goto b2e06; b2e06: $phpSettingsEntity = $siteEntity->getPhpSettings(); goto f62bc; c5a5b: $settings["\x70\150\x70\x53\x65\x74\x74\151\x6e\x67\163"] = $phpSettings; goto Eb9b9; Eb9b9: goto b2376; goto c978b; f62bc: $phpSettings = ["\166\145\162\163\151\x6f\156" => $phpSettingsEntity->getPhpVersion(), "\155\145\155\x6f\x72\171\x4c\x69\x6d\x69\164" => $phpSettingsEntity->getMemoryLimit(), "\x6d\x61\170\105\x78\145\x63\165\x74\x69\157\x6e\x54\x69\155\x65" => $phpSettingsEntity->getMaxExecutionTime(), "\x6d\x61\x78\x49\156\160\x75\x74\124\x69\x6d\x65" => $phpSettingsEntity->getMaxInputTime(), "\155\141\x78\x49\x6e\x70\x75\164\126\141\162\163" => $phpSettingsEntity->getMaxInputVars(), "\x70\x6f\x73\164\115\141\170\123\x69\x7a\x65" => $phpSettingsEntity->getPostMaxSize(), "\x75\160\154\157\141\144\x4d\x61\x78\106\x69\x6c\x65\x53\151\172\145" => $phpSettingsEntity->getUploadMaxFileSize(), "\141\144\x64\151\x74\151\157\156\x61\x6c\103\157\x6e\x66\x69\x67\x75\162\x61\164\x69\157\156" => $phpSettingsEntity->getAdditionalConfiguration()]; goto c5a5b; c978b: case SiteEntity::TYPE_PYTHON: goto a07f4; ca270: goto b2376; goto Ec8ba; d83bf: $settings["\x70\x79\164\150\x6f\x6e\123\145\164\164\151\x6e\147\x73"] = $pythonSettings; goto ca270; a07f4: $pythonSettingsEntity = $siteEntity->getPythonSettings(); goto Ff7ba; Ff7ba: $pythonSettings = ["\x76\x65\x72\x73\151\x6f\156" => $pythonSettingsEntity->getPythonVersion(), "\160\157\162\164" => $pythonSettingsEntity->getPort()]; goto d83bf; Ec8ba: case SiteEntity::TYPE_REVERSE_PROXY: goto da7b7; dc37f: $settings["\x72\x65\166\x65\x72\x73\145\120\x72\157\x78\171\x53\145\164\164\x69\x6e\147\x73"] = $reverseProxySettings; goto D3ea4; D3ea4: goto b2376; goto d7505; da7b7: $reverseProxySettings = ["\165\x72\154" => $siteEntity->getReverseProxyUrl()]; goto dc37f; d7505: } goto D3d64; fa766: $writeFileCommand->setContent($fileContent); goto Bdebc; ffaa2: $fileContent = json_encode($settings, JSON_PRETTY_PRINT); goto a8f6e; Fa826: } private function createSiteVhostFile(string $siteVhostFile, SiteEntity $siteEntity) : void { goto be7aa; a947e: $this->commandExecutor->execute($writeFileCommand, 15); goto d9605; B0cf6: $writeFileCommand->setContent($vhost); goto a947e; be7aa: $vhost = $siteEntity->getVhostTemplate(); goto b5261; b5261: $writeFileCommand = new WriteFileCommand(); goto C4b30; C4b30: $writeFileCommand->setFile($siteVhostFile); goto B0cf6; d9605: } private function isSiteExcluded(SiteEntity $siteEntity) : bool { goto a318c; a3a07: $homeDirectory = sprintf("\57\150\x6f\x6d\145\57\45\163", $siteUser); goto c9931; a318c: $isSiteExcluded = false; goto Eb43a; Eb43a: $excludes = $this->getExcludes(); goto C7e3c; C7e3c: if (!(false === empty($excludes))) { goto c0c88; } goto a86b5; a86b5: $siteUser = $siteEntity->getUser(); goto a3a07; C75a5: c0c88: goto d03be; B1947: F5868: goto C75a5; c9931: foreach ($excludes as $exclude) { goto E3762; d0301: goto F5868; goto dda72; A4f16: $isSiteExcluded = true; goto d0301; a2c4e: e9b1c: goto bcd3c; E3762: $exclude = rtrim($exclude, "\x2f"); goto e89df; dda72: eb958: goto a2c4e; e89df: if (!($homeDirectory == $exclude)) { goto eb958; } goto A4f16; bcd3c: } goto B1947; d03be: return $isSiteExcluded; goto D3c99; D3c99: } private function getExcludes() : array { goto C41d0; b05d9: $this->excludes = json_decode($excludes); goto B28e5; F4fee: if (!(false === empty($excludes))) { goto d72aa; } goto b05d9; ccbb5: return $this->excludes; goto D6a2d; b0e8c: a96f8: goto ccbb5; f89a7: $excludes = $this->getConfigValue("\162\145\155\x6f\164\145\x5f\142\141\x63\x6b\165\x70\x5f\145\x78\143\154\x75\x64\145\x73"); goto F4fee; C41d0: if (!(true === empty($this->excludes))) { goto a96f8; } goto f89a7; B28e5: d72aa: goto b0e8c; D6a2d: } private function getSiteExcludes(SiteEntity $siteEntity) : array { goto B8476; Ff575: b34b3: goto c42d7; c42d7: return $siteExcludes; goto e65d8; aff5e: $siteUser = $siteEntity->getUser(); goto Cd41d; F4b3a: a1b61: goto Ff575; Cd41d: $homeDirectory = sprintf("\57\x68\x6f\155\x65\57\45\163\x2f", $siteUser); goto cdf8d; B8476: $siteExcludes = []; goto fcb02; fcb02: $excludes = $this->getExcludes(); goto C82c0; cdf8d: foreach ($excludes as $exclude) { goto C9297; F6439: if (!(false === empty($exclude))) { goto f4f72; } goto F5137; ff3e9: $exclude = substr($exclude, strlen($homeDirectory) - 1); goto F6439; Ff297: C6ba1: goto Dd2c2; F5137: $siteExcludes[] = rtrim(ltrim($exclude, "\57"), "\x2f"); goto C8b07; C8b07: f4f72: goto A36ec; C9297: if (!($homeDirectory == substr($exclude, 0, strlen($homeDirectory)))) { goto a5d97; } goto ff3e9; A36ec: a5d97: goto Ff297; Dd2c2: } goto F4b3a; C82c0: if (!(false === empty($excludes))) { goto b34b3; } goto aff5e; e65d8: } private function getServerDateTime() : \DateTime { goto e021a; c0fd5: return $this->serverDateTime; goto D840b; e8c2d: if (!(false === empty($timezone))) { goto ef976; } goto b7ef1; B3754: ef976: goto fb7cd; f7117: $this->serverDateTime->setTimezone(new \DateTimeZone("\125\124\103")); goto e8c2d; f4730: $timezone = $this->getConfigValue("\164\151\x6d\145\x7a\157\156\145"); goto B0c5f; B0c5f: $this->serverDateTime = new \DateTime("\x6e\157\x77"); goto f7117; b7ef1: $this->serverDateTime->setTimezone(new \DateTimeZone($timezone)); goto B3754; fb7cd: B2d00: goto c0fd5; e021a: if (!(true === is_null($this->serverDateTime))) { goto B2d00; } goto f4730; D840b: } private function getDestination(SiteEntity $siteEntity) : string { goto D772f; Dc490: c351f: goto a1ff3; a72ff: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $destination = $this->getConfigValue("\x72\145\155\157\164\x65\x5f\142\141\143\x6b\165\x70\137\x62\165\143\153\x65\x74"); goto c351f; case StorageProvider::DIGITAL_OCEAN_SPACES: $destination = $this->getConfigValue("\162\145\155\x6f\x74\145\x5f\142\141\143\153\165\160\137\163\160\141\143\x65"); goto c351f; } goto C0c19; a1ff3: $siteUser = $siteEntity->getUser(); goto cb5d8; A2bb6: df617: goto A0742; cb5d8: $storageDirectory = $this->getConfigValue("\x72\x65\x6d\x6f\164\x65\137\x62\141\x63\x6b\x75\x70\x5f\163\164\157\x72\x61\147\145\x5f\144\x69\162\x65\x63\164\157\x72\171"); goto Cdfdd; B984d: $destination = ltrim($destination, "\x2f"); goto A2bb6; D772f: $destination = ''; goto a72ff; Cdfdd: $serverDateTime = $this->getServerDateTime(); goto a7052; A0742: return $destination; goto E2122; Ca0c6: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto df617; } goto B984d; a7052: $destination = sprintf("\45\163\57\45\x73\57\45\163\x2f\45\x73\x2f\150\157\x6d\x65\x2f\x25\163\57", $destination, rtrim(ltrim($storageDirectory, "\x2f"), "\x2f"), $serverDateTime->format("\131\x2d\155\55\x64"), $serverDateTime->format("\x48\x2e\151"), $siteUser); goto Ca0c6; C0c19: e9abb: goto Dc490; E2122: } private function cleanBackups() : void { goto E0c37; Ca67d: try { goto fd632; fb9ba: $deleteDateTime->modify(sprintf("\x2d\x25\x73\x20\x64\141\x79\x73", $retentionPeriod)); goto cbfea; fb93e: e3050: goto d9723; c62ca: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $remotePath = $this->getConfigValue("\x72\x65\x6d\x6f\164\145\x5f\142\141\143\153\x75\160\137\142\165\x63\153\145\x74"); goto e3050; case StorageProvider::DIGITAL_OCEAN_SPACES: $remotePath = $this->getConfigValue("\162\145\x6d\x6f\x74\x65\x5f\x62\141\143\x6b\165\x70\x5f\163\160\x61\x63\x65"); goto e3050; case StorageProvider::GOOGLE_DRIVE: goto a0b06; a0b06: $email = $this->getConfigValue("\162\x65\155\x6f\x74\x65\137\142\141\143\153\x75\160\x5f\x65\x6d\141\151\x6c"); goto eab23; eab23: $rclone->addFlag("\55\55\x64\x72\151\166\145\55\151\x6d\160\x65\x72\x73\157\x6e\141\164\145", $email); goto c15ce; c15ce: goto e3050; goto e66a2; e66a2: } goto F2ebb; d9723: $remotePath = sprintf("\x25\x73\57\x25\x73\x2f", $remotePath, rtrim(ltrim($storageDirectory, "\x2f"), "\57")); goto D769f; F2ebb: dfa05: goto fb93e; D769f: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto A1d51; } goto d14af; fe966: afbe9: goto Aa46e; fd632: $dateTime = new \DateTime(); goto B0b80; D4d17: foreach ($directories as $directory) { goto D8afd; eb2f8: c7906: goto bc14c; a7153: A4e71: goto fdd4e; Fe718: try { $isValidDate = true; $directoryDate = new \DateTime($directoryName); } catch (\Exception $e) { $isValidDate = false; } goto d041c; f7a63: $rclone->purge($purgeRemotePath); goto abf90; D8afd: $directoryName = $directory["\116\141\x6d\x65"] ?? null; goto fcb1a; bc14c: if (!(StorageProvider::SFTP == $this->storageProvider)) { goto e7497; } goto Cf3b5; d041c: if (!(true === $isValidDate)) { goto Bcd3f; } goto c2753; fcb1a: if (!(false === is_null($directoryName))) { goto B59a1; } goto Fe718; E2f1e: B59a1: goto a7153; fb41b: $purgeRemotePath = sprintf("\x25\x73\57\x25\163\x2f", rtrim(ltrim($remotePath, "\57"), "\57"), $directoryName); goto f3185; e8e1e: Bcd3f: goto E2f1e; C3fbc: e7497: goto f7a63; f3185: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto c7906; } goto e06e3; e06e3: $purgeRemotePath = ltrim($purgeRemotePath, "\57"); goto eb2f8; c2753: if (!(true === isset($directoryDate) && $directoryDate <= $deleteDateTime)) { goto bac4e; } goto fb41b; Cf3b5: $purgeRemotePath = sprintf("\x2f\45\163", ltrim($purgeRemotePath, "\x2f")); goto C3fbc; abf90: bac4e: goto e8e1e; fdd4e: } goto ea497; D5f33: if (!(false === empty($directories))) { goto afbe9; } goto D4d17; cbfea: $deleteDateTime->setTimezone(new \DateTimeZone("\125\x54\x43")); goto B441d; E44af: $directories = (array) $rclone->lsJson($remotePath, true); goto D5f33; D6d57: A1d51: goto E44af; D9ed7: $remotePath = ''; goto D8837; B0b80: $deleteDateTime = clone $dateTime; goto fb9ba; ea497: F99c8: goto fe966; B441d: $deleteDateTime->setTime(0, 0, 0, 0); goto D9ed7; d14af: $remotePath = ltrim($remotePath, "\x2f"); goto D6d57; D8837: $rclone = new Rclone(); goto c62ca; Aa46e: } catch (\Exception $e) { goto c8231; e0fbe: $this->addNotification($subject, $errorMessage); goto e0c4c; d6491: $subject = sprintf("\x52\145\x6d\157\x74\x65\40\102\x61\143\x6b\x75\x70\x20\143\x6c\145\141\x6e\165\x70\40\x66\141\151\154\x65\144\x2e"); goto e0fbe; c8231: $errorMessage = $e->getMessage(); goto d6491; e0c4c: } goto aa069; A1257: if (!($retentionPeriod && false === empty($storageDirectory))) { goto Cbe00; } goto Ca67d; aa069: Cbe00: goto f0d5b; E0c37: $retentionPeriod = (int) $this->getConfigValue("\162\145\x6d\x6f\x74\x65\137\x62\141\143\153\165\x70\x5f\162\x65\164\145\156\x74\151\x6f\156\137\x70\x65\162\x69\157\144"); goto d213a; d213a: $storageDirectory = $this->getConfigValue("\162\x65\x6d\157\x74\145\137\142\141\x63\153\x75\x70\x5f\x73\x74\x6f\162\x61\147\145\x5f\x64\151\162\145\x63\164\157\162\x79"); goto A1257; f0d5b: } private function refreshDropboxAccessToken(bool $delay) { try { goto E8832; f26a3: $rcloneConfig = $rcloneConfigBuilder->build(); goto F6281; e34e4: B5488: goto b8e9d; a592b: $dropboxClient = new DropboxClient(); goto C2393; f3675: D5d82: goto d6d28; fa5b2: $rcloneConfigTemplate->setToken($token); goto E5373; Aef5e: if (false === empty($token)) { goto d8cad; } goto A97bf; f85dd: sleep(rand(5, 60)); goto e34e4; C2393: $token = $dropboxClient->getAccessToken($refreshToken); goto Aef5e; d7469: d8cad: goto ec096; e303f: $rclone->writeConfig($rcloneConfig); goto f3675; E5373: $rcloneConfigBuilder = new RcloneConfigBuilder($rcloneConfigTemplate); goto f26a3; ec096: $rcloneConfigTemplate = new DropboxConfigTemplate(); goto fa5b2; E8832: if (!(true === $delay)) { goto B5488; } goto f85dd; Dec45: goto D5d82; goto d7469; F6281: $rclone = new Rclone(); goto e303f; b8e9d: $refreshToken = $this->getConfigValue("\162\x65\x6d\x6f\x74\145\137\142\141\x63\x6b\x75\x70\x5f\162\145\146\162\145\163\x68\x5f\x74\x6f\x6b\x65\156"); goto a592b; A97bf: throw new \Exception("\x41\x63\143\x65\163\163\40\124\x6f\153\x65\156\x20\x63\x61\x6e\x6e\157\x74\x20\142\145\40\x65\155\x70\164\171\x2e"); goto Dec45; d6d28: } catch (\Exception $e) { $errorMessage = $e->getMessage(); $this->addNotification("\x52\145\146\162\145\x73\150\151\156\x67\40\x44\x72\157\x70\x62\x6f\170\40\x41\143\x63\x65\163\x73\x20\124\x6f\x6b\x65\x6e\x20\x46\x61\x69\154\x65\144", $errorMessage); } } private function addNotification(string $subject, string $errorMessage) : void { goto cf4e5; Bf51f: $notification->setSeverity(Notification::SEVERITY_CRITICAL); goto f5338; e1e24: $notification->setSubject($subject); goto D5e96; f5338: NotificationQueue::addNotification($notification); goto d244c; D5e96: $notification->setMessage($errorMessage); goto Bf51f; cf4e5: $notification = new Notification(); goto e1e24; d244c: } }
