<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\NodejsSettings as NodejsSettingsEntity; use App\Site\NodejsSite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\NodejsTemplate as NodejsVhostTemplate; use App\Site\Creator\NodejsSite as NodejsSiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddNodejsCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\x4e\x6f\x64\x65\x6a\x73"; protected function configure() : void { goto b3e16; E6b1d: $this->addOption("\144\157\155\141\151\x6e\x4e\x61\x6d\x65", null, InputOption::VALUE_REQUIRED); goto dbc0e; e51ed: $this->addOption("\141\x70\160\x50\x6f\162\x74", null, InputOption::VALUE_REQUIRED); goto B427d; b3e16: $this->setName("\x73\151\164\x65\x3a\141\144\144\72\x6e\x6f\144\x65\x6a\x73"); goto Ad2ee; B427d: $this->addOption("\x73\151\x74\x65\125\x73\145\162", null, InputOption::VALUE_REQUIRED); goto f9bb6; f9bb6: $this->addOption("\163\x69\x74\145\125\x73\145\x72\120\x61\163\x73\x77\x6f\x72\144", null, InputOption::VALUE_REQUIRED); goto Fd6ae; Ad2ee: $this->setDescription("\143\x6c\160\143\x74\154\40\x73\151\x74\145\x3a\141\144\144\72\156\x6f\x64\145\x6a\x73\x20\x2d\55\x64\x6f\x6d\141\x69\x6e\116\141\155\x65\75\x77\x77\x77\x2e\x64\x6f\x6d\x61\151\x6e\56\143\x6f\155\x20\55\55\x6e\157\x64\x65\152\x73\x56\x65\x72\x73\151\x6f\x6e\x3d\x32\x32\x20\55\x2d\x61\160\160\120\157\x72\164\75\x33\60\60\x30\x20\55\x2d\x73\x69\164\x65\x55\163\145\x72\x3d\x6a\x6f\150\156\40\55\x2d\163\x69\164\x65\x55\163\x65\162\120\x61\163\163\x77\x6f\162\x64\x3d\x27\41\x73\145\143\162\x65\x74\x50\141\x73\163\x77\x6f\x72\x64\x21\47"); goto b72ab; dbc0e: $this->addOption("\x6e\157\x64\x65\152\163\x56\x65\x72\163\x69\x6f\x6e", null, InputOption::VALUE_REQUIRED); goto e51ed; b72ab: $this->setComment("\101\144\x64\x69\156\x67\40\x61\x20\116\x6f\x64\x65\56\152\x73\x20\x53\x69\164\145"); goto E6b1d; Fd6ae: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto B7f04; b3efa: $certificateEntity->setCertificate($selfSignedCertificate); goto ec531; ca1d2: $nodejsSettingsEntity->setSite($siteEntity); goto Af803; e898c: $output->writeln(sprintf("\74\151\156\146\x6f\76\123\151\164\145\74\57\151\x6e\146\157\76\x20\74\143\157\x6d\155\x65\156\x74\76\45\x73\74\57\x63\x6f\x6d\x6d\x65\156\x74\x3e\x20\74\151\x6e\146\157\76\x68\141\163\40\x62\145\145\x6e\40\141\144\x64\145\x64\56\x3c\x2f\151\x6e\x66\157\x3e", $domainName)); goto d9eaf; B0ca9: $constraints = new ConstraintViolationList(); goto C1a14; C5f6f: $siteEntity->setNodejsSettings($nodejsSettingsEntity); goto f563e; e6108: $nodejsSite = new NodejsSite(); goto e337a; b5574: ccc7e: goto C8777; afaf9: c4835: goto cf869; A47b0: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto ab83e; dd31b: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto Fefee; C8777: c2d1f: goto F5e38; C1a14: $constraints->addAll($siteConstraints); goto c56cb; d673d: $subdomain = $resolvedDomainName->subDomain()->toString(); goto C82f8; a6a14: $subjectAlternativeNames[] = sprintf("\167\x77\167\56\x25\x73", $domainName); goto afaf9; f490c: D6d2e: goto A5ee5; c9acd: $nodejsSite->setRootDirectory($siteEntity->getRootDirectory()); goto f3411; bb6cd: $subjectAlternativeNames[] = $registrableDomain; goto b063c; d9eaf: return SiteCommand::SUCCESS; goto f490c; E52a7: $siteEntity = $this->siteEntityManager->createEntity(); goto B4261; f29df: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\56\x2e\x2f\56\x2e\57\x72\145\x73\x6f\165\x72\x63\145\163\57\x6e\147\x69\156\170\x2f\x76\x68\x6f\x73\164\137\x74\x65\x6d\160\x6c\x61\164\145\57\x72\x65\x64\x69\162\x65\x63\x74\x2d\150\x74\x74\x70\x33"); goto F6988; cfc83: $siteEntity->setDomainName($domainName); goto df1e3; afad1: if (!(false === empty($redirectionVhostTemplate))) { goto ccc7e; } goto bc154; F9877: $nodejsSiteCreator->installNodejs(); goto dd8e8; ecd9b: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto d673d; ea9fe: $nodejsSite->setUserPassword($siteEntity->getUserPassword()); goto A2b5a; B93ae: $nodejsSettingsConstraints = $this->validator->validate($nodejsSettingsEntity); goto Fba23; f316f: $csr = $csrGenerator->generate(); goto f860d; D2354: $nodejsSiteCreator->createNginxVhost(); goto Fd2a8; dd8e8: $nodejsSiteCreator->createPrivateKeyAndCertificate(); goto D2354; F640a: $nodejsSiteCreator->resetPermissions(); goto Bc4c9; B7f04: $this->validateInput($input); goto C44cf; c66f6: $siteUser = trim($input->getOption("\163\151\164\145\125\163\145\x72")); goto f3c2a; A3e68: $certificateEntity = $this->certificateEntityManager->createEntity(); goto F5130; Cb40c: if (false === is_null($vhostTemplateEntity)) { goto f0d47; } goto f1bed; df1e3: $siteEntity->setRootDirectory($rootDirectory); goto b2dbd; ab83e: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto da1d3; Bda81: $vhostTemplate->resetProcessors(); goto F8609; f563e: $nodejsSettingsEntity->setNodejsVersion($nodejsVersion); goto F11f1; e57dc: $subjectAlternativeNames = []; goto Edea1; C44cf: $domainName = mb_strtolower(trim($input->getOption("\x64\157\x6d\141\151\156\116\x61\x6d\x65"))); goto Cfce1; b063c: bba40: goto dd31b; da1d3: $this->siteEntityManager->updateEntity($siteEntity); goto e898c; A2b5a: $nodejsSite->setDomainName($domainName); goto f696c; e6ce3: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto Bda81; E63de: $certificateEntity->setCsr($csr); goto Ec320; B4261: $siteEntity->setType(SiteEntity::TYPE_NODEJS); goto cfc83; f1bed: throw new \Exception(sprintf("\x56\x68\x6f\x73\164\40\x54\x65\x6d\160\154\141\164\145\40\x22\x25\x73\42\x20\144\x6f\x65\163\40\156\157\x74\40\x65\x78\151\x73\x74\x2e", $vhostTemplate)); goto C7645; d93c0: goto D6d2e; goto be4aa; Af803: $siteConstraints = $this->validator->validate($siteEntity); goto B93ae; fc3ff: goto F617b; goto Cdf3b; c56cb: $constraints->addAll($nodejsSettingsConstraints); goto b03bd; ef5dc: $nodejsVersion = (int) $input->getOption("\x6e\x6f\144\145\x6a\x73\x56\x65\x72\x73\x69\x6f\x6e"); goto E7d0d; f696c: $nodejsSite->setRegistrableDomain($registrableDomain); goto D8f34; b03bd: return $this->renderConstraints($constraints, $output); goto d93c0; Fd2a8: $nodejsSiteCreator->reloadNginxService(); goto F640a; Dd1c3: if (true === isset($_ENV["\101\x50\120\137\110\124\x54\x50\x33"]) && "\x74\x72\165\x65" === $_ENV["\101\120\120\x5f\x48\124\x54\x50\63"]) { goto be5d8; } goto B03db; b6b7d: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto ecd9b; b9650: $nodejsSiteCreator->createRootDirectory(); goto e1658; Cfce1: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto a3d7a; b4058: $nodejsSiteCreator = new NodejsSiteCreator($nodejsSite); goto f7e95; cf869: if (!(false === is_null($subdomain) && "\167\x77\167" == $subdomain)) { goto bba40; } goto bb6cd; f860d: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto f10bd; bc154: $vhostTemplate = sprintf("\45\x73\45\x73", $redirectionVhostTemplate, $vhostTemplate); goto b5574; Edea1: if (!(true === is_null($subdomain))) { goto c4835; } goto a6a14; ec531: $siteEntity->setCertificate($certificateEntity); goto e6108; c87ff: $siteEntity->setUserPassword($siteUserPassword); goto A378f; f3411: $nodejsSite->setNodejsSettings($nodejsSettingsEntity); goto e6b5e; e337a: $nodejsSite->setUser($siteEntity->getUser()); goto ea9fe; f7e95: $nodejsSiteCreator->createUser(); goto b9650; f10bd: $certificateEntity->setDefaultCertificate(true); goto E01a3; D8f34: $nodejsSite->setSubdomain($subdomain); goto c9acd; F8609: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto E0ea4; b7ced: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto cd173; a3d7a: $rootDirectory = $domainName; goto ef5dc; Cdf3b: be5d8: goto f29df; fc34b: $nodejsSiteCreator->createNvmDirectory(); goto F9877; f3c2a: $siteUserPassword = trim($input->getOption("\163\151\164\145\125\x73\145\x72\x50\141\163\x73\167\157\162\x64")); goto b6b7d; Ec320: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto b3efa; C88f3: f0d47: goto Ee5a1; Bc4c9: $vhostTemplate = new NodejsVhostTemplate($nodejsSite); goto e6ce3; E01a3: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto E63de; A5ee5: A216f: goto F9c02; b2dbd: $siteEntity->setUser($siteUser); goto c87ff; df3a7: $nodejsSite->setVhostTemplate($siteEntity->getVhostTemplate()); goto b4058; F11f1: $nodejsSettingsEntity->setPort($appPort); goto ca1d2; A378f: if (!(true === is_null($subdomain) || "\x77\167\167" == $subdomain)) { goto c2d1f; } goto Dd1c3; Ee5a1: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto E52a7; E2dec: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto e57dc; Cc829: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto afad1; e1658: $nodejsSiteCreator->createLogrotateFile(); goto fc34b; d84ce: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto Cb40c; Fefee: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto f316f; B03db: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\56\56\x2f\56\x2e\x2f\162\145\x73\x6f\165\162\x63\x65\163\57\x6e\x67\151\156\170\57\x76\150\x6f\163\x74\137\x74\x65\155\160\x6c\x61\164\x65\57\162\x65\144\x69\162\145\143\x74"); goto fc3ff; F5130: $certificateEntity->setSite($siteEntity); goto Fe3fa; e6b5e: $nodejsSite->setCertificate($certificateEntity); goto df3a7; E7d0d: $appPort = (int) $input->getOption("\141\x70\x70\120\157\x72\164"); goto c66f6; a8cab: $nodejsSettingsEntity = new NodejsSettingsEntity(); goto C5f6f; C82f8: $subdomain = false === empty($subdomain) ? $subdomain : null; goto d84ce; F6988: F617b: goto Cc829; be4aa: e1669: goto A3e68; Fe3fa: $rsaKeyGenerator = new RsaKeyGenerator(); goto E2dec; F5e38: $siteEntity->setVhostTemplate($vhostTemplate); goto a8cab; cd173: $vhostTemplate->build(); goto A47b0; E0ea4: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto b7ced; C7645: goto A216f; goto C88f3; Fba23: if (0 == count($siteConstraints) && 0 == count($nodejsSettingsConstraints)) { goto e1669; } goto B0ca9; F9c02: } catch (\Exception $e) { goto bfa7c; dd9e4: $output->writeln(sprintf("\x3c\145\162\x72\x6f\x72\x3e\45\x73\74\57\x65\162\162\x6f\162\x3e", $errorMessage)); goto Aa49e; Aa49e: return SiteCommand::FAILURE; goto E9911; bfa7c: $errorMessage = $e->getMessage(); goto dd9e4; E9911: } } }
