<?php
 namespace App\Command; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Doctrine\Common\Collections\ArrayCollection; use App\Command\Command as BaseCommand; use App\Entity\Site as SiteEntity; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Site\Deleter as SiteDeleter; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Site\Parser\DomainName as DomainNameParser; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\VhostTemplateManager as VhostTemplateEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; class SiteCommand extends BaseCommand { protected DomainNameParser $domainNameParser; protected SiteEntityManager $siteEntityManager; protected CertificateEntityManager $certificateEntityManager; protected DatabaseServerEntityManager $databaseServerEntityManager; protected VhostTemplateEntityManager $vhostTemplateEntityManager; protected ValidatorInterface $validator; public function __construct(DomainNameParser $domainNameParser, SiteEntityManager $siteEntityManager, CertificateEntityManager $certificateEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, VhostTemplateEntityManager $vhostTemplateEntityManager, ValidatorInterface $validator) { goto Bd9ab; D7656: $this->validator = $validator; goto c530b; bc297: $this->certificateEntityManager = $certificateEntityManager; goto Dc026; C1b4e: $this->siteEntityManager = $siteEntityManager; goto bc297; Dc026: $this->databaseServerEntityManager = $databaseServerEntityManager; goto cdb02; Bd9ab: $this->domainNameParser = $domainNameParser; goto C1b4e; cdb02: $this->vhostTemplateEntityManager = $vhostTemplateEntityManager; goto D7656; c530b: parent::__construct(); goto d4fd5; d4fd5: } protected function configure() : void { $this->setName("\163\151\x74\145\x3a\x74\x6d\x70"); } protected function getSite(string $domainName) : ?Site { goto bf2a2; F17e4: $site->setRegistrableDomain($registrableDomain); goto f1c4b; e05a3: $site->setFtpUsers($siteEntity->getFtpUsers()); goto ed0dd; bf2a2: $site = null; goto ba278; D9395: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto cab49; E0a7d: if (!(false === is_null($site))) { goto F59b5; } goto b679a; E3e5d: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto e20a6; Cc0e9: goto dcbec; goto b0397; E9e2f: $siteType = $siteEntity->getType(); goto daf8e; cab49: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto Ac980; B8f1f: $site->setBasicAuth($siteEntity->getBasicAuth()); goto F1b4f; b679a: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto d2857; fcc1c: $subdomain = false === empty($subdomain) ? $subdomain : null; goto C982f; b0397: c81ab: goto E9e2f; Ac980: F59b5: goto C2a04; ee99c: $site->setRootDirectory($siteEntity->getRootDirectory()); goto Fb911; Fb911: $site->setDatabases($siteDatabases); goto B8f1f; e099a: $site->setCertificate($siteEntity->getCertificate()); goto Bc17c; C2a04: dcbec: goto f8bcc; C982f: $siteDatabases = $this->getSiteDatabases($siteEntity); goto F95ef; F1b4f: $site->setBlockedBots($siteEntity->getBlockedBots()); goto a29a0; ab535: $site->setCronJobs($siteEntity->getCronJobs()); goto e05a3; ba278: $siteEntity = $this->getSiteEntity($domainName); goto e3715; e20a6: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto D9395; F677b: Adfb7: goto A42a4; e6cc2: throw new \Exception(sprintf("\123\151\164\145\x20\42\45\163\x22\x20\x64\157\x65\x73\x20\156\157\x74\40\x65\170\151\x73\x74\x2e", $domainName)); goto Cc0e9; A42a4: cf3bc: goto E0a7d; Bc17c: $site->setCertificates($siteEntity->getCertificates()); goto ab535; daf8e: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto A2644; C089f: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto ea2d9; A2644: $site = new NodejsSite(); goto C089f; ea2d9: goto cf3bc; goto F47f0; F47f0: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto cf3bc; case SiteEntity::TYPE_PHP: goto b5f95; b5f95: $site = new PhpSite(); goto d4e41; Ade25: $site->setVarnishCache($siteEntity->getVarnishCache()); goto E9aaa; E9aaa: goto cf3bc; goto A59a1; d4e41: $site->setPhpSettings($siteEntity->getPhpSettings()); goto Ade25; A59a1: case SiteEntity::TYPE_PYTHON: goto a83d9; f3e3f: $site->setPythonSettings($siteEntity->getPythonSettings()); goto f3501; a83d9: $site = new PythonSite(); goto f3e3f; f3501: goto cf3bc; goto fb80b; fb80b: case SiteEntity::TYPE_REVERSE_PROXY: goto a894b; a894b: $site = new ReverseProxySite(); goto Cf02b; Bf54c: goto cf3bc; goto e1809; Cf02b: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto Bf54c; e1809: } goto F677b; a29a0: $site->setBlockedIps($siteEntity->getBlockedIps()); goto e099a; e3715: if (false === is_null($siteEntity)) { goto c81ab; } goto e6cc2; F95ef: $site->setUser($siteEntity->getUser()); goto aee69; ed0dd: $site->setSshUsers($siteEntity->getSshUsers()); goto E3e5d; f8bcc: return $site; goto c73c7; aee69: $site->setDomainName($siteEntity->getDomainName()); goto F17e4; f1c4b: $site->setSubdomain($subdomain); goto ee99c; d2857: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto Ec5ee; Ec5ee: $subdomain = $resolvedDomainName->subDomain()->toString(); goto fcc1c; c73c7: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto D204b; a673a: $databaseEntities = $siteEntity->getDatabases(); goto c7b2b; D204b: $siteDatabases = new ArrayCollection(); goto ca805; c7b2b: foreach ($databaseEntities as $databaseEntity) { goto dc6f7; C68bb: e2846: goto A7796; C89ea: $siteDatabases->add($databaseEntity); goto F1ef9; F1ef9: ddd64: goto C68bb; dc6f7: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto d41c9; d41c9: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto ddd64; } goto C89ea; A7796: } goto ab8a5; De6c3: return $siteDatabases; goto C5f6c; ab8a5: ed997: goto De6c3; ca805: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto a673a; C5f6c: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto D740c; B8afc: $siteType = $site->getType(); goto D4610; D4610: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto Bbcbf; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto Bbcbf; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto Bbcbf; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto Bbcbf; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto Bbcbf; } goto a0dbd; D740c: $siteDeleter = null; goto B8afc; a0dbd: F164b: goto F531a; de30d: return $siteDeleter; goto c4b2f; F531a: Bbcbf: goto de30d; c4b2f: } protected function getSiteUpdater(Site $site) : ?SiteUpdater { goto c38d6; A5e5e: $siteType = $site->getType(); goto D2f66; F5eff: Cf636: goto D8b97; c38d6: $siteUpdater = null; goto A5e5e; D2f66: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto Ea544; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto Ea544; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto Ea544; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto Ea544; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto Ea544; } goto F5eff; D8b97: Ea544: goto d3d86; d3d86: return $siteUpdater; goto E8f8b; E8f8b: } protected function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } protected function getSiteEntityBySiteUser(string $siteUser) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByUser($siteUser); return $siteEntity; } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\165\163\x65\162", "\x73\151\164\145\x55\x73\145\x72", $constraints); $this->changePropertyPath("\x75\163\145\162\120\x61\x73\163\167\x6f\162\x64", "\x73\x69\x74\145\125\x73\145\162\x50\x61\163\163\x77\157\x72\x64", $constraints); } }
