<?php
 namespace App\Controller\Admin; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Form\Form; use App\Controller\Controller; use Symfony\Contracts\Translation\TranslatorInterface; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\UserManager as UserEntityManager; use App\Entity\Manager\TimezoneManager as TimezoneEntityManager; use App\Entity\User as UserEntity; use App\Event\EventQueue; use App\Service\Logger; class UserController extends Controller { private UserEntityManager $userEntityManager; private SiteEntityManager $siteEntityManager; private TimezoneEntityManager $timezoneEntityManager; public function __construct(UserEntityManager $userEntityManager, SiteEntityManager $siteEntityManager, TimezoneEntityManager $timezoneEntityManager, TranslatorInterface $translator, Logger $logger) { goto F7c5b; d400c: $this->timezoneEntityManager = $timezoneEntityManager; goto d475e; c9fba: $this->siteEntityManager = $siteEntityManager; goto d400c; F7c5b: $this->userEntityManager = $userEntityManager; goto c9fba; d475e: parent::__construct($translator, $logger); goto bb61b; bb61b: } public function index(Request $request) : Response { goto a9cd6; E4dd6: $users = array_filter($users, function ($user) use($currentUser) { return $currentUser->getId() != $user->getId(); }); goto Cb1d2; D2bae: return $response; goto fa822; Bd33d: $users = $this->userEntityManager->findAll([], ["\x75\x73\x65\162\116\141\x6d\x65" => "\x61\x73\x63"]); goto E4dd6; Cb1d2: $response = $this->render("\x41\144\155\x69\156\57\125\x73\145\x72\x2f\151\156\144\145\170\56\x68\164\155\154\x2e\x74\167\151\147", ["\x75\x73\145\x72\x73" => $users]); goto D2bae; a9cd6: $currentUser = $this->getUser(); goto Bd33d; fa822: } public function new(Request $request) : Response { goto Fa27e; Fc782: if (!(true === $request->isMethod("\x50\x4f\x53\124"))) { goto d7c46; } goto F9b6c; fb43c: if (!(true === $form->isSubmitted())) { goto cb93b; } goto B6414; D7f38: cb93b: goto dc1d5; E5bb6: $userEntity->setTimezone($defaultTimezone); goto D1b69; Fa27e: $userEntity = $this->userEntityManager->createEntity(); goto ae489; d2780: return $response; goto E5eda; ae489: $defaultTimezone = $this->timezoneEntityManager->findOneByName(UserEntity::DEFAULT_TIMEZONE); goto Ff7bb; B6414: $response = $this->handleUserForm($request, $form); goto B0686; D1b69: $form = $this->createUserForm($userEntity); goto Fc782; B0686: if (!(false === is_null($response))) { goto f34de; } goto d2780; dc1d5: d7c46: goto aac3c; F9b6c: $form->handleRequest($request); goto fb43c; E5eda: f34de: goto D7f38; Ff7bb: $sites = $this->siteEntityManager->findAll([], ["\144\x6f\155\x61\x69\156\116\141\155\145" => "\101\123\103"]); goto E5bb6; aac3c: $response = $this->render("\101\x64\x6d\151\x6e\x2f\125\x73\x65\162\x2f\x6e\145\167\56\150\164\155\154\x2e\164\x77\151\147", ["\165\163\145\162" => $userEntity, "\x73\151\x74\x65\x73" => $sites, "\146\157\162\x6d" => $form->createView(), "\146\157\x72\x6d\105\162\x72\157\162\163" => $this->formErrors]); goto b2113; b2113: return $response; goto cee40; cee40: } private function createUserForm(UserEntity $userEntity) : Form { goto B99ba; a7d05: return $form; goto c08d6; B99ba: $form = $this->createForm("\101\160\x70\x5c\x46\157\162\155\134\x41\x64\x6d\x69\x6e\x55\x73\x65\x72\124\171\160\145", $userEntity, ["\141\143\164\151\157\156" => $this->generateUrl("\143\154\160\137\141\144\x6d\151\x6e\x5f\165\163\145\x72\x5f\156\145\167"), "\155\145\164\x68\x6f\x64" => "\120\117\x53\x54", "\141\164\164\162" => []]); goto eaa48; eaa48: $form->add("\x73\x75\142\155\x69\x74", SubmitType::class, ["\141\164\x74\x72" => ["\143\154\141\x73\163" => "\142\164\156\40\142\164\156\x2d\x62\x6c\x75\x65\40\142\164\x6e\55\x6c\147"], "\x6c\x61\142\145\x6c" => "\101\144\x64\40\x55\163\x65\x72"]); goto a7d05; c08d6: } private function handleUserForm(Request $request, Form $form) { goto A8d2a; df003: c9508: goto e1153; A8d2a: if (true === $form->isValid()) { goto c9508; } goto C3504; e1153: try { goto a32eb; A4e02: $session = $request->getSession(); goto B2aea; e454a: sort($domainNames); goto bd21c; fdb50: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto db196; } goto E59dc; Eadd6: $eventData = ["\165\x73\x65\x72\x4e\x61\155\145" => $userEntity->getUserName(), "\146\151\x72\x73\164\116\141\155\x65" => $userEntity->getFirstName(), "\154\x61\x73\164\116\x61\x6d\x65" => $userEntity->getLastName(), "\x65\155\141\x69\x6c" => $userEntity->getEMail(), "\162\x6f\x6c\145" => $userEntity->getRole(), "\x73\x69\164\x65\163" => implode("\54\x20", $domainNames)]; goto D010c; E59dc: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); C2b51: } goto ab56d; ab56d: E128b: goto Ea51a; D2a27: $session->getFlashBag()->set("\163\x75\x63\143\x65\x73\163", $this->translator->trans("\125\x73\145\x72\40\150\x61\x73\40\x62\x65\x65\156\x20\x61\144\x64\145\x64\x2e")); goto ea18e; B2aea: $userEntity = $form->getData(); goto Dd3b0; A6e94: $domainNames = []; goto fdb50; Bd354: return $response; goto e8f9c; ea18e: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\141\144\x6d\x69\x6e\137\x75\163\145\x72\163")); goto Bd354; D010c: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_ADD, $currentUser, $eventData, $request); goto D2a27; bd21c: $this->userEntityManager->updateUser($userEntity); goto Eadd6; Ea51a: db196: goto e454a; a32eb: $currentUser = $this->getUser(); goto A4e02; Dd3b0: $sites = $userEntity->getSites(); goto A6e94; e8f9c: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\145\x72", $this->translator->trans("\101\156\x20\145\162\x72\x6f\162\x20\150\141\x73\40\x6f\143\143\165\x72\x72\x65\144\54\x20\x65\162\x72\x6f\x72\x20\155\145\163\163\x61\147\145\x3a\40\45\x65\x72\x72\157\x72\115\x65\163\163\x61\147\145\45", ["\45\x65\x72\x72\x6f\x72\x4d\145\x73\163\x61\147\145\45" => $e->getMessage()])); } goto bed10; a1171: goto f1e34; goto df003; bed10: f1e34: goto bc5e6; C3504: $this->formErrors = $this->getErrorMessages($form); goto a1171; bc5e6: } public function edit(Request $request) : Response { goto Aec61; F7b85: if (!(true === $form->isSubmitted())) { goto D7ff3; } goto Cffe2; Aec61: $id = (int) $request->get("\151\144"); goto d5b31; D57d9: Ea92f: goto Dedb1; F6ce5: $response = $this->render("\101\x64\155\x69\156\x2f\125\x73\x65\162\x2f\145\x64\151\164\x2e\x68\x74\155\154\x2e\x74\x77\151\x67", ["\165\163\145\162" => $userEntity, "\x73\151\x74\x65\x73" => $sites, "\146\x6f\162\155" => $form->createView(), "\x66\x6f\x72\155\105\x72\162\x6f\162\163" => $this->formErrors]); goto D57d9; c3db4: if (!(false === is_null($response))) { goto b415a; } goto F492e; Cffe2: $response = $this->handleUserEditForm($request, $form); goto c3db4; Dedb1: return $response; goto fb1b5; F492e: return $response; goto Eb017; D98b1: $sites = $this->siteEntityManager->findAll([], ["\144\157\x6d\x61\x69\156\x4e\141\x6d\x65" => "\101\x53\x43"]); goto E85d1; Fc587: C6ee5: goto F6ce5; d5b31: $userEntity = $this->userEntityManager->findOneById($id); goto fc3a6; E85d1: $form = $this->createUserEditForm($userEntity); goto F45f5; fc3a6: if (false === is_null($userEntity)) { goto E1416; } goto Bdb00; F45f5: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto C6ee5; } goto Bfbcd; Cd1b8: D7ff3: goto Fc587; Bdb00: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x61\x64\155\x69\156\x5f\165\x73\x65\x72\163")); goto Fddce; Eb017: b415a: goto Cd1b8; Bfbcd: $form->handleRequest($request); goto F7b85; Ac4b5: E1416: goto D98b1; Fddce: goto Ea92f; goto Ac4b5; fb1b5: } private function createUserEditForm(UserEntity $userEntity) : Form { goto Ccce6; B5053: return $form; goto B45ad; Ccce6: $form = $this->createForm("\x41\x70\160\x5c\106\x6f\162\155\134\101\144\x6d\x69\156\x55\x73\x65\x72\x45\144\151\x74\124\x79\x70\x65", $userEntity, ["\141\x63\164\151\157\156" => $this->generateUrl("\x63\x6c\160\x5f\141\144\155\x69\x6e\137\165\x73\x65\162\x5f\x65\144\151\164", ["\x69\144" => $userEntity->getId()]), "\155\145\x74\x68\x6f\x64" => "\x50\x4f\x53\124", "\x61\164\x74\162" => []]); goto fa013; fa013: $form->add("\x73\x75\x62\x6d\x69\164", SubmitType::class, ["\141\164\164\x72" => ["\x63\154\x61\163\x73" => "\142\x74\x6e\x20\142\x74\156\55\x62\x6c\x75\145\40\x62\x74\156\55\154\147"], "\x6c\x61\x62\145\154" => "\x53\x61\x76\145"]); goto B5053; B45ad: } private function handleUserEditForm(Request $request, Form $form) { goto Cfa26; F9e63: goto bb945; goto B763b; c602e: bb945: goto c6dde; B9293: try { goto d7eab; C08e6: $eventData = ["\165\163\145\x72\116\141\x6d\145" => $userEntity->getUserName(), "\x66\151\x72\163\x74\x4e\141\x6d\x65" => $userEntity->getFirstName(), "\x6c\141\x73\164\x4e\141\155\x65" => $userEntity->getLastName(), "\x65\155\x61\x69\x6c" => $userEntity->getEMail(), "\162\157\x6c\145" => $userEntity->getRole(), "\163\164\141\164\165\x73" => (int) $userEntity->getStatus(), "\x73\x69\164\x65\x73" => implode("\54\x20", $domainNames)]; goto a6d15; d7eab: $currentUser = $this->getUser(); goto F70d9; F70d9: $session = $request->getSession(); goto a64e1; E6bad: sort($domainNames); goto bea19; Abd81: $domainNames = []; goto A3d24; b91d8: goto ad705; goto C032f; Be2ba: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\141\x64\x6d\151\156\x5f\165\163\145\162\x5f\x65\x64\151\164", ["\151\144" => $userEntity->getId()])); goto cd6c1; a6d15: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_UPDATE, $currentUser, $eventData, $request); goto E9f3d; f0eb9: $this->userEntityManager->updateUser($userEntity, true, true); goto efb19; efb19: ad705: goto C08e6; bea19: if (false === empty($plainPassword)) { goto E0758; } goto d011d; E9f3d: $session->getFlashBag()->set("\163\165\x63\x63\x65\163\163", $this->translator->trans("\x55\163\145\x72\x20\x68\x61\163\40\142\x65\x65\x6e\40\165\160\144\x61\164\x65\144\56")); goto Be2ba; cd6c1: return $response; goto cb6ab; a64e1: $userEntity = $form->getData(); goto E7613; ef8e2: $sites = $userEntity->getSites(); goto Abd81; D788a: E501f: goto E6bad; A3d24: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto E501f; } goto be747; E7613: $plainPassword = $userEntity->getPlainPassword(); goto ef8e2; dbb55: Bf142: goto D788a; C032f: E0758: goto f0eb9; be747: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); B528b: } goto dbb55; d011d: $this->userEntityManager->updateUser($userEntity); goto b91d8; cb6ab: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\x65\162", $this->translator->trans("\x41\x6e\40\x65\162\162\157\x72\40\150\141\x73\x20\x6f\143\143\x75\x72\x72\x65\144\54\x20\145\x72\162\157\x72\x20\x6d\x65\x73\x73\x61\147\145\x3a\x20\x25\x65\x72\162\157\x72\x4d\x65\x73\x73\x61\x67\145\45", ["\x25\x65\162\x72\157\x72\x4d\x65\163\x73\x61\147\x65\x25" => $e->getMessage()])); } goto c602e; B763b: Ab83a: goto B9293; C9705: $this->formErrors = $this->getErrorMessages($form); goto F9e63; Cfa26: if (true === $form->isValid()) { goto Ab83a; } goto C9705; c6dde: } public function delete(Request $request) : Response { goto e273a; Da271: $eventData = ["\x75\x73\x65\x72\116\x61\x6d\x65" => $userEntity->getUserName(), "\x66\x69\162\163\164\116\141\155\x65" => $userEntity->getFirstName(), "\x6c\141\163\164\116\x61\155\145" => $userEntity->getLastName(), "\145\155\x61\151\154" => $userEntity->getEMail(), "\162\x6f\154\x65" => $userEntity->getRole()]; goto c525a; C7dd4: $session = $request->getSession(); goto Da271; F0eb6: $this->checkCsrfToken($request, "\x64\145\154\145\164\145\55\165\163\x65\x72"); goto a0308; dfa15: if (!(false === is_null($userEntity))) { goto C8a58; } goto C7dd4; d7d12: $session->getFlashBag()->set("\163\x75\143\143\x65\163\163", $this->translator->trans("\x55\x73\145\162\40\150\141\x73\x20\x62\145\145\156\x20\x64\x65\154\x65\164\145\144\x2e")); goto bf856; a0308: if (!(true === isset($id) && $id != $currentUser->getId())) { goto D064c; } goto B3820; ecde6: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\141\x64\x6d\x69\x6e\x5f\165\163\145\162\x73")); goto a9817; a9817: return $response; goto f7846; e273a: $currentUser = $this->getUser(); goto bf595; c525a: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_DELETE, $currentUser, $eventData, $request); goto a0010; a0010: $this->userEntityManager->deleteUser($userEntity); goto d7d12; bf856: C8a58: goto Ded3f; Ded3f: D064c: goto ecde6; B3820: $userEntity = $this->userEntityManager->findOneById($id); goto dfa15; bf595: $id = (int) $request->get("\x69\144"); goto F0eb6; f7846: } }
