<?php
 namespace App\Controller\Frontend; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Contracts\Translation\TranslatorInterface; use App\Controller\Controller; use App\Entity\Manager\InstanceCpuManager as InstanceCpuEntityManager; use App\Entity\Manager\InstanceMemoryManager as InstanceMemoryEntityManager; use App\Entity\Manager\InstanceDiskUsageManager as InstanceDiskUsageEntityManager; use App\Entity\Manager\InstanceLoadAverageManager as InstanceLoadAverageEntityManager; use App\System\CommandExecutor; use App\System\Command\MemoryInformationCommand; use App\System\Command\ProcessorCoresCommand; use App\Entity\InstanceDiskUsage as InstanceDiskUsageEntity; use App\Entity\InstanceLoadAverage as InstanceLoadAverageEntity; use App\Monitoring\Chart; use App\Monitoring\LoadAverageChart; use App\Util\HumanFileSize as HumanFileSizeUtil; use App\Util\Time as TimeUtil; use App\Service\Logger; use App\Entity\User; class DashboardController extends Controller { public const TIME_RANGE_LAST_THIRTY_MINUTES = 1; public const TIME_RANGE_LAST_HOUR = 2; public const TIME_RANGE_LAST_THREE_HOURS = 3; public const TIME_RANGE_LAST_SIX_HOURS = 4; public const TIME_RANGE_LAST_TWELVE_HOURS = 5; private static array $timeRanges = [self::TIME_RANGE_LAST_THIRTY_MINUTES, self::TIME_RANGE_LAST_HOUR, self::TIME_RANGE_LAST_THREE_HOURS, self::TIME_RANGE_LAST_SIX_HOURS, self::TIME_RANGE_LAST_TWELVE_HOURS]; private InstanceCpuEntityManager $instanceCpuEntityManager; private InstanceMemoryEntityManager $instanceMemoryEntityManager; private InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager; private InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager; public function __construct(InstanceCpuEntityManager $instanceCpuEntityManager, InstanceMemoryEntityManager $instanceMemoryEntityManager, InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager, InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager, TranslatorInterface $translator, Logger $logger) { goto e5cb0; A0497: $this->instanceLoadAverageEntityManager = $instanceLoadAverageEntityManager; goto c2789; ff6fc: $this->instanceDiskUsageEntityManager = $instanceDiskUsageEntityManager; goto A0497; Ea335: $this->instanceMemoryEntityManager = $instanceMemoryEntityManager; goto ff6fc; e5cb0: $this->instanceCpuEntityManager = $instanceCpuEntityManager; goto Ea335; c2789: parent::__construct($translator, $logger); goto B4f54; B4f54: } public function index(Request $request) : Response { goto a9172; f3296: $loadAverageRawData = $this->getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval); goto Bff4c; edcfc: $loadAverageChartInformation = sprintf("\45\x73\x20\x25\163", $numberOfProcessorCores, $this->translator->trans("\x43\x50\125")); goto Ff7b2; be6b4: $timeRange = true === is_null($timeRange) ? self::TIME_RANGE_LAST_THIRTY_MINUTES : (true === in_array($timeRange, self::$timeRanges) ? $timeRange : self::TIME_RANGE_LAST_THIRTY_MINUTES); goto D2e6f; E2e07: $diskChart->setData($diskData); goto D684b; C67aa: $rootDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_ROOT); goto D367b; de92d: goto D2c35; goto f3835; Bff4c: $loadAverageData = [["\156\141\155\x65" => $this->translator->trans("\61\x20\x4d\x69\156\165\x74\x65"), "\x63\x6f\154\157\162" => "\x23\67\x37\64\141\x61\64", "\x64\141\164\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_ONE_MINUTE] ?? []], ["\x6e\x61\x6d\x65" => $this->translator->trans("\65\40\x4d\151\x6e\165\x74\145\x73"), "\x63\x6f\x6c\157\162" => "\43\x65\x62\65\70\66\x63", "\144\141\164\141" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES] ?? []], ["\x6e\x61\x6d\x65" => $this->translator->trans("\61\65\40\115\x69\x6e\x75\x74\145\163"), "\143\x6f\x6c\x6f\x72" => "\x23\x30\x30\x37\70\144\x34", "\144\x61\164\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] ?? []]]; goto De5da; Aa1c6: $memoryChart->setCategories($categories); goto fe3fd; F481d: if ($homeDiskSize != $rootDiskSize) { goto d5972; } goto c5f90; B9fd0: $environment = $instance->getEnvironment(); goto E68de; bd9fc: $categories = $this->getCategoriesForTimeRange($user, $startTime, $endTime, $minuteInterval); goto e215d; Cc00b: $timeRange = $request->get("\164\151\155\145\122\x61\x6e\147\145"); goto be6b4; be1ae: try { goto ed12a; ed12a: $commandExecutor = new CommandExecutor(); goto f9f67; Aa56c: $commandExecutor->execute($memoryInformationCommand); goto deed8; d3199: $commandExecutor->execute($processorCoresCommand); goto E3ad9; C0e98: $totalMemory = HumanFileSizeUtil::convert($totalMemoryInBytes, "\107\x42", 0); goto bbe25; f9f67: $memoryInformationCommand = new MemoryInformationCommand(); goto Aa56c; E3ad9: $numberOfProcessorCores = $processorCoresCommand->getNumberOfProcessorCores(); goto e39cf; deed8: $totalMemoryInBytes = $memoryInformationCommand->getTotalMemoryInBytes(); goto C0e98; bbe25: $processorCoresCommand = new ProcessorCoresCommand(); goto d3199; e39cf: } catch (\Exception $e) { $this->logger->exception($e); } goto C67aa; De5da: $cpuInformation = sprintf("\x25\163\40\x25\163", $numberOfProcessorCores, $this->translator->trans("\103\120\125")); goto cdde2; A97ef: $loadAverageChart->setCategories($categories); goto Ac11f; A370e: $diskData = $this->getDiskDataForTimeRange($startTime, $endTime, $minuteInterval); goto F481d; c5f90: $diskData = [["\x6e\141\x6d\x65" => sprintf("\x2f\40\x28\x25\163\x29", $rootDiskSize), "\143\157\x6c\157\162" => "\x23\67\63\142\146\64\143", "\144\x61\x74\x61" => $diskData["\162\157\x6f\x74"] ?: []]]; goto de92d; ee839: $loadAverageChart->setData($loadAverageData); goto A97ef; b64c2: switch ($timeRange) { case self::TIME_RANGE_LAST_THIRTY_MINUTES: goto cea7f; cea7f: $minuteInterval = 5; goto Aad0d; Ea8b0: goto Cdea3; goto C5307; Aad0d: $startTime = (clone $endTime)->modify("\x2d\63\x30\40\x6d\151\156\165\164\x65\163"); goto Ea8b0; C5307: case self::TIME_RANGE_LAST_HOUR: goto a6ad8; f6c12: goto Cdea3; goto dca50; d4c8a: $startTime = (clone $endTime)->modify("\x2d\61\40\150\x6f\165\162"); goto f6c12; a6ad8: $minuteInterval = 10; goto d4c8a; dca50: case self::TIME_RANGE_LAST_THREE_HOURS: goto b83c3; ada77: goto Cdea3; goto F6770; b83c3: $minuteInterval = 30; goto Dd245; Dd245: $startTime = (clone $dateTime)->modify("\x2d\63\x20\150\157\165\x72\x73"); goto ada77; F6770: case self::TIME_RANGE_LAST_SIX_HOURS: goto ad144; ad144: $minuteInterval = 60; goto f2185; f2185: $startTime = (clone $dateTime)->modify("\x2d\66\x20\x68\157\x75\162\163"); goto ff60f; ff60f: goto Cdea3; goto f5f3c; f5f3c: case self::TIME_RANGE_LAST_TWELVE_HOURS: goto Ebc77; Da0ef: $startTime = (clone $dateTime)->modify("\x2d\x31\x32\40\150\157\x75\162\x73"); goto ecc18; Ebc77: $minuteInterval = 120; goto Da0ef; ecc18: goto Cdea3; goto B9b6a; B9b6a: } goto Dd9ee; D2e6f: $totalMemory = ''; goto eecae; a9172: $user = $this->getUser(); goto Ced1d; Ff7b2: $loadAverageChart = new LoadAverageChart("\x4c\157\141\144\x20\101\166\x65\162\141\147\x65"); goto C22db; bdad9: $diskData = [["\x6e\141\155\x65" => sprintf("\x2f\40\50\45\x73\x29", $rootDiskSize), "\x63\157\154\157\x72" => "\43\x37\63\x62\146\64\x63", "\x64\141\x74\141" => $diskData["\162\x6f\157\164"] ?: []], ["\156\141\155\x65" => sprintf("\57\150\x6f\155\145\40\50\x25\163\51", $homeDiskSize), "\143\157\154\157\162" => "\x23\146\x33\x62\146\60\x30", "\144\141\164\x61" => $diskData["\x68\157\x6d\x65"] ?: []]]; goto f113e; Bf295: $cpuChart->setInformation($cpuInformation); goto F2020; Ced1d: $instance = $request->attributes->get("\151\156\x73\x74\141\x6e\x63\x65"); goto B9fd0; ea2fd: $memoryChart->setInformation($totalMemory); goto B1c1c; F2020: $cpuChart->setData($cpuData); goto C9978; e215d: $cpuData = $this->getCpuDataForTimeRange($startTime, $endTime, $minuteInterval); goto fec25; fe3fd: $diskChart = new Chart("\104\x69\x73\x6b\x20\x55\163\141\147\145"); goto E2e07; B1c1c: $memoryChart->setData($memoryData); goto Aa1c6; f113e: D2c35: goto f3296; E68de: $cloud = $environment->getCloudProvider(); goto Cc00b; Dd9ee: abba2: goto F8ec7; Ee7f5: $endTime = TimeUtil::roundToNearestMinuteInterval($dateTime, 5); goto b64c2; D367b: $rootDiskSize = HumanFileSizeUtil::convert($rootDiskSizeInBytes, "\x47\102", 0); goto ccc8d; F8ec7: Cdea3: goto bd9fc; eecae: $numberOfProcessorCores = 0; goto be1ae; f3835: d5972: goto bdad9; cdde2: $cpuChart = new Chart("\x43\x50\x55\40\125\x73\x61\x67\145"); goto Bf295; C9978: $cpuChart->setCategories($categories); goto afb6d; ccc8d: $homeDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_HOME); goto ae191; ae191: $homeDiskSize = HumanFileSizeUtil::convert($homeDiskSizeInBytes, "\x47\102", 0); goto B8610; afb6d: $memoryChart = new Chart("\x4d\x65\155\157\x72\171\40\125\x73\x61\147\x65"); goto ea2fd; D8fbb: return $response; goto A9339; C22db: $loadAverageChart->setInformation($loadAverageChartInformation); goto ee839; fec25: $memoryData = $this->getMemoryDataForTimeRange($startTime, $endTime, $minuteInterval); goto A370e; B8610: $dateTime = new \DateTime(); goto Ee7f5; D684b: $diskChart->setCategories($categories); goto edcfc; Ac11f: $response = $this->render("\106\x72\x6f\156\x74\145\156\144\x2f\104\141\163\x68\x62\157\141\162\144\57\151\156\x64\145\170\56\x68\x74\155\x6c\x2e\x74\x77\151\x67", ["\143\x6c\157\x75\x64" => $cloud, "\x69\156\163\x74\141\x6e\143\145" => $instance, "\x75\163\x65\x72" => $user, "\x74\x69\155\145\x52\141\156\x67\145" => $timeRange, "\x63\x70\x75\x43\150\x61\162\164" => $cpuChart, "\155\x65\x6d\157\x72\171\x43\150\x61\x72\x74" => $memoryChart, "\144\151\x73\153\x43\150\141\x72\x74" => $diskChart, "\x6c\157\x61\144\x41\166\145\162\141\x67\145\x43\x68\x61\162\x74" => $loadAverageChart]); goto D8fbb; A9339: } private function getCategoriesForTimeRange(User $user, \DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto Ffe46; C7b13: $endDataDate = clone $startTime; goto Ee30b; c21e0: $endDataDate->modify(sprintf("\x2b\x25\60\x35\144\40\155\x69\156\165\x74\145\163", $minuteInterval)); goto dd6e6; Ee30b: e8dc1: goto D7863; Ffe46: $categories = []; goto B3d5c; B3d5c: $startDataDate = (clone $startTime)->modify(sprintf("\55\x25\60\x35\144\x20\155\x69\x6e\x75\164\145\x73", $minuteInterval)); goto C7b13; e8099: $startDataDate->modify(sprintf("\x2b\45\60\65\144\40\x6d\151\x6e\165\x74\x65\163", $minuteInterval)); goto c21e0; dd6e6: goto e8dc1; goto Ddc45; Ae9d1: $categoryDateTime = clone $endDataDate; goto Fd7b4; C14ed: $categories[] = $categoryDateTime->format("\x48\72\x69"); goto e8099; Ddc45: Df823: goto ae051; D7863: if (!($endDataDate <= $endTime)) { goto Df823; } goto Ae9d1; Fd7b4: $categoryDateTime->setTimezone(new \DateTimeZone($user->getTimezone())); goto C14ed; ae051: return $categories; goto befcc; befcc: } private function getCpuDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto ffd5d; cfdbc: E7dcc: goto F9141; F9141: if (!($endDataDate <= $endTime)) { goto Bfe4f; } goto c40c2; e5a3c: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\45\x30\x35\x64\40\155\x69\x6e\165\164\x65\163", $minuteInterval)); goto D4aae; bb3bf: goto E7dcc; goto F264f; B70ee: $endDataDate->modify(sprintf("\53\x25\60\x35\144\x20\x6d\x69\156\x75\x74\x65\163", $minuteInterval)); goto bb3bf; D4aae: $endDataDate = clone $startTime; goto cfdbc; F264f: Bfe4f: goto e7353; e7353: return $cpuData; goto c2b8b; F4e42: $startDataDate->modify(sprintf("\x2b\45\60\x35\144\40\x6d\151\156\x75\x74\145\163", $minuteInterval)); goto B70ee; c40c2: $averageCpuValue = $this->instanceCpuEntityManager->getAverageCpuValue($startDataDate, $endDataDate); goto F3102; F3102: $cpuData[] = $averageCpuValue; goto F4e42; ffd5d: $cpuData = []; goto e5a3c; c2b8b: } private function getMemoryDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto E3922; d50fc: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\45\60\65\x64\40\x6d\151\x6e\165\x74\145\x73", $minuteInterval)); goto C751a; C751a: $endDataDate = clone $startTime; goto aad0f; Bd32c: $memoryData[] = (int) $averageMemoryValue; goto Af831; Dfd55: if (!($endDataDate <= $endTime)) { goto Abcd5; } goto dc9a8; aad0f: f75be: goto Dfd55; e1a1d: return $memoryData; goto C8b56; dc9a8: $averageMemoryValue = $this->instanceMemoryEntityManager->getAverageMemoryValue($startDataDate, $endDataDate); goto Bd32c; C5da2: Abcd5: goto e1a1d; Ee93c: $endDataDate->modify(sprintf("\53\45\60\x35\x64\x20\155\x69\x6e\x75\164\x65\163", $minuteInterval)); goto fd457; fd457: goto f75be; goto C5da2; Af831: $startDataDate->modify(sprintf("\53\45\60\65\144\x20\155\x69\x6e\165\x74\x65\163", $minuteInterval)); goto Ee93c; E3922: $memoryData = []; goto d50fc; C8b56: } private function getDiskDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto a0813; a3178: $endDataDate = clone $startTime; goto E9166; E7234: goto B0d39; goto eb1ee; cf792: foreach (["\x2f", "\x2f\150\157\155\x65"] as $disk) { goto F876d; f278b: B0fb0: goto d6101; A3609: goto f76db; goto f278b; c1cbb: $diskData["\x68\157\155\x65"][] = (int) $averageDiskSizeValue; goto A3609; cfae4: f76db: goto Bc8ef; Bc8ef: Db258: goto dc2be; c1d02: if ("\57" == $disk) { goto B0fb0; } goto c1cbb; d6101: $diskData["\162\157\x6f\164"][] = (int) $averageDiskSizeValue; goto cfae4; F876d: $averageDiskSizeValue = (int) $this->instanceDiskUsageEntityManager->getAverageDiskSizeValue($disk, $startDataDate, $endDataDate); goto c1d02; dc2be: } goto A10ce; A10ce: Acd0d: goto f593d; E9166: B0d39: goto F86e7; f593d: $startDataDate->modify(sprintf("\x2b\x25\x30\65\x64\40\155\x69\156\x75\164\145\163", $minuteInterval)); goto B44e6; a0813: $diskData = []; goto C7eef; C7eef: $startDataDate = (clone $startTime)->modify(sprintf("\55\x25\60\65\x64\x20\x6d\x69\x6e\x75\164\145\163", $minuteInterval)); goto a3178; B44e6: $endDataDate->modify(sprintf("\x2b\x25\60\65\144\x20\x6d\x69\156\165\x74\x65\163", $minuteInterval)); goto E7234; Dbea0: return $diskData; goto b6fc3; eb1ee: a5d11: goto Dbea0; F86e7: if (!($endDataDate <= $endTime)) { goto a5d11; } goto cf792; b6fc3: } private function getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto C033d; Bcdae: foreach ([InstanceLoadAverageEntity::PERIOD_ONE_MINUTE, InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES, InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] as $period) { goto d6a15; d6a15: $loadAverageValue = $this->instanceLoadAverageEntityManager->getLoadAverageValue($period, $startDataDate, $endDataDate); goto F91df; F91df: $loadAverageData[$period][] = round($loadAverageValue, 2); goto Ca050; Ca050: F7735: goto E5467; E5467: } goto Cf4bf; f75d7: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\x25\x30\x35\144\40\x6d\151\x6e\x75\164\145\163", $minuteInterval)); goto e8dbe; E2ffd: Bafb6: goto F879c; C033d: $loadAverageData = []; goto f75d7; F879c: return $loadAverageData; goto F3903; ab3c3: if (!($endDataDate <= $endTime)) { goto Bafb6; } goto Bcdae; e8dbe: $endDataDate = clone $startTime; goto c9a6a; A6712: $endDataDate->modify(sprintf("\53\45\x30\65\144\40\155\x69\x6e\165\x74\x65\163", $minuteInterval)); goto B4e78; Ceb16: $startDataDate->modify(sprintf("\53\45\x30\65\x64\x20\155\151\x6e\x75\x74\x65\163", $minuteInterval)); goto A6712; c9a6a: C7f70: goto ab3c3; Cf4bf: C4d71: goto Ceb16; B4e78: goto C7f70; goto E2ffd; F3903: } }
