<?php
 namespace App\Controller\Frontend; use Symfony\Component\Form\FormError; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\HttpFoundation\RedirectResponse; use Symfony\Component\Form\Extension\Core\Type\ButtonType; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Security\Core\Exception\InvalidCsrfTokenException; use Symfony\Contracts\Translation\TranslatorInterface; use Symfony\Component\HttpFoundation\Cookie; use Symfony\Component\Form\Form; use Twig\Environment as Twig; use Doctrine\Common\Collections\ArrayCollection; use App\Controller\Controller; use App\Event\EventQueue; use App\Service\Crypto; use App\Service\Logger; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Entity\Site as SiteEntity; use App\Entity\NodejsSettings; use App\Entity\PhpSettings; use App\Entity\PythonSettings; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\BlockedBot as BlockedBotEntity; use App\Entity\BlockedIp as BlockedIpEntity; use App\Entity\Database as DatabaseEntity; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Entity\User as UserEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\CronJob as CronJobEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter as SiteDeleter; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Database\Manager as DatabaseManager; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\BasicAuthManager as BasicAuthEntityManager; use App\Entity\Manager\BlockedIpManager as BlockedIpEntityManager; use App\Entity\Manager\BlockedBotManager as BlockedBotEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\CronJobManager as CronJobEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\NodejsSettingsManager as NodejsSettingsEntityManager; use App\Entity\Manager\FtpUserManager as FtpUserEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Log\LogfileReader; use App\Log\LogsFinder; use App\Log\Parser\NginxAccessLogParser; use App\Log\Parser\NginxErrorLogParser; use App\Log\Parser\PhpFpmErrorLogParser; use App\Site\Parser\DomainName as DomainNameParser; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\PrivateKey; use App\Site\Ssl\LetsEncryptClient; use App\Site\VarnishCache\Client as VarnishCacheClient; class SitesController extends Controller { private const FILE_MANAGER_COOKIE_EXPIRATION = 3; private ConfigManager $configManager; private SiteEntityManager $siteEntityManager; private BasicAuthEntityManager $basicAuthEntityManager; private BlockedIpEntityManager $blockedIpEntityManager; private BlockedBotEntityManager $blockedBotEntityManager; private CertificateEntityManager $certificateEntityManager; private CronJobEntityManager $cronJobEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private NodejsSettingsEntityManager $nodejsSettingsEntityManager; private FtpUserEntityManager $ftpUserEntityManager; private SshUserEntityManager $sshUserEntityManager; private DomainNameParser $domainNameParser; public function __construct(ConfigManager $configManager, SiteEntityManager $siteEntityManager, BasicAuthEntityManager $basicAuthEntityManager, BlockedIpEntityManager $blockedIpEntityManager, BlockedBotEntityManager $blockedBotEntityManager, CertificateEntityManager $certificateEntityManager, CronJobEntityManager $cronJobEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, NodejsSettingsEntityManager $nodejsSettingsEntityManager, FtpUserEntityManager $ftpUserEntityManager, SshUserEntityManager $sshUserEntityManager, DomainNameParser $domainNameParser, TranslatorInterface $translator, Logger $logger) { goto B0b73; bb461: $this->basicAuthEntityManager = $basicAuthEntityManager; goto Cecad; B5a1a: $this->siteEntityManager = $siteEntityManager; goto bb461; ae867: $this->certificateEntityManager = $certificateEntityManager; goto fc7a2; ab49c: $this->sshUserEntityManager = $sshUserEntityManager; goto aa6ec; B0b73: $this->configManager = $configManager; goto B5a1a; D184f: $this->databaseUserEntityManager = $databaseUserEntityManager; goto a42ae; ac4c7: $this->blockedBotEntityManager = $blockedBotEntityManager; goto ae867; c3e24: $this->databaseEntityManager = $databaseEntityManager; goto D184f; C25d6: parent::__construct($translator, $logger); goto a3ea2; a42ae: $this->databaseServerEntityManager = $databaseServerEntityManager; goto F6706; aa6ec: $this->domainNameParser = $domainNameParser; goto C25d6; F6706: $this->nodejsSettingsEntityManager = $nodejsSettingsEntityManager; goto d789e; Cecad: $this->blockedIpEntityManager = $blockedIpEntityManager; goto ac4c7; d789e: $this->ftpUserEntityManager = $ftpUserEntityManager; goto ab49c; fc7a2: $this->cronJobEntityManager = $cronJobEntityManager; goto c3e24; a3ea2: } public function index(Request $request) : Response { goto a7a0d; C8b65: return $response; goto E5128; fd8b2: $response = $this->render("\106\x72\x6f\156\x74\145\156\144\57\x53\x69\164\x65\57\151\156\x64\145\x78\56\150\x74\x6d\154\56\x74\167\x69\x67", ["\x75\x73\145\162" => $user, "\x73\151\x74\145\163" => $sites]); goto C8b65; a7a0d: $user = $this->getUser(); goto Ca24a; Ca24a: $sites = $this->siteEntityManager->getUserSites($user, ["\x64\157\155\x61\x69\x6e\x4e\141\155\145" => "\x61\x73\x63"]); goto fd8b2; E5128: } public function fileManager(Request $request) : Response { goto D4250; B5452: $data = ["\165\163\145\162" => $siteUser, "\x6c\157\x63\x61\154\145" => $locale]; goto d82cf; d68e9: $locale = $request->getLocale(); goto Fdca0; d8288: goto Bf7fe; goto c5214; Fdca0: $cookieExpirationDate = new \DateTime("\x6e\x6f\x77"); goto ab6cf; D4250: $site = $this->getSite($request); goto C93e6; df610: return $response; goto fa2fb; C93e6: if (false === is_null($site)) { goto Cad38; } goto d6199; d6199: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\x69\164\x65\163")); goto d8288; A1786: Bf7fe: goto df610; ff5ae: $fileManagerUrl = sprintf("\x25\163\57\146\x69\x6c\x65\55\155\141\156\141\x67\x65\x72\57", rtrim($request->getSchemeAndHttpHost(), "\57")); goto d6073; c5214: Cad38: goto bc8bf; ab6cf: $cookieExpirationDate->modify(sprintf("\53\x25\x73\x20\x68\157\x75\x72\x73", self::FILE_MANAGER_COOKIE_EXPIRATION)); goto B5452; bc8bf: $siteUser = $site->getUser(); goto ef32e; ef32e: $session = $request->getSession(); goto d68e9; d82cf: $session->set("\143\x6c\160\x2d\146\151\x6c\145\55\x6d\141\x6e\141\x67\145\162", $data); goto ff5ae; d6073: $response = $this->render("\x46\162\157\x6e\164\145\x6e\144\57\123\x69\164\x65\57\146\151\x6c\x65\55\155\141\x6e\141\x67\145\162\x2e\x68\164\x6d\x6c\56\164\x77\x69\x67", ["\163\x69\x74\x65" => $site, "\146\x69\x6c\145\x4d\x61\156\141\x67\x65\162\125\162\154" => $fileManagerUrl, "\146\x6f\162\155\105\x72\162\157\162\x73" => $this->formErrors]); goto A1786; fa2fb: } public function view(Request $request) : Response { goto C9b89; C9b89: $domainName = $request->get("\144\157\155\x61\x69\x6e\116\141\155\145"); goto E2296; b1214: return $response; goto a60e8; E2296: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\151\x74\x65\137\163\x65\x74\x74\x69\x6e\x67\x73", ["\x64\157\155\x61\151\x6e\x4e\x61\x6d\x65" => $domainName])); goto b1214; a60e8: } public function logs(Request $request) : Response { goto D794d; Ead67: goto a91bb; goto Ea8e2; ac8d3: return $response; goto Ce938; F68a6: $form = $this->createLogsForm($siteEntity); goto Eafdc; ea24b: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\151\x74\145\163")); goto Ead67; f078c: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto F68a6; Eafdc: $response = $this->render("\x46\x72\x6f\156\x74\145\156\144\x2f\x53\x69\164\x65\57\x6c\157\147\163\56\150\x74\155\x6c\56\164\167\151\x67", ["\163\x69\164\145" => $site, "\146\x6f\x72\x6d\x45\162\x72\157\162\163" => $this->formErrors, "\146\157\162\x6d" => $form->createView()]); goto e7339; Ea8e2: a0889: goto f078c; D794d: $site = $this->getSite($request); goto Bf094; Bf094: if (false === is_null($site)) { goto a0889; } goto ea24b; e7339: a91bb: goto ac8d3; Ce938: } private function createLogsForm(SiteEntity $siteEntity) : Form { goto d02c5; C7458: $form->add("\x75\160\144\141\x74\145", ButtonType::class, ["\x61\164\164\x72" => ["\143\x6c\141\x73\x73" => "\x62\x74\x6e\40\x62\x74\156\x2d\154\x67\x20\x62\x74\x6e\55\x62\154\165\145\40\142\164\x6e\55\165\160\144\141\164\145"], "\154\141\142\x65\x6c" => "\125\160\144\141\164\x65"]); goto A02a1; A02a1: return $form; goto ebd11; d02c5: $form = $this->createForm("\101\x70\160\x5c\x46\157\162\x6d\x5c\x53\151\164\145\114\157\147\x73\x54\171\x70\145", [], ["\x61\x63\164\x69\157\156" => $this->generateUrl("\143\154\x70\x5f\x73\x69\x74\145\x5f\154\157\147\163", ["\144\x6f\x6d\x61\151\x6e\116\141\x6d\x65" => $siteEntity->getDomainName()]), "\155\145\x74\150\157\144" => "\120\x4f\123\x54", "\x61\x74\164\x72" => []]); goto C7458; ebd11: } public function logFileContent(Request $request, Twig $twig) : Response { goto F19c9; b5cb2: cb964: goto B9758; eb812: $logfileName = trim($request->get("\x6c\x6f\x67\106\151\x6c\x65")); goto d0492; B9758: $response = $this->json($data); goto E2e97; E2e97: return $response; goto ae482; Adf38: if (!(false === empty($service) && false === empty($logfileName))) { goto a5508; } goto c090b; c090b: try { goto A5520; eae39: D8d5c: goto af10c; Bfc0f: if (!("\x70\150\x70" == $service)) { goto F808f; } goto Ee774; F369b: goto D69c9; goto eae39; Af8c6: $user = $this->getUser(); goto ab2b2; d2a55: $data["\x6c\x6f\147\x4d\145\x73\x73\x61\x67\145\163\110\x74\x6d\x6c"] = $logMessagesHtml; goto Db8df; a21c4: if ("\x61\143\143\145\163\x73\56\x6c\x6f\x67" == substr($logfileName, 0, 10)) { goto D8d5c; } goto f2a5d; da055: $nginxAccessLogParser->setTimezone($userTimezone->getName()); goto Db6f2; Be7d4: $logMessagesHtml = $twig->render("\106\162\157\x6e\x74\145\x6e\x64\57\123\x69\164\145\x2f\114\x6f\147\163\57\x70\x68\x70\x2d\x66\160\x6d\55\145\162\162\157\x72\55\154\157\x67\55\x6d\145\x73\x73\x61\147\x65\x73\56\150\x74\155\154\56\164\167\x69\147", ["\x6c\157\x67\115\145\163\163\x61\x67\x65\x73" => $logMessages]); goto ee2f0; F74d6: $logMessages = $phpFpmErrorLogParser->parse(); goto Be7d4; Ee774: $phpFpmErrorLogParser = new PhpFpmErrorLogParser($logLines); goto F74d6; Db6f2: $logMessages = $nginxAccessLogParser->parse(); goto Da2a0; f3f17: $logfileReader = new LogfileReader($logfile); goto Ef754; D6b88: $logMessagesHtml = ''; goto Af8c6; ab2b2: if (!("\x6e\x67\151\x6e\170" == $service)) { goto Feb60; } goto D8f13; Ef754: $logLines = $logfileReader->getLines($numberOfLines); goto D6b88; f2a5d: $nginxErrorLogParser = new NginxErrorLogParser($logLines); goto e77cb; f5b04: D69c9: goto d7b60; Da2a0: $logMessagesHtml = $twig->render("\x46\162\157\x6e\164\x65\x6e\144\x2f\x53\x69\x74\145\57\114\x6f\x67\x73\x2f\156\x67\x69\156\x78\55\x61\x63\143\145\x73\163\55\154\x6f\x67\x2d\x6d\145\163\163\x61\x67\145\x73\56\150\164\155\154\56\164\x77\x69\x67", ["\154\157\147\115\x65\x73\163\x61\x67\x65\x73" => $logMessages]); goto f5b04; af10c: $nginxAccessLogParser = new NginxAccessLogParser($logLines); goto da055; ee2f0: F808f: goto d2a55; A4921: $logMessagesHtml = $twig->render("\106\x72\157\156\x74\145\x6e\144\57\123\151\164\x65\x2f\114\157\147\163\57\x6e\147\151\x6e\x78\55\145\x72\162\x6f\x72\x2d\154\157\147\x2d\155\145\163\x73\x61\x67\145\163\56\150\164\155\154\56\164\x77\x69\x67", ["\x6c\x6f\147\x4d\145\163\x73\141\147\x65\x73" => $logMessages]); goto F369b; A5520: $service = basename($service); goto fa3d1; D8f13: $userTimezone = $user->getTimezone(); goto a21c4; fa3d1: $logfile = sprintf("\57\150\x6f\x6d\145\x2f\x25\163\57\154\157\x67\163\x2f\45\x73\x2f\x25\163", $site->getUser(), $service, $logfileName); goto f3f17; d7b60: Feb60: goto Bfc0f; e77cb: $logMessages = $nginxErrorLogParser->parse(); goto A4921; Db8df: } catch (\Exception $e) { $this->logger->exception($e); } goto dc291; Ca1cb: $service = trim($request->get("\163\x65\x72\x76\x69\x63\x65")); goto eb812; e1a75: if (!(false === is_null($site))) { goto cb964; } goto Ca1cb; Bf5f8: $site = $this->getSite($request); goto e1a75; d0492: $numberOfLines = (int) $request->get("\156\165\x6d\x62\x65\x72\117\x66\114\151\156\x65\x73"); goto Adf38; dc291: a5508: goto b5cb2; F19c9: $data = []; goto Bf5f8; ae482: } public function loadLogfilesForService(Request $request) : Response { goto F95dc; F66bf: if (!(false === empty($service))) { goto Ff5f0; } goto b8907; Cf712: $service = trim($request->get("\x73\x65\x72\166\151\x63\x65")); goto F66bf; fa9d6: Aa90a: goto a2dd8; E4f13: if (!(false === is_null($site))) { goto Aa90a; } goto Cf712; b8907: try { goto B6762; Ba7d6: $data["\x6c\x6f\147\146\151\154\145\x73"] = $logfiles; goto d3b38; A716a: $logfilesDirectory = sprintf("\57\150\x6f\x6d\145\x2f\x25\x73\x2f\x6c\157\x67\163\x2f\x25\x73\57", $site->getUser(), $service); goto Fcc02; B6762: $service = basename($service); goto A716a; d3b38: f9154: goto ed0b6; e6e82: if (!(false === empty($logfiles))) { goto f9154; } goto Ba7d6; B1208: $logfiles = $logsFinder->getLogfiles(); goto e6e82; Fcc02: $logsFinder = new LogsFinder($logfilesDirectory); goto B1208; ed0b6: } catch (\Exception $e) { $this->logger->exception($e); } goto C752f; a2dd8: $response = $this->json($data); goto B8c33; F95dc: $data = []; goto d83d4; B8c33: return $response; goto ef5ea; C752f: Ff5f0: goto fa9d6; d83d4: $site = $this->getSite($request); goto E4f13; ef5ea: } public function cronJobs(Request $request) : Response { goto B5e7a; b09c3: f6032: goto D0fe2; F12bc: goto e1d49; goto b09c3; c99aa: if (false === is_null($site)) { goto f6032; } goto b1a31; B5e7a: $site = $this->getSite($request); goto c99aa; B2562: return $response; goto A53bf; Bf3c6: e1d49: goto B2562; b1a31: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\164\x65\x73")); goto F12bc; D0fe2: $response = $this->render("\106\162\157\x6e\164\145\156\x64\57\123\x69\x74\145\57\143\x72\157\156\x2d\152\157\142\163\x2e\150\x74\155\x6c\56\164\167\x69\147", ["\x73\x69\x74\145" => $site, "\x66\x6f\162\155\105\x72\162\157\162\x73" => $this->formErrors]); goto Bf3c6; A53bf: } public function newCronJob(Request $request) : Response { goto Dce59; df698: if (!(true === $form->isSubmitted())) { goto f2ba9; } goto e51d4; Ad1c1: B193a: goto B3b13; B4d9f: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto B0444; a75a0: $form->handleRequest($request); goto df698; c4979: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\x74\145\163")); goto eabc6; eba1b: return $response; goto a97c4; e51d4: $response = $this->handleCronJobForm($request, $form, $site); goto Be69e; B0444: $cronJobEntity = $this->cronJobEntityManager->createEntity(); goto bf03c; a97c4: Caf37: goto Fb80b; Fb80b: f2ba9: goto Ad1c1; Be69e: if (!(false === is_null($response))) { goto Caf37; } goto eba1b; F675b: if (!(true === $request->isMethod("\120\117\x53\124"))) { goto B193a; } goto a75a0; Dce59: $site = $this->getSite($request); goto C2bee; Bc2b8: c4bc4: goto B4d9f; fd809: Dfb49: goto a9741; a9741: return $response; goto af360; eabc6: goto Dfb49; goto Bc2b8; C2bee: if (false === is_null($site)) { goto c4bc4; } goto c4979; c6a86: $form = $this->createCronJobForm($cronJobEntity); goto F675b; bf03c: $cronJobEntity->setSite($siteEntity); goto c6a86; B3b13: $response = $this->render("\x46\x72\157\x6e\x74\145\156\x64\57\x53\151\x74\x65\57\x6e\x65\x77\x2d\x63\162\157\x6e\x2d\152\x6f\142\56\150\x74\x6d\x6c\x2e\164\167\x69\x67", ["\x73\x69\x74\x65" => $site, "\x66\157\162\155" => $form->createView(), "\146\x6f\162\155\x45\x72\162\157\x72\x73" => $this->formErrors]); goto fd809; af360: } private function createCronJobForm(CronJobEntity $cronJobEntity) : Form { goto Cc9af; E43bf: return $form; goto c34e4; D549a: $form = $this->createForm("\x41\160\160\x5c\106\157\x72\x6d\134\x53\151\x74\x65\x43\162\x6f\156\112\157\142\124\x79\160\x65", $cronJobEntity, ["\141\143\x74\x69\157\156" => $this->generateUrl("\143\154\x70\x5f\x73\151\164\x65\x5f\143\162\157\156\x5f\x6a\157\x62\137\156\x65\x77", ["\144\x6f\x6d\x61\151\156\x4e\141\155\x65" => $siteEntity->getDomainName()]), "\155\145\164\x68\x6f\144" => "\120\x4f\123\124", "\141\x74\x74\162" => []]); goto Bb903; Bb903: $form->add("\x73\165\142\x6d\151\164", SubmitType::class, ["\x61\164\164\x72" => ["\143\154\x61\x73\163" => "\x62\x74\x6e\40\142\164\156\55\x62\154\x75\x65\x20\142\164\x6e\55\154\147"], "\154\141\142\x65\154" => "\x41\x64\x64\40\x43\162\157\156\x20\x4a\157\x62"]); goto E43bf; Cc9af: $siteEntity = $cronJobEntity->getSite(); goto D549a; c34e4: } private function handleCronJobForm(Request $request, Form $form, Site $site) { goto B8528; A76b2: try { goto bfa2f; f178f: $user = $this->getUser(); goto b5129; F9775: $site->setCronJobs($siteEntity->getCronJobs()); goto c0423; bfa2f: $session = $request->getSession(); goto Afcca; Ca8e3: $siteUpdater->updateUserCrontab(); goto Afc8e; dd917: goto E1811; goto ca052; Afc8e: $eventData = ["\x73\151\x74\x65" => $domainName, "\143\162\x6f\x6e\164\x61\x62\105\170\x70\162\145\163\x73\151\x6f\156" => $cronJobEntity->getCrontabExpression()]; goto B215d; d7bee: if (false === is_null($siteEntity)) { goto C1eff; } goto Da5ec; D4bd8: E1811: goto C0749; ed90d: $siteUpdater = $this->getSiteUpdater($site); goto Ca8e3; Afcca: $domainName = $site->getDomainName(); goto e90fa; B215d: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_ADD, $user, $eventData, $request); goto aea2e; e90fa: $siteEntity = $this->getSiteEntity($domainName); goto d7bee; aea2e: $session->getFlashBag()->set("\x73\165\x63\x63\145\163\x73", $this->translator->trans("\103\162\x6f\156\x20\112\157\x62\x20\150\141\x73\x20\x62\145\145\156\x20\x61\x64\144\145\144\56")); goto edd29; edd29: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\164\145\137\143\x72\157\156\137\152\157\142\163", ["\144\157\155\x61\x69\156\x4e\141\155\x65" => $site->getDomainName()])); goto D4bd8; C0749: return $response; goto Ebf1e; ca052: C1eff: goto f178f; Da5ec: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\164\x65\x73")); goto dd917; b5129: $cronJobEntity = $form->getData(); goto E8a6f; E8a6f: $siteEntity->addCronJob($cronJobEntity); goto F9775; c0423: $this->siteEntityManager->updateEntity($siteEntity); goto ed90d; Ebf1e: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\162", $this->translator->trans("\x41\x6e\40\145\x72\162\157\162\x20\150\141\x73\x20\x6f\143\x63\x75\162\x72\x65\x64\x2c\40\x65\x72\162\157\x72\40\x6d\145\163\163\141\x67\x65\72\40\45\145\x72\x72\x6f\x72\x4d\145\x73\163\x61\x67\145\x25", ["\45\145\162\162\x6f\x72\115\x65\163\x73\141\147\145\45" => $e->getMessage()])); } goto de32b; f7a09: goto F6ebc; goto c5772; B8528: if (true === $form->isValid()) { goto b1bdf; } goto eda09; c5772: b1bdf: goto A76b2; de32b: F6ebc: goto D5232; eda09: $this->formErrors = $this->getErrorMessages($form); goto f7a09; D5232: } public function deleteCronJob(Request $request) : Response { goto fbd65; Fa21b: $this->checkCsrfToken($request, "\143\x72\157\x6e\152\x6f\142\55\x64\x65\x6c\145\164\145"); goto Ef654; daf33: Af397: goto e16f2; fbd65: $site = $this->getSite($request); goto Fa21b; e16f2: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\151\x74\x65\163")); goto dfeb1; Ef654: if (!(false === is_null($site))) { goto Af397; } goto fad9e; fad9e: try { goto ed412; B3307: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_DELETE, $user, $evenData, $request); goto bba03; ed412: $session = $request->getSession(); goto e3124; c0c30: F6198: goto B762e; E6c1e: if (!(false === is_null($siteEntity) && false === is_null($cronJobEntity))) { goto F6198; } goto d4e24; df33f: $user = $this->getUser(); goto d4585; B0095: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto E6c1e; cf48e: $this->siteEntityManager->updateEntity($siteEntity); goto f139a; d4585: $siteEntity->removeCronJob($cronJobEntity); goto a8b12; dd743: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\151\164\145\x5f\x63\162\x6f\156\137\152\157\142\163", ["\144\x6f\155\x61\x69\x6e\x4e\141\x6d\145" => $site->getDomainName()])); goto cc948; f33ca: $siteEntity = $this->getSiteEntity($domainName); goto B0095; bba03: $session->getFlashBag()->set("\163\165\x63\x63\145\x73\163", $this->translator->trans("\103\x72\x6f\156\40\112\157\142\x20\x68\x61\163\40\x62\145\145\x6e\40\144\145\154\x65\164\145\x64\56")); goto dd743; cc948: return $response; goto Bbe4a; b33e4: $domainName = $site->getDomainName(); goto f33ca; a8b12: $site->setCronJobs($siteEntity->getCronJobs()); goto cf48e; Bbe4a: eb546: goto c0c30; e3124: $id = (int) $request->get("\x69\x64"); goto b33e4; C02af: if (!($siteEntity->getDomainName() == $cronJobSiteEntity->getDomainName())) { goto eb546; } goto df33f; f139a: $siteUpdater = $this->getSiteUpdater($site); goto Bfac5; Cea95: $evenData = ["\x73\151\164\145" => $domainName, "\143\x6f\155\155\x61\x6e\x64" => $cronJobEntity->getCommand()]; goto B3307; d4e24: $cronJobSiteEntity = $cronJobEntity->getSite(); goto C02af; Bfac5: $siteUpdater->updateUserCrontab(); goto Cea95; B762e: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\x65\162", $this->translator->trans("\101\156\40\x65\x72\x72\x6f\162\40\x68\x61\163\40\157\143\x63\x75\x72\x72\x65\x64\54\x20\145\162\162\157\x72\40\x6d\x65\163\163\x61\147\145\x3a\x20\45\x65\162\162\x6f\162\115\145\x73\x73\141\x67\x65\x25", ["\45\x65\162\x72\x6f\x72\x4d\x65\x73\163\141\x67\145\x25" => $e->getMessage()])); } goto daf33; dfeb1: return $response; goto c0bde; c0bde: } public function editCronJob(Request $request) : Response { goto aa292; Cd06e: if (!(true === $form->isSubmitted())) { goto A3ad9; } goto F3ce1; e7319: return $response; goto b80d6; b4bad: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto Aeb9e; Ad319: A4507: goto Eba56; efe06: $site = $this->getSite($request); goto b4bad; De6cb: $form = $this->createCronJobEditForm($cronJobEntity); goto fd978; F3ce1: $response = $this->handleCronJobEditForm($request, $form, $site); goto C9649; C9649: if (!(false === is_null($response))) { goto D8dc2; } goto e7319; a7ee9: return $response; goto b5530; cd1b7: df264: goto De6cb; Aeb9e: if (false === is_null($cronJobEntity) && false === is_null($site) && $cronJobEntity->getSite()->getDomainName() == $site->getDomainName()) { goto df264; } goto B148e; B148e: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\x74\145\x73")); goto c2fc2; c2fc2: goto Fb6db; goto cd1b7; fd978: if (!(true === $request->isMethod("\120\117\123\124"))) { goto A4507; } goto f5ac5; Eba56: $response = $this->render("\x46\x72\157\x6e\x74\x65\156\x64\x2f\x53\151\x74\145\x2f\x65\144\x69\164\55\143\x72\x6f\156\55\x6a\x6f\x62\x2e\150\x74\155\x6c\x2e\x74\167\x69\147", ["\163\151\164\x65" => $site, "\146\157\162\155" => $form->createView(), "\x66\157\162\155\x45\x72\x72\x6f\x72\x73" => $this->formErrors]); goto Ff65d; f5ac5: $form->handleRequest($request); goto Cd06e; b80d6: D8dc2: goto C1dd5; C1dd5: A3ad9: goto Ad319; aa292: $id = (int) $request->get("\151\144"); goto efe06; Ff65d: Fb6db: goto a7ee9; b5530: } private function createCronJobEditForm(CronJobEntity $cronJobEntity) : Form { goto b7024; b146f: $form->add("\163\165\x62\x6d\x69\x74", SubmitType::class, ["\141\164\x74\162" => ["\143\x6c\x61\x73\163" => "\x62\x74\156\40\142\164\156\x2d\x62\154\165\145\x20\x62\164\156\55\x6c\147"], "\x6c\x61\x62\x65\x6c" => "\x53\x61\166\x65"]); goto Bde18; c7124: $form = $this->createForm("\x41\x70\160\134\x46\x6f\162\x6d\x5c\123\151\164\x65\x43\162\x6f\x6e\112\x6f\x62\105\144\x69\164\124\x79\x70\145", $cronJobEntity, ["\141\143\x74\151\157\156" => $this->generateUrl("\x63\154\160\x5f\x73\151\164\145\137\x63\x72\x6f\x6e\x5f\152\157\x62\137\x65\x64\151\164", ["\144\157\x6d\x61\151\156\116\141\x6d\145" => $siteEntity->getDomainName(), "\151\x64" => $cronJobEntity->getId()]), "\155\x65\x74\x68\157\144" => "\x50\117\x53\x54", "\x61\x74\164\162" => []]); goto b146f; Bde18: return $form; goto Fdbc3; b7024: $siteEntity = $cronJobEntity->getSite(); goto c7124; Fdbc3: } private function handleCronJobEditForm(Request $request, Form $form, Site $site) { goto F73e5; ea3c2: b0146: goto bc4ee; bc4ee: try { goto c8c31; da1a4: $session->getFlashBag()->set("\163\x75\143\143\145\x73\163", $this->translator->trans("\x43\x72\157\156\40\112\x6f\142\x20\x68\x61\163\x20\142\x65\x65\x6e\x20\x73\141\x76\x65\144\x2e")); goto E3cbc; c8c31: $session = $request->getSession(); goto Dfaf6; A6df3: c10fd: goto e4b4e; Dfaf6: $domainName = $site->getDomainName(); goto af4ca; a3b29: goto E7c89; goto A6df3; c1230: $siteUpdater = $this->getSiteUpdater($site); goto ef12f; bfc17: if (false === is_null($siteEntity)) { goto c10fd; } goto Ca7d8; e4b4e: $user = $this->getUser(); goto Bc23b; ef12f: $siteUpdater->updateUserCrontab(); goto c61a5; E3cbc: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\x69\164\x65\137\143\x72\157\156\137\x6a\157\x62\163", ["\144\157\x6d\x61\151\x6e\x4e\x61\155\x65" => $site->getDomainName()])); goto e1986; c5eb3: return $response; goto Db685; e1986: E7c89: goto c5eb3; c61a5: $eventData = ["\163\151\164\145" => $domainName, "\x63\x72\157\156\164\141\x62\x45\170\x70\162\145\x73\163\x69\x6f\156" => $cronJobEntity->getCrontabExpression()]; goto F7caf; Bc23b: $cronJobEntity = $form->getData(); goto dc1ca; Eafe6: $this->siteEntityManager->updateEntity($siteEntity); goto c1230; Ca7d8: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\x69\x74\x65\x73")); goto a3b29; F7caf: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_EDIT, $user, $eventData, $request); goto da1a4; cdbea: $site->setCronJobs($siteEntity->getCronJobs()); goto Eafe6; dc1ca: $siteEntity->addCronJob($cronJobEntity); goto cdbea; af4ca: $siteEntity = $this->getSiteEntity($domainName); goto bfc17; Db685: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\162", $this->translator->trans("\101\x6e\x20\145\162\162\157\162\40\x68\x61\x73\x20\x6f\x63\x63\165\x72\162\x65\144\x2c\x20\145\162\x72\x6f\162\40\x6d\x65\163\x73\141\147\145\x3a\x20\45\145\162\x72\x6f\x72\x4d\x65\163\163\141\x67\145\45", ["\45\145\x72\x72\x6f\162\x4d\x65\x73\x73\141\147\145\x25" => $e->getMessage()])); } goto Aa15a; F0e4c: goto Ead5d; goto ea3c2; Cc01c: $this->formErrors = $this->getErrorMessages($form); goto F0e4c; Aa15a: Ead5d: goto D1305; F73e5: if (true === $form->isValid()) { goto b0146; } goto Cc01c; D1305: } public function users(Request $request) : Response { goto F59c4; ba94f: if (false === is_null($site)) { goto f3d22; } goto C65b2; F59c4: $site = $this->getSite($request); goto ba94f; b244b: B8e40: goto Ba3e6; Dbbb2: goto B8e40; goto F4280; Ba3e6: return $response; goto a44f5; Be97c: $response = $this->render("\106\x72\157\156\164\x65\x6e\x64\x2f\x53\x69\x74\x65\57\165\x73\x65\x72\x73\56\x68\x74\x6d\x6c\x2e\164\x77\151\x67", ["\163\151\164\145" => $site, "\146\x6f\x72\155\x45\162\x72\157\162\x73" => $this->formErrors]); goto b244b; C65b2: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\x69\164\145\x73")); goto Dbbb2; F4280: f3d22: goto Be97c; a44f5: } public function newFtpUser(Request $request) : Response { goto ae8ea; d76d4: $ftpUserEntity->setSite($siteEntity); goto cf8cb; d127c: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\x69\x74\x65\163")); goto a70ed; ae8ea: $site = $this->getSite($request); goto b8221; cff54: a9132: goto c7569; B72af: be849: goto a0936; dfa6f: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Cd97c; be6eb: $form->handleRequest($request); goto Ad6fd; b8221: if (false === is_null($site)) { goto c9058; } goto d127c; cf8cb: $form = $this->createFtpUserForm($ftpUserEntity); goto E7a58; a70ed: goto be849; goto a5106; b537a: $response = $this->handleFtpUserForm($request, $form, $site); goto C12a3; a0936: return $response; goto D9950; E7a58: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto b3ac5; } goto be6eb; C12a3: if (!(false === is_null($response))) { goto Fcdb2; } goto D4c5b; a231f: Fcdb2: goto cff54; Ad6fd: if (!(true === $form->isSubmitted())) { goto a9132; } goto b537a; Cd97c: $ftpUserEntity = $this->ftpUserEntityManager->createEntity(); goto d76d4; D95f7: $response = $this->render("\x46\x72\x6f\156\x74\145\x6e\144\x2f\123\x69\164\x65\x2f\156\x65\x77\x2d\146\x74\160\x2d\x75\x73\145\x72\x2e\x68\x74\155\154\x2e\164\167\x69\x67", ["\x73\151\x74\x65" => $site, "\146\157\162\155" => $form->createView(), "\x66\157\162\155\x45\162\162\157\x72\163" => $this->formErrors]); goto B72af; D4c5b: return $response; goto a231f; a5106: c9058: goto dfa6f; c7569: b3ac5: goto D95f7; D9950: } private function createFtpUserForm(FtpUserEntity $ftpUserEntity) : Form { goto db1c6; Eab76: $form = $this->createForm("\x41\160\x70\x5c\x46\x6f\x72\155\134\123\151\x74\145\x46\164\x70\125\163\x65\x72\x54\171\160\145", $ftpUserEntity, ["\x61\x63\164\151\x6f\x6e" => $this->generateUrl("\x63\154\x70\137\163\151\x74\x65\137\146\x74\x70\x5f\165\163\145\x72\x5f\x6e\x65\x77", ["\x64\x6f\x6d\141\151\156\x4e\x61\x6d\145" => $siteEntity->getDomainName()]), "\155\x65\164\x68\157\144" => "\120\x4f\123\124", "\x61\164\164\x72" => []]); goto B6adf; db1c6: $siteEntity = $ftpUserEntity->getSite(); goto Eab76; B6adf: $form->add("\x73\165\142\x6d\151\164", SubmitType::class, ["\x61\x74\164\162" => ["\143\154\141\x73\163" => "\x62\x74\x6e\x20\142\x74\156\x2d\142\154\165\145\40\x62\x74\x6e\x2d\154\147"], "\x6c\x61\x62\x65\154" => "\x41\x64\144\x20\125\163\145\162"]); goto eee85; eee85: return $form; goto C7e94; C7e94: } private function handleFtpUserForm(Request $request, Form $form, Site $site) { goto Dfa48; b81b0: try { goto f344c; Cf100: $user = $this->getUser(); goto ba7d1; c854f: $domainName = $site->getDomainName(); goto Dd975; d06a6: $ftpUserEntity->setPassword($ftpUserPassword); goto Dc127; b8338: return $response; goto B8695; A85bb: f332a: goto b8338; Dc127: $siteEntity->addFtpUser($ftpUserEntity); goto d675e; aa388: $session->getFlashBag()->set("\163\x75\143\143\x65\x73\x73", $this->translator->trans("\x55\x73\x65\x72\40\x68\x61\163\40\142\x65\x65\x6e\40\x61\x64\x64\145\x64\56")); goto fffca; af6e9: goto f332a; goto E278b; b2408: $ftpUserName = $ftpUserEntity->getUserName(); goto Ddae1; E278b: Faa39: goto Cf100; fffca: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\x69\164\145\x5f\165\x73\x65\162\x73", ["\x64\x6f\x6d\141\x69\156\116\x61\x6d\145" => $site->getDomainName()])); goto A85bb; Ef40c: $eventData = ["\x73\x69\x74\145" => $domainName, "\x75\163\145\x72\116\x61\x6d\145" => $ftpUserName, "\x68\157\x6d\x65\x44\151\x72\145\x63\164\x6f\162\171" => $ftpUserEntity->getHomeDirectory()]; goto fc89a; d675e: $this->siteEntityManager->updateEntity($siteEntity); goto D0602; d05fe: if (false === is_null($siteEntity)) { goto Faa39; } goto C4138; Dfcd7: $siteUpdater->createFtpUser($ftpUserEntity); goto Ef40c; fc89a: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_ADD, $user, $eventData, $request); goto aa388; f344c: $session = $request->getSession(); goto c854f; C4138: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\x69\164\145\163")); goto af6e9; ba7d1: $ftpUserEntity = $form->getData(); goto b2408; D0602: $siteUpdater = $this->getSiteUpdater($site); goto Dfcd7; Dd975: $siteEntity = $this->getSiteEntity($domainName); goto d05fe; Ddae1: $ftpUserPassword = $form->get("\x70\141\x73\x73\167\x6f\162\x64")->getData(); goto d06a6; B8695: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\x65\x72", $this->translator->trans("\101\156\40\x65\x72\162\157\x72\x20\x68\141\163\40\157\143\143\165\162\162\145\x64\x2c\x20\x65\162\x72\157\162\x20\155\x65\x73\x73\141\x67\x65\x3a\40\45\x65\162\x72\157\162\115\145\x73\x73\x61\x67\x65\45", ["\x25\145\162\162\x6f\162\x4d\x65\x73\x73\x61\x67\145\x25" => $e->getMessage()])); } goto Fc63b; Dfa48: if (true === $form->isValid()) { goto e1504; } goto F05ea; F05ea: $this->formErrors = $this->getErrorMessages($form); goto ee163; Fc63b: B1f7d: goto B3a56; ee163: goto B1f7d; goto B0055; B0055: e1504: goto b81b0; B3a56: } public function editFtpUser(Request $request) : Response { goto Db52d; Db3db: af245: goto d5c84; ca7df: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto b101f; Ae3fb: B2227: goto Bba4d; b101f: if (false === is_null($ftpUserEntity) && false === is_null($site) && $ftpUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto C1286; } goto a6889; fcceb: return $response; goto D61d5; Facff: goto af245; goto e5c68; fe2e3: $response = $this->handleFtpUserEditForm($request, $form, $site); goto Fc192; Db52d: $userName = $request->get("\x75\163\x65\162\116\141\155\145"); goto f7496; Bba4d: $response = $this->render("\106\x72\x6f\156\164\145\x6e\144\x2f\x53\x69\164\145\57\145\144\x69\164\x2d\146\x74\x70\x2d\165\163\x65\162\56\150\x74\x6d\x6c\56\164\x77\151\x67", ["\x73\x69\164\145" => $site, "\x66\157\x72\x6d" => $form->createView(), "\146\x6f\162\155\105\162\162\157\162\163" => $this->formErrors]); goto Db3db; d5c84: return $response; goto e230e; D61d5: ac520: goto a9d00; E06fa: if (!(true === $form->isSubmitted())) { goto c70a6; } goto fe2e3; A887b: $form->handleRequest($request); goto E06fa; e5c68: C1286: goto D64b8; Fc192: if (!(false === is_null($response))) { goto ac520; } goto fcceb; C57a0: if (!(true === $request->isMethod("\x50\117\x53\124"))) { goto B2227; } goto A887b; f7496: $site = $this->getSite($request); goto ca7df; a9d00: c70a6: goto Ae3fb; D64b8: $form = $this->createFtpUserEditForm($ftpUserEntity); goto C57a0; a6889: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\x69\164\x65\x73")); goto Facff; e230e: } private function createFtpUserEditForm(FtpUserEntity $ftpUserEntity) : Form { goto Ea45b; D42cc: $form->add("\x73\x75\142\x6d\151\164", SubmitType::class, ["\x61\164\164\x72" => ["\x63\x6c\141\x73\x73" => "\x62\164\x6e\x20\142\x74\156\x2d\x62\x6c\165\x65\x20\x62\164\156\x2d\154\147"], "\154\x61\142\145\154" => "\x53\x61\x76\145"]); goto da9e5; Ea45b: $siteEntity = $ftpUserEntity->getSite(); goto d6de1; da9e5: return $form; goto d10f1; d6de1: $form = $this->createForm("\x41\x70\160\134\x46\157\162\155\x5c\123\x69\164\145\x46\164\160\125\x73\x65\x72\105\x64\151\x74\124\x79\160\x65", $ftpUserEntity, ["\x61\143\164\x69\157\156" => $this->generateUrl("\x63\154\160\137\163\151\164\x65\x5f\x66\x74\160\137\x75\x73\x65\162\137\145\144\151\x74", ["\x64\x6f\155\x61\151\156\116\x61\155\x65" => $siteEntity->getDomainName(), "\x75\x73\x65\162\116\x61\155\x65" => $ftpUserEntity->getUserName()]), "\x6d\145\x74\x68\x6f\x64" => "\x50\117\x53\124", "\141\x74\164\x72" => []]); goto D42cc; d10f1: } private function handleFtpUserEditForm(Request $request, Form $form, Site $site) { goto Ad080; E9539: $this->formErrors = $this->getErrorMessages($form); goto E1c83; f1bb5: Ff09d: goto F483a; Fa4b9: Dd196: goto C714c; F483a: try { goto b01e3; f1440: $this->siteEntityManager->updateEntity($siteEntity); goto A1248; aedcf: $domainName = $site->getDomainName(); goto f610b; A1248: $siteUpdater = $this->getSiteUpdater($site); goto Ce0e2; dd810: $user = $this->getUser(); goto c6e7d; fea8f: if (false === is_null($siteEntity)) { goto f4d74; } goto a3fd1; ded3f: return $response; goto b9947; c6e7d: $ftpUserEntity = $form->getData(); goto Bdd9c; E2e0c: $session->getFlashBag()->set("\x73\165\143\143\x65\x73\x73", $this->translator->trans("\125\163\x65\162\40\x68\x61\163\x20\x62\145\x65\x6e\40\x73\x61\x76\145\144\x2e")); goto a5ff3; ac321: f4d74: goto dd810; C9aa2: if (!(false === empty($ftpUserPassword))) { goto Bb7a6; } goto Eeb2f; c6f2b: goto c902e; goto ac321; b01e3: $session = $request->getSession(); goto aedcf; a5ff3: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\164\145\x5f\165\x73\x65\162\x73", ["\144\x6f\155\141\x69\x6e\x4e\141\155\x65" => $site->getDomainName()])); goto E56e8; a87d3: $ftpUserHomeDirectory = $ftpUserEntity->getHomeDirectory(); goto f1440; Eeb2f: $siteUpdater->changeUserPassword($ftpUserName, $ftpUserPassword); goto bbca1; bbca1: Bb7a6: goto ba2d2; ba2d2: $eventData = ["\163\151\x74\x65" => $domainName, "\x75\x73\145\x72\116\x61\x6d\x65" => $ftpUserName, "\x68\157\x6d\x65\104\151\162\145\143\164\x6f\162\x79" => $ftpUserHomeDirectory]; goto cccda; E56e8: c902e: goto ded3f; Bdd9c: $ftpUserName = $ftpUserEntity->getUserName(); goto af465; Ce0e2: $siteUpdater->changeUserHomeDirectory($ftpUserName, $ftpUserHomeDirectory); goto C9aa2; f610b: $siteEntity = $this->getSiteEntity($domainName); goto fea8f; cccda: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_EDIT, $user, $eventData, $request); goto E2e0c; a3fd1: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\151\x74\145\x73")); goto c6f2b; af465: $ftpUserPassword = $form->get("\160\x61\163\x73\167\157\162\x64")->getData(); goto a87d3; b9947: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\145\162", $this->translator->trans("\x41\156\40\145\162\x72\157\x72\40\150\141\x73\40\x6f\x63\x63\165\162\162\x65\144\54\x20\145\162\162\157\162\x20\x6d\x65\x73\163\141\147\145\x3a\x20\x25\145\x72\x72\x6f\162\115\x65\x73\163\141\147\x65\x25", ["\45\145\162\x72\157\x72\115\x65\x73\163\x61\x67\145\45" => $e->getMessage()])); } goto Fa4b9; Ad080: if (true === $form->isValid()) { goto Ff09d; } goto E9539; E1c83: goto Dd196; goto f1bb5; C714c: } public function deleteFtpUser(Request $request) : Response { goto b1f1e; b1f1e: $site = $this->getSite($request); goto B6425; B8745: Ad733: goto Bc27a; D0de9: if (!(false === is_null($site))) { goto Ad733; } goto fb123; B36bc: return $response; goto B5ca2; Bc27a: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\151\x74\x65\x73")); goto B36bc; B6425: $this->checkCsrfToken($request, "\x75\x73\x65\162\x2d\x64\145\x6c\x65\x74\x65"); goto D0de9; fb123: try { goto E6369; D7102: $this->siteEntityManager->updateEntity($siteEntity); goto ce973; ee00a: $userName = $request->get("\x75\x73\x65\162\x4e\x61\x6d\145"); goto dc22e; f8839: $user = $this->getUser(); goto c8a5c; F36b0: $siteUpdater->deleteUser($userName, false); goto D0e9d; e2535: C4f6e: goto F4230; C22cc: $siteEntity = $this->getSiteEntity($domainName); goto ab3de; f1d32: $session->getFlashBag()->set("\x73\165\143\143\x65\163\x73", $this->translator->trans("\125\x73\x65\x72\x20\150\141\163\x20\142\145\x65\x6e\40\x64\x65\x6c\x65\164\x65\144\x2e")); goto Dd81e; ce973: $siteUpdater = $this->getSiteUpdater($site); goto F36b0; E02c6: a780d: goto e2535; c8f8b: $ftpUserSiteEntity = $ftpUserEntity->getSite(); goto a002d; c8a5c: $userName = $ftpUserEntity->getUserName(); goto B3223; df575: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_DELETE, $user, $evenData, $request); goto f1d32; Ae7e2: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($ftpUserEntity))) { goto C4f6e; } goto c8f8b; dc22e: $domainName = $site->getDomainName(); goto C22cc; D0e9d: $evenData = ["\x73\x69\x74\145" => $domainName, "\x75\163\x65\x72\x4e\x61\155\145" => $userName]; goto df575; a002d: if (!($siteEntity->getDomainName() == $ftpUserSiteEntity->getDomainName())) { goto a780d; } goto f8839; Dd81e: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\151\x74\x65\x5f\165\x73\145\x72\163", ["\144\x6f\155\141\151\x6e\x4e\x61\155\x65" => $site->getDomainName()])); goto Faeb8; B3223: $siteEntity->removeFtpUser($ftpUserEntity); goto D7102; E6369: $session = $request->getSession(); goto ee00a; Faeb8: return $response; goto E02c6; ab3de: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto Ae7e2; F4230: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\x65\162", $this->translator->trans("\x41\156\40\x65\x72\x72\x6f\x72\x20\150\141\163\x20\x6f\x63\143\x75\x72\162\x65\x64\x2c\x20\x65\162\x72\x6f\162\x20\155\145\163\163\141\147\145\x3a\x20\45\x65\x72\x72\157\x72\x4d\145\x73\163\x61\147\145\45", ["\45\145\x72\x72\x6f\x72\115\x65\x73\x73\x61\x67\145\45" => $e->getMessage()])); } goto B8745; B5ca2: } public function newSshUser(Request $request) : Response { goto c797c; Bd66b: if (!(false === is_null($response))) { goto B59ce; } goto C062f; E812a: $response = $this->render("\x46\x72\x6f\x6e\164\x65\156\144\57\x53\x69\x74\x65\57\156\x65\167\55\163\x73\x68\x2d\165\163\145\x72\x2e\150\x74\155\x6c\56\x74\167\151\147", ["\x73\x69\164\145" => $site, "\x66\157\162\155" => $form->createView(), "\x66\157\x72\x6d\x45\162\162\x6f\162\163" => $this->formErrors]); goto b5c53; F2dbc: f411e: goto E812a; Bb3a8: goto babeb; goto b4850; c797c: $site = $this->getSite($request); goto e9ce9; b5c53: babeb: goto a74e1; E89b9: $sshUserEntity = $this->sshUserEntityManager->createEntity(); goto a7405; ddfca: $form = $this->createSshUserForm($sshUserEntity); goto b3065; b4850: ce587: goto A0177; C062f: return $response; goto d5297; Dea57: $response = $this->handleSshUserForm($request, $form, $site); goto Bd66b; a74e1: return $response; goto ff6a0; a7405: $sshUserEntity->setSite($siteEntity); goto ddfca; D5ff3: E8869: goto F2dbc; e9ce9: if (false === is_null($site)) { goto ce587; } goto C03b9; b3065: if (!(true === $request->isMethod("\x50\x4f\123\x54"))) { goto f411e; } goto A7e55; d5297: B59ce: goto D5ff3; A0177: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto E89b9; C178b: if (!(true === $form->isSubmitted())) { goto E8869; } goto Dea57; A7e55: $form->handleRequest($request); goto C178b; C03b9: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\151\164\145\163")); goto Bb3a8; ff6a0: } private function createSshUserForm(SshUserEntity $sshUserEntity) : Form { goto Aa0c3; Aa0c3: $siteEntity = $sshUserEntity->getSite(); goto ba339; A3c97: $form->add("\x73\165\142\155\151\x74", SubmitType::class, ["\x61\164\x74\x72" => ["\143\154\x61\163\163" => "\142\164\156\40\x62\164\x6e\x2d\142\x6c\165\x65\40\142\164\156\55\154\x67"], "\x6c\x61\142\x65\154" => "\101\144\x64\x20\125\x73\x65\x72"]); goto B441a; B441a: return $form; goto C5637; ba339: $form = $this->createForm("\101\160\x70\134\106\x6f\162\155\x5c\x53\x69\x74\x65\x53\163\150\x55\163\145\162\x54\x79\x70\x65", $sshUserEntity, ["\141\x63\164\151\x6f\156" => $this->generateUrl("\x63\154\x70\137\163\x69\164\x65\137\163\x73\150\x5f\165\163\145\x72\x5f\156\x65\167", ["\x64\x6f\155\141\x69\x6e\116\x61\x6d\145" => $siteEntity->getDomainName()]), "\155\x65\x74\x68\157\x64" => "\x50\x4f\123\x54", "\141\x74\x74\162" => []]); goto A3c97; C5637: } private function handleSshUserForm(Request $request, Form $form, Site $site) { goto F264a; F264a: if (true === $form->isValid()) { goto bd681; } goto C7037; Dc0f6: C2379: goto bbaf1; C7037: $this->formErrors = $this->getErrorMessages($form); goto ddaf2; ddaf2: goto C2379; goto ad7bd; Fa087: try { goto B2c9b; D5670: $user = $this->getUser(); goto a1233; E69af: $siteEntity->addSshUser($sshUserEntity); goto d2714; ebc16: $siteEntity = $this->getSiteEntity($domainName); goto Cbd91; Cbd91: if (false === is_null($siteEntity)) { goto f5e90; } goto Eef01; F666b: $siteUpdater = $this->getSiteUpdater($site); goto c451a; e6245: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\151\164\145\x5f\x75\163\145\162\x73", ["\144\157\155\141\151\156\116\x61\x6d\x65" => $site->getDomainName()])); goto Baeca; Eef01: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\164\145\x73")); goto d7633; c8b4b: $eventData = ["\163\x69\x74\x65" => $domainName, "\165\x73\145\x72\116\x61\155\145" => $sshUserName, "\163\163\150\113\x65\x79\x73" => $sshKeys]; goto Ee8b8; f04e2: $sshUserEntity->setPassword($sshUserPassword); goto Ba69f; Ee8b8: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_ADD, $user, $eventData, $request); goto D4373; c451a: $siteUpdater->createSshUser($sshUserEntity); goto Df92e; a1233: $sshUserEntity = $form->getData(); goto B02b7; Df92e: if (!(false === empty($sshKeys))) { goto D5dcd; } goto b627b; F12a4: return $response; goto B7dd7; d2714: $this->siteEntityManager->updateEntity($siteEntity); goto F666b; B02b7: $sshUserName = $sshUserEntity->getUserName(); goto cae32; Cc97d: D5dcd: goto c8b4b; b627b: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto Cc97d; B2c9b: $session = $request->getSession(); goto f12f7; Ba69f: $sshKeys = $sshUserEntity->getSshKeys(); goto E69af; f12f7: $domainName = $site->getDomainName(); goto ebc16; d7633: goto a2a3b; goto da148; cae32: $sshUserPassword = $form->get("\x70\141\163\x73\167\x6f\x72\144")->getData(); goto f04e2; da148: f5e90: goto D5670; D4373: $session->getFlashBag()->set("\163\x75\143\143\145\x73\163", $this->translator->trans("\x55\163\145\162\40\150\141\163\x20\x62\145\145\156\40\141\144\144\145\x64\56")); goto e6245; Baeca: a2a3b: goto F12a4; B7dd7: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\145\x72", $this->translator->trans("\101\156\40\x65\x72\x72\x6f\162\x20\x68\x61\x73\x20\157\x63\x63\165\x72\162\x65\144\x2c\40\145\x72\x72\x6f\162\40\x6d\x65\163\x73\x61\x67\x65\72\x20\45\x65\x72\162\x6f\162\115\x65\163\x73\x61\147\145\45", ["\45\x65\162\162\x6f\162\115\145\163\x73\141\x67\x65\45" => $e->getMessage()])); } goto Dc0f6; ad7bd: bd681: goto Fa087; bbaf1: } public function editSshUser(Request $request) : Response { goto ef4e7; ef4e7: $userName = $request->get("\165\163\x65\162\x4e\141\155\x65"); goto d704a; f7176: $response = $this->render("\106\162\157\x6e\x74\145\156\144\x2f\123\x69\x74\x65\x2f\145\144\x69\x74\x2d\x73\x73\x68\55\165\x73\145\x72\56\x68\164\x6d\154\56\164\x77\x69\147", ["\163\151\164\145" => $site, "\x66\157\x72\155" => $form->createView(), "\x66\157\162\155\x45\162\162\x6f\x72\x73" => $this->formErrors]); goto c31d9; A34a7: D2d1c: goto F7f30; ec67f: $form = $this->createSshUserEditForm($sshUserEntity); goto F133e; c4456: ef3b9: goto ec67f; fea32: $response = $this->handleSshUserEditForm($request, $form, $site); goto b7f32; B0960: if (false === is_null($sshUserEntity) && false === is_null($site) && $sshUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto ef3b9; } goto E3321; Ef000: return $response; goto f5a20; F133e: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto Ddcf8; } goto bbe9e; d704a: $site = $this->getSite($request); goto e0499; ef79b: goto c0b52; goto c4456; F7f30: b3982: goto cef13; E3321: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\151\x74\145\x73")); goto ef79b; bbe9e: $form->handleRequest($request); goto E6d19; cef13: Ddcf8: goto f7176; e0499: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto B0960; c31d9: c0b52: goto Ef000; b7f32: if (!(false === is_null($response))) { goto D2d1c; } goto f3d78; E6d19: if (!(true === $form->isSubmitted())) { goto b3982; } goto fea32; f3d78: return $response; goto A34a7; f5a20: } private function createSshUserEditForm(SshUserEntity $sshUserEntity) : Form { goto Ad1de; e07db: return $form; goto B32a4; f21ab: $form = $this->createForm("\x41\160\160\134\x46\x6f\162\x6d\x5c\123\151\164\x65\123\x73\150\x55\163\145\x72\105\144\x69\164\x54\171\x70\145", $sshUserEntity, ["\141\x63\x74\x69\157\156" => $this->generateUrl("\x63\x6c\160\137\163\151\164\x65\137\163\x73\150\x5f\x75\163\x65\x72\x5f\x65\x64\x69\x74", ["\x64\x6f\x6d\141\x69\x6e\x4e\141\x6d\x65" => $siteEntity->getDomainName(), "\165\x73\145\x72\116\141\x6d\x65" => $sshUserEntity->getUserName()]), "\x6d\145\x74\150\x6f\x64" => "\120\117\123\x54", "\x61\164\164\x72" => []]); goto F80a3; F80a3: $form->add("\x73\165\x62\x6d\151\164", SubmitType::class, ["\x61\x74\164\162" => ["\143\x6c\x61\163\163" => "\x62\x74\156\x20\142\164\156\x2d\x62\x6c\165\145\x20\142\x74\x6e\55\x6c\147"], "\154\141\x62\x65\154" => "\123\x61\166\145"]); goto e07db; Ad1de: $siteEntity = $sshUserEntity->getSite(); goto f21ab; B32a4: } private function handleSshUserEditForm(Request $request, Form $form, Site $site) { goto Fb84f; A0872: Cb27b: goto A71a7; d8c60: $this->formErrors = $this->getErrorMessages($form); goto d014b; A71a7: try { goto Ac13c; E43f8: $session->getFlashBag()->set("\x73\165\x63\x63\x65\x73\163", $this->translator->trans("\125\163\x65\x72\x20\x68\141\x73\x20\142\x65\145\156\x20\163\141\166\145\144\56")); goto a480c; Cf0f2: goto E6b97; goto B354d; E5551: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_EDIT, $user, $eventData, $request); goto E43f8; Fb4e1: $domainName = $site->getDomainName(); goto dee94; Fe977: if (false === is_null($siteEntity)) { goto C2098; } goto a9fd5; a480c: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\x74\x65\x5f\165\x73\x65\x72\163", ["\x64\x6f\x6d\x61\151\156\116\x61\155\x65" => $site->getDomainName()])); goto f5db8; f5db8: E6b97: goto C7818; B354d: C2098: goto af382; F92de: $eventData = ["\x73\x69\x74\145" => $domainName, "\x75\x73\x65\x72\x4e\141\x6d\x65" => $sshUserName, "\x73\x73\150\113\x65\x79\x73" => $sshKeys]; goto E5551; a9fd5: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\151\x74\145\163")); goto Cf0f2; c9f99: if (!(false === empty($sshUserPassword))) { goto ea814; } goto a64cd; ec850: $siteUpdater = $this->getSiteUpdater($site); goto c9f99; A9a66: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto F92de; dfd84: $sshKeys = false === is_null($sshUserEntity->getSshKeys()) ? $sshUserEntity->getSshKeys() : ''; goto C5ac0; Ac13c: $session = $request->getSession(); goto Fb4e1; C5ac0: $this->siteEntityManager->updateEntity($siteEntity); goto ec850; f3d37: $sshUserName = $sshUserEntity->getUserName(); goto c16be; c16be: $sshUserPassword = $form->get("\x70\141\163\x73\x77\157\162\x64")->getData(); goto dfd84; af382: $user = $this->getUser(); goto F410e; F410e: $sshUserEntity = $form->getData(); goto f3d37; C7818: return $response; goto eaa88; a64cd: $siteUpdater->changeUserPassword($sshUserName, $sshUserPassword); goto ecb1d; dee94: $siteEntity = $this->getSiteEntity($domainName); goto Fe977; ecb1d: ea814: goto A9a66; eaa88: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\145\x72", $this->translator->trans("\x41\156\40\145\162\162\x6f\x72\x20\150\x61\x73\x20\157\x63\143\165\x72\x72\x65\x64\54\x20\145\162\x72\x6f\x72\x20\155\145\x73\x73\x61\147\145\72\x20\x25\x65\162\x72\x6f\162\x4d\x65\163\x73\x61\x67\145\45", ["\45\145\x72\162\x6f\162\115\x65\163\x73\x61\147\145\45" => $e->getMessage()])); } goto Ed38b; Ed38b: F6d80: goto f08cd; d014b: goto F6d80; goto A0872; Fb84f: if (true === $form->isValid()) { goto Cb27b; } goto d8c60; f08cd: } public function deleteSshUser(Request $request) : Response { goto Adfd2; d544e: $this->checkCsrfToken($request, "\x75\x73\x65\x72\55\144\145\x6c\x65\x74\x65"); goto D609d; b9e1d: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\151\164\x65\x73")); goto fa170; Adfd2: $site = $this->getSite($request); goto d544e; fa170: return $response; goto F66ba; D609d: if (!(false === is_null($site))) { goto B30fe; } goto caa90; a451e: B30fe: goto b9e1d; caa90: try { goto Ec6a5; d7d1c: $userName = $sshUserEntity->getUserName(); goto D569a; d6b32: return $response; goto dff6b; b2d8e: $sshUserSiteEntity = $sshUserEntity->getSite(); goto be7f2; A71ce: $siteUpdater->deleteUser($userName, true); goto fa71b; be7f2: if (!($siteEntity->getDomainName() == $sshUserSiteEntity->getDomainName())) { goto fbf32; } goto C91ea; B232f: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto A45c4; Ea450: baea8: goto C4066; dff6b: fbf32: goto Ea450; fa71b: $evenData = ["\x73\x69\x74\x65" => $domainName, "\165\163\x65\162\116\141\x6d\x65" => $userName]; goto Eea26; D569a: $siteEntity->removeSshUser($sshUserEntity); goto A411e; c4410: $siteEntity = $this->getSiteEntity($domainName); goto B232f; E880a: $siteUpdater = $this->getSiteUpdater($site); goto A71ce; Eb0f5: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\151\164\145\x5f\165\163\145\x72\163", ["\x64\157\155\x61\x69\x6e\116\x61\155\x65" => $site->getDomainName()])); goto d6b32; A45c4: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($sshUserEntity))) { goto baea8; } goto b2d8e; D02bd: $domainName = $site->getDomainName(); goto c4410; A411e: $this->siteEntityManager->updateEntity($siteEntity); goto E880a; Ec6a5: $session = $request->getSession(); goto C0d61; C91ea: $user = $this->getUser(); goto d7d1c; Eea26: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_DELETE, $user, $evenData, $request); goto D11ea; D11ea: $session->getFlashBag()->set("\163\x75\143\143\x65\x73\x73", $this->translator->trans("\125\163\145\162\x20\150\x61\x73\40\142\145\145\156\x20\x64\x65\154\145\x74\x65\x64\56")); goto Eb0f5; C0d61: $userName = $request->get("\165\x73\x65\162\116\141\155\145"); goto D02bd; C4066: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\x65\x72", $this->translator->trans("\101\x6e\40\x65\162\x72\157\x72\40\x68\x61\x73\40\x6f\x63\x63\x75\x72\162\145\144\54\x20\145\x72\x72\x6f\162\40\x6d\145\x73\x73\141\x67\x65\72\x20\45\x65\x72\162\157\x72\x4d\x65\x73\163\141\147\145\x25", ["\45\145\162\162\x6f\x72\x4d\x65\163\163\x61\147\x65\x25" => $e->getMessage()])); } goto a451e; F66ba: } public function security(Request $request) : Response { goto d71e5; b90c1: $cloudflareData = ["\141\154\154\x6f\x77\x54\x72\x61\x66\x66\x69\143\x46\x72\157\x6d\103\154\157\x75\x64\x66\154\x61\162\145\x4f\156\x6c\171" => $siteEntity->allowTrafficFromCloudflareOnly()]; goto Cb60f; Dc574: f4324: goto cd001; B4445: return $response; goto a1d75; fd3bc: if (!(true === $cloudflareForm->isSubmitted())) { goto f4324; } goto d4dd3; cbf77: B438a: goto fd3bc; b5077: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto b90c1; Dbb17: $basicAuthEntity->setSite($siteEntity); goto e043b; cd001: Fb098: goto e0700; cbc1f: if (!(false === is_null($response))) { goto D5cc1; } goto B4445; d4dd3: $response = $this->handleCloudflareForm($request, $cloudflareForm, $site); goto c6e39; F6450: return $response; goto b9f4d; e0700: $response = $this->render("\106\162\157\x6e\x74\x65\x6e\144\x2f\123\x69\164\x65\x2f\163\x65\143\165\x72\x69\x74\x79\56\x68\164\155\154\56\x74\167\x69\x67", ["\x73\151\x74\145" => $site, "\x62\154\157\143\153\x65\x64\x49\x70\x73" => $blockedIps, "\x62\154\157\x63\x6b\x65\144\102\x6f\x74\x73" => $blockedBots, "\x62\141\x73\151\x63\x41\165\164\x68\106\x6f\x72\x6d" => $basicAuthForm->createView(), "\x63\x6c\x6f\165\x64\x66\154\141\x72\x65\106\157\x72\155" => $cloudflareForm->createView(), "\x66\157\x72\155\x45\162\x72\x6f\x72\x73" => $this->formErrors]); goto c0359; e043b: $basicAuthForm = $this->createBasicAuthForm($basicAuthEntity); goto d444a; C9e69: $response = $this->handleBasicAuthForm($request, $basicAuthForm, $site); goto cbc1f; d444a: $cloudflareForm = $this->createCloudflareForm($siteEntity, $cloudflareData); goto D57bc; A9750: if (!(true === $basicAuthForm->isSubmitted())) { goto B438a; } goto C9e69; Ea0e3: if (false === is_null($site)) { goto e4e7d; } goto E76ea; d50f2: e4e7d: goto b5077; c4a7c: if (!(true === is_null($basicAuthEntity))) { goto E4ca4; } goto de2d4; de2d4: $basicAuthEntity = $this->basicAuthEntityManager->createEntity(); goto B0d6d; A20d9: $basicAuthForm->handleRequest($request); goto F6af8; c0359: a009b: goto F6450; F6af8: $cloudflareForm->handleRequest($request); goto A9750; e7a0e: $blockedIps = $site->getBlockedIps(); goto bb3d9; F868d: goto a009b; goto d50f2; bb3d9: $basicAuthEntity = $site->getBasicAuth(); goto c4a7c; a1d75: D5cc1: goto cbf77; B0f2f: return $response; goto d9ac0; d71e5: $site = $this->getSite($request); goto Ea0e3; B0d6d: E4ca4: goto Dbb17; c6e39: if (!(false === is_null($response))) { goto f55ff; } goto B0f2f; E76ea: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\x74\x65\x73")); goto F868d; Cb60f: $blockedBots = $site->getBlockedBots(); goto e7a0e; d9ac0: f55ff: goto Dc574; D57bc: if (!(true === $request->isMethod("\x50\117\123\x54"))) { goto Fb098; } goto A20d9; b9f4d: } private function createCloudflareForm(SiteEntity $siteEntity, array $data) : Form { goto d7d71; cd823: return $form; goto Fa111; d7d71: $form = $this->createForm("\x41\160\x70\134\106\157\x72\155\134\123\151\x74\x65\x43\154\x6f\165\x64\x66\154\141\162\145\x54\x79\160\145", $data, ["\141\143\164\151\x6f\156" => $this->generateUrl("\x63\154\160\x5f\x73\x69\164\145\137\163\x65\143\165\x72\151\164\x79", ["\x64\157\155\x61\x69\156\116\x61\155\x65" => $siteEntity->getDomainName()]), "\x6d\145\x74\150\x6f\144" => "\120\x4f\123\124", "\141\164\164\x72" => []]); goto C275f; C275f: $form->add("\163\165\x62\155\151\x74", SubmitType::class, ["\141\x74\x74\162" => ["\x63\154\141\x73\x73" => "\x62\164\x6e\x20\x62\x74\156\x2d\142\x6c\165\x65\x20\x62\164\156\x2d\x6c\x67"], "\x6c\141\142\145\x6c" => "\123\x61\x76\145"]); goto cd823; Fa111: } private function createBasicAuthForm(BasicAuthEntity $basicAuthEntity) : Form { goto A41aa; e7bb3: $form = $this->createForm("\x41\x70\160\x5c\x46\x6f\162\155\134\123\151\164\x65\102\x61\163\x69\143\101\165\x74\x68\124\x79\x70\145", $basicAuthEntity, ["\x61\143\x74\x69\157\x6e" => $this->generateUrl("\143\154\160\137\x73\151\x74\145\137\163\145\143\165\x72\x69\164\x79", ["\x64\x6f\155\141\x69\156\x4e\x61\x6d\145" => $siteEntity->getDomainName()]), "\155\x65\x74\150\x6f\x64" => "\120\117\x53\x54", "\141\x74\x74\162" => []]); goto e209b; A41aa: $siteEntity = $basicAuthEntity->getSite(); goto e7bb3; Edfa0: return $form; goto E04b1; e209b: $form->add("\163\x75\x62\x6d\x69\164", SubmitType::class, ["\141\164\164\162" => ["\143\x6c\141\x73\x73" => "\142\x74\x6e\x20\142\164\156\55\142\154\x75\x65\x20\142\x74\156\x2d\154\147"], "\154\x61\x62\145\x6c" => "\x53\141\166\145"]); goto Edfa0; E04b1: } private function handleBasicAuthForm(Request $request, Form $form, Site $site) { goto C6868; C6868: if (true === $form->isValid()) { goto Cb66c; } goto d0cfc; af0ac: try { goto D7578; C4f85: $eventData = ["\163\x69\x74\145" => $domainName, "\141\143\164\151\x76\145" => true === $basicAuthEntity->getIsActive() ? "\x31" : "\60", "\165\x73\x65\162\x4e\x61\155\x65" => $basicAuthEntity->getUserName(), "\x77\x68\x69\164\145\154\151\163\x74\145\x64\x49\x70\163" => $basicAuthEntity->getWhitelistedIps()]; goto B5fbe; b27ef: $siteEntity->setBasicAuth($basicAuthEntity); goto c11b3; f1a94: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\164\145\x5f\x73\x65\143\x75\x72\x69\x74\x79", ["\x64\157\155\x61\151\156\x4e\141\x6d\x65" => $site->getDomainName()])); goto A03f4; B37aa: D4026: goto e6c6d; cfddc: $session->getFlashBag()->set("\x73\x75\x63\143\x65\163\x73", $this->translator->trans("\x42\x61\163\x69\143\40\101\165\164\150\145\156\164\151\x63\x61\164\151\157\156\x20\x73\x65\164\x74\x69\x6e\x67\163\40\150\x61\x76\145\x20\142\145\x65\156\40\163\x61\x76\x65\x64\56")); goto f1a94; Ccf22: if (false === is_null($siteEntity)) { goto D4026; } goto F7119; e6c6d: $user = $this->getUser(); goto Ba6bf; c11b3: $site->setBasicAuth($basicAuthEntity); goto D98f4; F7119: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\x69\x74\x65\x73")); goto baa8f; a8f85: $siteUpdater->reloadNginxService(); goto C4f85; Ba6bf: $basicAuthEntity = $form->getData(); goto b27ef; Dfcbb: $siteUpdater = $this->getSiteUpdater($site); goto Af9d9; D98f4: $this->siteEntityManager->updateEntity($siteEntity); goto Dfcbb; baa8f: goto Bf176; goto B37aa; fcb77: $siteUpdater->updateNginxVhost(); goto a8f85; Cb497: $domainName = $site->getDomainName(); goto Ee71b; D7578: $session = $request->getSession(); goto Cb497; B5fbe: EventQueue::addEvent(EventQueue::EVENT_SITE_BASIC_AUTHENTIFICATION_SETTINGS, $user, $eventData, $request); goto cfddc; Ee71b: $siteEntity = $this->getSiteEntity($domainName); goto Ccf22; Af9d9: $siteUpdater->createBasicAuthFile($basicAuthEntity); goto fcb77; E2b41: return $response; goto e1964; A03f4: Bf176: goto E2b41; e1964: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\x65\162", $this->translator->trans("\x41\156\40\145\x72\162\x6f\162\40\150\141\163\40\x6f\143\x63\165\x72\x72\145\x64\54\x20\x65\x72\162\157\162\40\x6d\x65\x73\163\141\147\x65\x3a\x20\45\145\x72\162\x6f\x72\x4d\x65\x73\163\x61\147\145\45", ["\45\x65\x72\162\x6f\162\115\x65\x73\163\141\x67\x65\45" => $e->getMessage()])); } goto db907; d0cfc: $this->formErrors = $this->getErrorMessages($form); goto d042d; db907: fb9ae: goto a358b; d042d: goto fb9ae; goto d9c37; d9c37: Cb66c: goto af0ac; a358b: } private function handleCloudflareForm(Request $request, Form $form, Site $site) { goto F6f7f; Cc3a7: A0d7f: goto Cc074; e8682: $this->formErrors = $this->getErrorMessages($form); goto D0b48; D0b48: goto ec101; goto Cc3a7; Da8bc: ec101: goto c453e; Cc074: try { goto Bfd45; C889f: $site->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto aeb5a; E91c4: return $response; goto Fe2d7; a9287: D1920: goto C6891; ff911: EventQueue::addEvent(EventQueue::EVENT_SITE_CLOUDFLARE_SETTINGS, $user, $eventData, $request); goto dfeed; b9c85: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\151\x74\x65\x73")); goto d64bc; c2046: if (false === is_null($siteEntity)) { goto D1920; } goto b9c85; aeb5a: $this->siteEntityManager->updateEntity($siteEntity); goto adc92; c4723: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\164\x65\x5f\x73\145\143\x75\x72\151\164\x79", ["\144\157\x6d\141\x69\156\116\141\x6d\145" => $site->getDomainName()])); goto B43fd; Bfd45: $session = $request->getSession(); goto E96b7; dfeed: $session->getFlashBag()->set("\163\165\x63\x63\145\x73\163", $this->translator->trans("\103\x6c\157\x75\144\x66\154\x61\162\145\40\163\145\164\164\151\156\147\x73\x20\150\141\166\x65\x20\x62\145\x65\x6e\40\163\141\166\145\x64\x2e")); goto c4723; adc92: $siteUpdater = $this->getSiteUpdater($site); goto a0023; E96b7: $domainName = $site->getDomainName(); goto Ee945; a0023: $siteUpdater->updateNginxVhost(); goto E8d37; ae3f2: $eventData = ["\x73\x69\164\x65" => $domainName, "\x61\154\154\x6f\167\x54\x72\141\146\146\151\x63\x46\x72\x6f\155\x43\x6c\157\x75\x64\146\x6c\141\x72\145\117\x6e\154\x79" => true === $allowTrafficFromCloudflareOnly ? "\61" : "\x30"]; goto ff911; ad226: $siteEntity->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto C889f; C6891: $user = $this->getUser(); goto C323d; Ee945: $siteEntity = $this->getSiteEntity($domainName); goto c2046; d64bc: goto C1f1a; goto a9287; C323d: $allowTrafficFromCloudflareOnly = $form->get("\x61\x6c\154\x6f\167\x54\x72\x61\x66\146\x69\143\x46\162\x6f\155\103\154\157\165\144\146\x6c\x61\x72\x65\117\x6e\x6c\x79")->getData(); goto ad226; E8d37: $siteUpdater->reloadNginxService(); goto ae3f2; B43fd: C1f1a: goto E91c4; Fe2d7: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\x65\162", $this->translator->trans("\101\156\x20\145\162\162\x6f\162\40\x68\141\x73\x20\x6f\143\143\165\x72\162\x65\x64\x2c\40\145\x72\x72\x6f\x72\40\155\x65\x73\163\141\147\x65\72\40\45\145\162\162\157\162\x4d\x65\x73\163\141\147\145\45", ["\x25\x65\x72\x72\x6f\162\115\x65\x73\163\x61\147\x65\45" => $e->getMessage()])); } goto Da8bc; F6f7f: if (true === $form->isValid()) { goto A0d7f; } goto e8682; c453e: } public function newBlockedIp(Request $request) : Response { goto Ab94c; A83e4: if (!(true === $form->isSubmitted())) { goto acc0c; } goto Ec4b1; Fb8d7: return $response; goto Ae0c8; E8b9f: de881: goto C3969; Ca077: if (!(false === is_null($response))) { goto de881; } goto Cfea8; E32d5: goto e1cd8; goto af4e5; Cfea8: return $response; goto E8b9f; eb5b4: $blockedIpEntity->setSite($siteEntity); goto d6d98; Ebdde: $blockedIpEntity = $this->blockedIpEntityManager->createEntity(); goto eb5b4; D466c: Bdf82: goto Dd387; Ab94c: $site = $this->getSite($request); goto C4c45; Dd387: $response = $this->render("\106\x72\157\156\164\x65\156\x64\57\x53\151\164\x65\57\x6e\x65\167\x2d\142\154\157\143\x6b\145\144\x2d\x69\160\56\x68\164\x6d\154\56\164\x77\x69\147", ["\163\x69\x74\145" => $site, "\x66\x6f\x72\x6d" => $form->createView(), "\146\x6f\162\x6d\105\x72\162\157\162\x73" => $this->formErrors]); goto cc599; C3969: acc0c: goto D466c; bba69: if (!(true === $request->isMethod("\120\117\x53\124"))) { goto Bdf82; } goto e442f; C4d02: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Ebdde; af4e5: ce9bd: goto C4d02; Ec4b1: $response = $this->handleBlockedIpForm($request, $form, $site); goto Ca077; d6d98: $form = $this->createBlockedIpForm($blockedIpEntity); goto bba69; bdf51: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\164\x65\163")); goto E32d5; C4c45: if (false === is_null($site)) { goto ce9bd; } goto bdf51; cc599: e1cd8: goto Fb8d7; e442f: $form->handleRequest($request); goto A83e4; Ae0c8: } private function createBlockedIpForm(BlockedIpEntity $blockedIpEntity) : Form { goto beacd; beacd: $siteEntity = $blockedIpEntity->getSite(); goto F558c; dde3f: $form->add("\163\165\142\x6d\x69\164", SubmitType::class, ["\x61\x74\164\162" => ["\x63\154\141\x73\x73" => "\142\x74\156\40\x62\x74\156\x2d\142\x6c\x75\145\40\x62\164\156\x2d\154\147"], "\x6c\141\x62\145\x6c" => "\101\144\144\40\x49\120"]); goto B748a; F558c: $form = $this->createForm("\x41\x70\160\x5c\x46\x6f\162\x6d\134\x53\151\164\145\102\x6c\157\143\153\x65\144\111\120\124\171\160\x65", $blockedIpEntity, ["\x61\143\x74\x69\x6f\156" => $this->generateUrl("\x63\154\x70\x5f\x73\x69\x74\145\137\163\x65\143\165\x72\151\x74\171\137\142\x6c\157\x63\x6b\145\144\137\151\160\137\x6e\x65\x77", ["\x64\157\155\x61\x69\156\116\141\x6d\x65" => $siteEntity->getDomainName()]), "\155\x65\164\150\x6f\x64" => "\120\x4f\x53\124", "\141\x74\x74\162" => []]); goto dde3f; B748a: return $form; goto Fb97d; Fb97d: } private function handleBlockedIpForm(Request $request, Form $form, Site $site) { goto F4061; b4ec1: D8e9c: goto edec2; d79b2: goto D8e9c; goto ee767; F4061: if (true === $form->isValid()) { goto e2f64; } goto e1524; ee767: e2f64: goto Cd41e; e1524: $this->formErrors = $this->getErrorMessages($form); goto d79b2; Cd41e: try { goto D15bf; D15bf: $session = $request->getSession(); goto e95bf; bcf18: d1031: goto e4f7f; ba391: goto A7e4e; goto bcf18; e95bf: $domainName = $site->getDomainName(); goto d9487; d39d3: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_ADD, $user, $eventData, $request); goto dbd17; bc1a2: A7e4e: goto cc916; f8786: $siteUpdater->updateNginxVhost(); goto e3adb; Fb765: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\x69\164\x65\137\x73\x65\x63\165\x72\151\164\x79", ["\144\157\x6d\x61\x69\x6e\116\141\155\x65" => $site->getDomainName()])); goto bc1a2; a1cb7: $siteUpdater = $this->getSiteUpdater($site); goto f8786; dbd17: $session->getFlashBag()->set("\x73\x75\143\x63\145\x73\163", $this->translator->trans("\111\120\40\150\141\163\40\142\x65\x65\x6e\40\141\144\144\145\x64\x2e")); goto Fb765; e3adb: $siteUpdater->reloadNginxService(); goto e416f; d9487: $siteEntity = $this->getSiteEntity($domainName); goto c40fc; e416f: $eventData = ["\x73\x69\164\145" => $domainName, "\x69\160" => $blockedIp->getIp()]; goto d39d3; cc916: return $response; goto f5e56; e4f7f: $user = $this->getUser(); goto Ee2cb; Ee2cb: $blockedIp = $form->getData(); goto f88e2; f88e2: $siteEntity->addBlockedIp($blockedIp); goto A214e; Ca1b7: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\x69\164\x65\x73")); goto ba391; A214e: $this->siteEntityManager->updateEntity($siteEntity); goto a1cb7; c40fc: if (false === is_null($siteEntity)) { goto d1031; } goto Ca1b7; f5e56: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\x72", $this->translator->trans("\101\x6e\40\145\x72\x72\157\162\40\150\141\163\x20\157\x63\143\165\x72\x72\x65\x64\x2c\x20\x65\x72\x72\x6f\162\40\155\x65\163\163\x61\147\145\x3a\x20\x25\145\x72\162\x6f\x72\x4d\145\163\163\x61\147\145\45", ["\45\x65\x72\162\157\162\115\x65\163\x73\x61\x67\x65\45" => $e->getMessage()])); } goto b4ec1; edec2: } public function deleteBlockedIp(Request $request) : Response { goto cdf90; D4350: Defe0: goto B6d7b; B6d7b: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\x74\x65\163")); goto b9532; b9532: return $response; goto Ebd58; f449f: if (!(false === is_null($site))) { goto Defe0; } goto e7373; C28ab: $this->checkCsrfToken($request, "\151\160\x2d\144\145\154\145\164\x65"); goto f449f; e7373: try { goto a4011; C98b8: $user = $this->getUser(); goto E0331; c5a1b: $siteEntity = $this->getSiteEntity($domainName); goto Ff707; a4011: $session = $request->getSession(); goto E4d0a; b4421: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedIpEntity) && $siteEntity == $blockedIpEntity->getSite())) { goto Bdae7; } goto C98b8; a30f6: $this->siteEntityManager->updateEntity($siteEntity); goto C1b1a; F779b: $siteUpdater->updateNginxVhost(); goto f18d0; F8f58: $domainName = $site->getDomainName(); goto c5a1b; Ff707: $blockedIpEntity = $this->blockedIpEntityManager->findOneById($id); goto b4421; E4d0a: $id = (int) $request->get("\x69\144"); goto F8f58; fda52: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\164\145\137\163\x65\x63\165\x72\151\164\x79", ["\144\157\155\x61\151\156\116\x61\155\x65" => $site->getDomainName()])); goto F5c43; d97f6: Bdae7: goto F3984; F5c43: return $response; goto d97f6; ad4d2: $session->getFlashBag()->set("\163\165\143\143\x65\163\x73", $this->translator->trans("\x49\120\x20\150\x61\163\40\x62\145\x65\156\40\144\x65\x6c\145\x74\x65\144\56")); goto fda52; Ffd57: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_DELETE, $user, $eventData, $request); goto ad4d2; C1b1a: $siteUpdater = $this->getSiteUpdater($site); goto F779b; E0331: $siteEntity->removeBlockedIp($blockedIpEntity); goto a30f6; fe918: $eventData = ["\163\x69\164\145" => $domainName, "\151\x70" => $blockedIpEntity->getIp()]; goto Ffd57; f18d0: $siteUpdater->reloadNginxService(); goto fe918; F3984: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\x65\162", $this->translator->trans("\101\156\x20\145\x72\162\157\162\x20\150\141\163\40\157\x63\x63\165\x72\162\x65\x64\x2c\x20\x65\x72\x72\x6f\x72\40\x6d\x65\163\x73\141\x67\145\x3a\40\x25\x65\162\x72\157\162\115\145\x73\x73\x61\147\x65\45", ["\45\x65\x72\x72\x6f\162\115\x65\163\x73\x61\147\x65\45" => $e->getMessage()])); } goto D4350; cdf90: $site = $this->getSite($request); goto C28ab; Ebd58: } public function newBlockedBot(Request $request) : Response { goto Fa6a9; c05b4: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto b8460; De157: Cf262: goto E9d66; E3233: $response = $this->render("\x46\162\x6f\x6e\164\x65\x6e\144\57\x53\x69\164\145\x2f\x6e\x65\167\55\x62\x6c\157\x63\153\145\144\55\x62\x6f\x74\56\150\x74\155\x6c\56\164\167\x69\147", ["\x73\x69\x74\145" => $site, "\146\x6f\162\x6d" => $form->createView(), "\146\x6f\162\x6d\x45\x72\x72\157\x72\x73" => $this->formErrors]); goto De157; B4dd9: if (!(false === is_null($response))) { goto B3742; } goto Da92a; b8460: $blockedBotEntity = $this->blockedBotEntityManager->createEntity(); goto dd53e; E9d66: return $response; goto E0a61; dd53e: $blockedBotEntity->setSite($siteEntity); goto a2506; Fa6a9: $site = $this->getSite($request); goto c710a; c710a: if (false === is_null($site)) { goto a0821; } goto cc002; a14f3: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto E7b42; } goto d67ba; dc8a3: $response = $this->handleBlockedBotForm($request, $form, $site); goto B4dd9; d67ba: $form->handleRequest($request); goto d1bb3; d25c4: E7b42: goto E3233; fe259: goto Cf262; goto A882f; Da92a: return $response; goto B9fd6; A882f: a0821: goto c05b4; c84b2: E4275: goto d25c4; B9fd6: B3742: goto c84b2; a2506: $form = $this->createBlockedBotForm($blockedBotEntity); goto a14f3; d1bb3: if (!(true === $form->isSubmitted())) { goto E4275; } goto dc8a3; cc002: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\x74\x65\163")); goto fe259; E0a61: } private function createBlockedBotForm(BlockedBotEntity $blockedBotEntity) : Form { goto f0546; Fdedd: $form->add("\x73\x75\142\155\x69\x74", SubmitType::class, ["\x61\164\164\x72" => ["\143\154\x61\x73\163" => "\142\x74\x6e\x20\142\x74\156\55\x62\154\x75\145\40\142\x74\156\55\x6c\147"], "\154\x61\x62\145\x6c" => "\x41\144\x64\40\102\157\164"]); goto F9250; f0546: $siteEntity = $blockedBotEntity->getSite(); goto fea2c; F9250: return $form; goto Ede44; fea2c: $form = $this->createForm("\101\x70\x70\134\x46\x6f\x72\x6d\134\x53\151\164\x65\x42\154\157\143\153\145\x64\102\x6f\164\124\x79\x70\x65", $blockedBotEntity, ["\141\x63\164\151\157\156" => $this->generateUrl("\143\x6c\x70\x5f\163\x69\164\145\x5f\163\145\143\165\162\x69\x74\171\x5f\142\x6c\157\x63\x6b\x65\144\137\x62\x6f\164\x5f\x6e\x65\167", ["\x64\x6f\155\141\151\x6e\x4e\141\x6d\x65" => $siteEntity->getDomainName()]), "\x6d\145\x74\x68\157\144" => "\120\x4f\x53\124", "\x61\164\164\162" => []]); goto Fdedd; Ede44: } private function handleBlockedBotForm(Request $request, Form $form, Site $site) { goto afba7; dc2b8: goto Ed3d4; goto D76d4; afba7: if (true === $form->isValid()) { goto f5240; } goto d8332; D76d4: f5240: goto Fd3c2; A8911: Ed3d4: goto Ea1a1; d8332: $this->formErrors = $this->getErrorMessages($form); goto dc2b8; Fd3c2: try { goto ddacb; D1ed3: $eventData = ["\163\151\164\145" => $domainName, "\156\141\x6d\145" => $blockedBot->getName()]; goto D736c; e16b2: bbc57: goto E48fc; B596d: $siteEntity->addBlockedBot($blockedBot); goto F61b6; da862: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\x69\x74\145\137\163\x65\143\x75\x72\151\x74\171", ["\x64\157\x6d\141\151\156\116\141\155\145" => $site->getDomainName()])); goto c2eae; fd59f: $siteUpdater->updateNginxVhost(); goto d78b5; cb1ad: if (false === is_null($siteEntity)) { goto bbc57; } goto bcc12; b3a7b: $siteEntity = $this->getSiteEntity($domainName); goto cb1ad; D736c: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_ADD, $user, $eventData, $request); goto Eaf7c; Eaf7c: $session->getFlashBag()->set("\163\x75\x63\143\x65\163\163", $this->translator->trans("\x42\157\x74\40\x68\x61\x73\40\142\145\145\156\40\x61\x64\x64\x65\x64\x2e")); goto da862; c2eae: D3124: goto F5fef; ddacb: $session = $request->getSession(); goto a5c83; E48fc: $user = $this->getUser(); goto e2e6c; a5c83: $domainName = $site->getDomainName(); goto b3a7b; F5fef: return $response; goto Cccfd; B4178: goto D3124; goto e16b2; C8694: $siteUpdater = $this->getSiteUpdater($site); goto fd59f; d78b5: $siteUpdater->reloadNginxService(); goto D1ed3; e2e6c: $blockedBot = $form->getData(); goto B596d; F61b6: $this->siteEntityManager->updateEntity($siteEntity); goto C8694; bcc12: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\x74\x65\x73")); goto B4178; Cccfd: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\x65\x72", $this->translator->trans("\x41\156\x20\145\162\162\157\x72\x20\150\x61\163\x20\x6f\x63\x63\165\x72\x72\145\x64\54\40\x65\x72\162\157\x72\40\x6d\145\163\163\x61\147\x65\x3a\x20\45\x65\162\162\157\x72\x4d\x65\163\x73\141\147\x65\x25", ["\x25\145\162\x72\x6f\162\115\x65\163\x73\x61\147\145\x25" => $e->getMessage()])); } goto A8911; Ea1a1: } public function deleteBlockedBot(Request $request) : Response { goto a9395; Bfa07: F760a: goto c7fcf; C4b7f: $this->checkCsrfToken($request, "\142\x6f\164\55\x64\145\x6c\x65\164\145"); goto F0ea2; c7fcf: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\x69\164\145\x73")); goto cb5b2; a9395: $site = $this->getSite($request); goto C4b7f; F0ea2: if (!(false === is_null($site))) { goto F760a; } goto Ec1a1; Ec1a1: try { goto cef1e; C3768: $siteUpdater->updateNginxVhost(); goto Eb809; D149b: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\x69\164\145\x5f\163\145\x63\x75\x72\x69\164\x79", ["\144\157\155\141\151\x6e\116\141\x6d\x65" => $site->getDomainName()])); goto C3e3c; f0bc0: $siteUpdater = $this->getSiteUpdater($site); goto C3768; c3c12: $siteEntity = $this->getSiteEntity($domainName); goto E84eb; cda2e: $this->siteEntityManager->updateEntity($siteEntity); goto f0bc0; Dd8e6: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_DELETE, $user, $eventData, $request); goto B6e19; e101d: $user = $this->getUser(); goto C5c1f; cef1e: $session = $request->getSession(); goto Ccde0; C3e3c: return $response; goto eb5dc; Acc28: $domainName = $site->getDomainName(); goto c3c12; E84eb: $blockedBotEntity = $this->blockedBotEntityManager->findOneById($id); goto Dbac6; B6e19: $session->getFlashBag()->set("\x73\x75\143\x63\145\x73\x73", $this->translator->trans("\102\x6f\164\40\x68\x61\x73\x20\142\145\x65\156\40\x64\145\x6c\145\164\145\144\56")); goto D149b; Dbac6: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedBotEntity) && $siteEntity == $blockedBotEntity->getSite())) { goto E2b10; } goto e101d; Ccde0: $id = (int) $request->get("\x69\x64"); goto Acc28; C5c1f: $siteEntity->removeBlockedBot($blockedBotEntity); goto cda2e; E5490: $eventData = ["\x73\x69\164\145" => $domainName, "\x6e\x61\155\x65" => $blockedBotEntity->getName()]; goto Dd8e6; Eb809: $siteUpdater->reloadNginxService(); goto E5490; eb5dc: E2b10: goto B98ac; B98ac: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\x65\x72", $this->translator->trans("\101\156\x20\145\162\x72\x6f\162\x20\x68\141\x73\40\157\143\143\165\x72\x72\145\x64\54\40\145\162\x72\157\x72\40\155\145\x73\x73\x61\x67\x65\x3a\40\x25\145\162\162\157\x72\x4d\x65\163\x73\x61\x67\x65\x25", ["\45\x65\162\162\x6f\x72\x4d\x65\x73\x73\141\x67\x65\x25" => $e->getMessage()])); } goto Bfa07; cb5b2: return $response; goto bfb66; bfb66: } public function certificates(Request $request) : Response { goto a34ce; Eda2e: Ced39: goto e1590; D023b: $certificates = $site->getCertificates(); goto b4616; E0bdb: if (false === is_null($site)) { goto Ced39; } goto ebb0e; b4616: $response = $this->render("\106\162\157\x6e\164\x65\156\x64\57\123\x69\x74\145\57\x63\145\x72\x74\151\x66\x69\143\x61\164\145\x73\56\150\x74\155\x6c\56\x74\x77\151\147", ["\x73\x69\x74\145" => $site, "\151\156\x73\x74\141\x6c\x6c\145\144\x43\x65\x72\x74\x69\146\151\143\x61\x74\x65" => $installedCertificate, "\143\x65\x72\x74\x69\x66\x69\143\x61\x74\145\163" => $certificates]); goto De8f2; a9a4c: return $response; goto da95e; e1590: $installedCertificate = $site->getCertificate(); goto D023b; a34ce: $site = $this->getSite($request); goto E0bdb; A9ed2: goto ef162; goto Eda2e; ebb0e: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\x69\164\145\x73")); goto A9ed2; De8f2: ef162: goto a9a4c; da95e: } public function importCertificate(Request $request) : Response { goto A6e53; Ba4fd: F2bab: goto Ddb68; df180: $form->handleRequest($request); goto E66dd; Ddb68: return $response; goto C9fe3; c83b8: return $response; goto fbe47; E66dd: if (!(true === $form->isSubmitted())) { goto d2084; } goto B7a72; B8cd5: if (false === is_null($site)) { goto F9309; } goto f5778; A01d5: $form = $this->createImportCertificateForm($certificateEntity); goto Dcf18; A6e53: $site = $this->getSite($request); goto B8cd5; d3002: C5cc9: goto D1050; fbe47: ca9c2: goto d1a21; D625d: $certificateEntity->setSite($siteEntity); goto A01d5; E66e8: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto f42a2; B7a72: $response = $this->handleImportCertificateForm($request, $form, $site); goto e2dc2; D1050: $response = $this->render("\x46\x72\x6f\x6e\x74\145\x6e\144\x2f\123\151\164\x65\57\151\155\160\x6f\x72\164\55\x63\x65\162\164\151\x66\x69\143\141\164\145\x2e\x68\164\x6d\154\56\164\x77\x69\147", ["\163\151\164\145" => $site, "\x66\x6f\x72\x6d" => $form->createView(), "\146\157\x72\155\x45\162\x72\157\x72\x73" => $this->formErrors]); goto Ba4fd; B9e90: $certificateEntity->setType(CertificateEntity::TYPE_IMPORTED); goto D625d; f5778: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\x69\164\x65\163")); goto e420a; f42a2: $certificateEntity = $this->certificateEntityManager->createEntity(); goto B9e90; d1a21: d2084: goto d3002; d3171: F9309: goto E66e8; e2dc2: if (!(false === is_null($response))) { goto ca9c2; } goto c83b8; Dcf18: if (!(true === $request->isMethod("\x50\x4f\x53\x54"))) { goto C5cc9; } goto df180; e420a: goto F2bab; goto d3171; C9fe3: } private function createImportCertificateForm(CertificateEntity $certificateEntity) : Form { goto f0443; eccad: $form->add("\x73\x75\x62\x6d\x69\x74", SubmitType::class, ["\141\164\164\x72" => ["\x63\x6c\141\163\163" => "\142\x74\156\40\142\x74\156\x2d\x62\154\x75\x65\40\142\x74\x6e\55\x6c\147"], "\x6c\141\142\145\x6c" => "\x49\155\x70\157\x72\x74\x20\141\156\x64\40\x49\156\163\x74\x61\x6c\154"]); goto fb6a4; Cd560: $form = $this->createForm("\x41\160\x70\134\x46\x6f\x72\155\134\x53\151\164\145\x49\x6d\x70\157\162\x74\103\x65\162\164\x69\x66\151\x63\x61\x74\145\x54\x79\160\145", $certificateEntity, ["\141\143\x74\151\x6f\156" => $this->generateUrl("\143\154\x70\137\x73\x69\164\145\137\x63\145\x72\x74\151\146\151\x63\141\x74\145\137\151\x6d\x70\x6f\162\x74", ["\x64\157\x6d\141\151\156\x4e\141\155\x65" => $siteEntity->getDomainName()]), "\x6d\145\x74\x68\157\144" => "\x50\117\x53\124", "\141\x74\164\x72" => []]); goto eccad; fb6a4: return $form; goto c5d6c; f0443: $siteEntity = $certificateEntity->getSite(); goto Cd560; c5d6c: } private function handleImportCertificateForm(Request $request, Form $form, Site $site) { goto f7423; Bf9f9: Db4f9: goto E9358; E9358: try { goto d92bc; c7ea4: $session->getFlashBag()->set("\163\165\x63\x63\145\163\163", $this->translator->trans("\x43\145\162\x74\151\146\x69\x63\141\x74\145\40\150\x61\163\x20\142\x65\145\x6e\40\151\156\163\164\x61\154\154\x65\x64\56")); goto C5550; D9cb5: $siteUpdater = $this->getSiteUpdater($site); goto Dde19; d92bc: $session = $request->getSession(); goto B4c57; b18e1: d7f94: goto Bcdbe; Aeafe: goto B49ff; goto b18e1; Dde19: $siteUpdater->installCertificate($certificateEntity); goto da8c0; de1cd: $this->siteEntityManager->updateEntity($siteEntity); goto A7f72; ba8f3: if (false === is_null($siteEntity)) { goto d7f94; } goto F6c54; Cca2c: $certificateEntity = $form->getData(); goto D9cb5; Bcdbe: $user = $this->getUser(); goto Cca2c; C5550: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\151\164\145\137\x63\x65\x72\x74\151\146\151\x63\141\164\145\x73", ["\x64\157\155\141\151\156\x4e\141\x6d\145" => $site->getDomainName()])); goto b93c9; D1db1: return $response; goto befce; Bdc4e: $siteEntity = $this->getSiteEntity($domainName); goto ba8f3; d7d46: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto c7ea4; F6c54: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\164\145\x73")); goto Aeafe; ea81e: $siteEntity->addCertificate($certificateEntity); goto de1cd; B4c57: $domainName = $site->getDomainName(); goto Bdc4e; b93c9: B49ff: goto D1db1; A7f72: $evenData = ["\163\151\x74\x65" => $domainName]; goto d7d46; da8c0: $siteEntity->setCertificate($certificateEntity); goto ea81e; befce: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\145\x72", $this->translator->trans("\101\156\x20\x65\x72\162\157\x72\40\x68\141\163\40\157\x63\x63\165\x72\162\x65\x64\54\x20\145\x72\162\x6f\x72\40\155\145\163\x73\x61\147\145\x3a\40\x25\x65\x72\x72\x6f\162\115\145\163\163\x61\x67\145\45", ["\x25\145\x72\162\x6f\x72\x4d\x65\x73\163\x61\x67\145\x25" => $e->getMessage()])); } goto c7aa0; f7423: if (true === $form->isValid()) { goto Db4f9; } goto Be142; Be142: $this->formErrors = $this->getErrorMessages($form); goto cccee; c7aa0: A132a: goto C008e; cccee: goto A132a; goto Bf9f9; C008e: } public function newLetsEncryptCertificate(Request $request) : Response { goto c1032; a3ecd: De1c5: goto Cb7c9; C04c7: goto Cbeae; goto Ae133; Cb7c9: goto E0588; goto debfd; D1b77: if (true === $request->isMethod("\120\117\123\124")) { goto c2250; } goto E9184; debfd: c2250: goto E2cef; Feeba: $domains = [$domainName]; goto D08cb; c9efa: $response = $this->render("\106\162\157\156\164\x65\x6e\144\x2f\123\151\x74\145\x2f\x6e\145\167\55\154\145\164\163\x2d\x65\156\x63\162\171\160\x74\x2d\x63\145\162\164\151\146\x69\143\141\x74\x65\x2e\150\164\x6d\x6c\x2e\x74\167\x69\147", ["\x73\151\164\145" => $site, "\x64\157\155\141\151\x6e\163" => $domains, "\x66\x6f\x72\155" => $form->createView(), "\x66\157\162\x6d\105\162\x72\157\162\163" => $this->formErrors]); goto F02e0; Eed64: Ecbc9: goto C48d0; b4066: $domains = [$registrableDomain, sprintf("\x77\x77\x77\56\x25\x73", $registrableDomain)]; goto a3ecd; C48d0: E0588: goto c9efa; Ff8ed: $response = $this->handleLetsEncryptCertificateForm($request, $form, $site, $domains); goto e68dc; Ae133: c525e: goto F003a; F1145: return $response; goto D3511; c5b1e: if (!(true === $form->isSubmitted())) { goto Ecbc9; } goto f59b8; e68dc: if (!(false === is_null($response))) { goto Ee3a9; } goto F1145; Da9b0: if (true === is_null($subdomain) || "\x77\x77\167" == $subdomain) { goto C9214; } goto Feeba; E75f2: $domains = array_unique($domains); goto Ff8ed; d757c: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\164\x65\163")); goto C04c7; C48b5: $subdomain = false === empty($subdomain) ? $subdomain : null; goto Da9b0; E2cef: $form->handleRequest($request); goto c5b1e; A8158: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto f1393; F02e0: Cbeae: goto c4c49; f1393: $subdomain = $resolvedDomainName->subDomain()->toString(); goto C48b5; b1fe0: C9214: goto b4066; D08cb: goto De1c5; goto b1fe0; c4c49: return $response; goto Ae46a; D3511: Ee3a9: goto Eed64; caa4f: $domains = array_filter($domains, function ($value) { return false === empty(trim($value)); }); goto A56d8; F003a: $domainName = $site->getDomainName(); goto C1398; A56d8: $domains = array_map("\164\162\151\x6d", $domains); goto E75f2; C1398: $form = $this->createLetsEncryptCertificateForm($domainName); goto fac11; c1032: $site = $this->getSite($request); goto F20ab; fac11: $domains = []; goto D1b77; F20ab: if (false === is_null($site)) { goto c525e; } goto d757c; E9184: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto A8158; f59b8: $domains = (array) $request->get("\x64\157\155\141\151\x6e\163"); goto caa4f; Ae46a: } private function createLetsEncryptCertificateForm(string $domainName) : Form { goto E21d5; C11d9: return $form; goto A3266; f7c2a: $form->add("\x73\165\142\155\151\x74", SubmitType::class, ["\141\164\x74\162" => ["\x63\x6c\x61\163\x73" => "\142\x74\156\40\x62\164\156\55\142\x6c\x75\145\x20\x62\164\x6e\55\x6c\147"], "\x6c\141\x62\145\x6c" => "\x43\162\145\141\164\145\x20\141\156\144\40\111\x6e\x73\164\x61\154\x6c"]); goto C11d9; E21d5: $form = $this->createForm("\101\160\x70\134\x46\x6f\x72\x6d\134\123\151\x74\145\x4c\x65\164\163\x45\156\x63\x72\171\x70\x74\x43\145\x72\x74\x69\x66\x69\x63\x61\x74\145\124\171\160\145", [], ["\x61\143\164\151\157\x6e" => $this->generateUrl("\143\154\160\137\x73\151\164\145\137\x6c\145\x74\x73\137\145\x6e\x63\162\x79\160\164\x5f\143\x65\162\x74\151\x66\x69\x63\x61\164\x65\x5f\156\x65\x77", ["\144\157\x6d\141\x69\156\116\x61\x6d\x65" => $domainName]), "\155\145\164\150\x6f\144" => "\x50\x4f\123\x54", "\141\164\x74\162" => ["\x69\144" => "\x63\162\x65\x61\x74\145\x2d\x6c\145\164\163\x2d\x65\x6e\x63\162\171\160\x74\x2d\x63\145\x72\x74\x69\146\x69\x63\x61\164\145\55\146\x6f\x72\155"]]); goto f7c2a; A3266: } private function handleLetsEncryptCertificateForm(Request $request, Form $form, Site $site, array $domains) { goto cdccc; c3ed5: $this->formErrors = $this->getErrorMessages($form); goto A6059; bfd25: try { goto B8862; b4301: $certificateEntity->setSite($siteEntity); goto Da7a1; ac455: $certificateEntity->setPrivateKey($certificate->getPrivateKey()); goto de411; B848b: $siteUpdater = $this->getSiteUpdater($site); goto E91c5; de411: $certificateEntity->setCertificate($certificate->getCertificate()); goto fa75f; D1154: $certificate = $letsEncryptClient->finalizeOrder($certificateOrder, $privateKey, $csr); goto A4183; F2640: $domainName = $site->getDomainName(); goto B4505; ed48b: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\151\x74\x65\137\x63\145\162\164\x69\x66\x69\x63\x61\164\x65\163", ["\x64\x6f\155\x61\x69\156\x4e\x61\155\145" => $site->getDomainName()])); goto e2cf8; D9745: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto C47ad; Dcfb9: $evenData = ["\163\x69\164\x65" => $domainName]; goto D9745; E91c5: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto D0edd; d9192: $distinguishedName = new DistinguishedName($commonName, $distinguishedNameDomains); goto f93e7; d6eec: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto f7ee4; E1c22: goto A664d; goto c2e30; D17c1: $privateKey = new PrivateKey($letsEncryptPrivateKey); goto c3c86; f9869: A09c8: goto E1c22; Bc14d: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto ff8d3; d1af1: $letsEncryptClient->registerAccount(); goto Fbf43; b58da: $user = $this->getUser(); goto d5a77; Ca9f2: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto d405d; Be672: $siteEntity->addCertificate($certificateEntity); goto c3799; d1643: foreach ($validationErrors as $domain => $validationErrorMessage) { $form->addError(new FormError(sprintf("\45\x73\x3a\40\45\163", $domain, $validationErrorMessage))); de1b4: } goto f9869; C47ad: $session->getFlashBag()->set("\x73\165\143\x63\x65\163\163", $this->translator->trans("\103\145\162\164\x69\146\151\143\x61\164\145\40\150\x61\163\40\x62\x65\x65\x6e\x20\151\x6e\163\164\x61\x6c\154\x65\144\56")); goto ed48b; A4183: $certificateEntity = $this->certificateEntityManager->createEntity(); goto Be7c5; Fbf43: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto B848b; c3799: $this->siteEntityManager->updateEntity($siteEntity); goto Dcfb9; df3a4: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\x69\x74\x65\x73")); goto d3868; f7ee4: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto F8555; a4c8c: $siteUpdater->installCertificate($certificateEntity); goto f3003; d3868: return $response; goto ff4ec; A7402: $letsEncryptClient = new LetsEncryptClient($privateKey); goto F4ce0; e2cf8: return $response; goto a043e; B9f9a: $distinguishedNameDomains = $domains; goto f763b; Da7a1: $certificateEntity->setCsr($certificate->getCsr()); goto ac455; F8555: $csr = $csrGenerator->generate(); goto D1154; F4ce0: $letsEncryptClient->registerAccount(); goto Bc14d; b9397: if (true === empty($validationErrors)) { goto dcea5; } goto d1643; ff8d3: $siteUpdater = $this->getSiteUpdater($site); goto d0b01; Aa698: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto d7910; d7910: B121e: goto b9397; fa75f: $certificateEntity->setCertificateChain($certificate->getCertificateChain()); goto B2ec4; a21f5: $letsEncryptClient->setDryRun(true); goto d1af1; a043e: A664d: goto ed674; B8862: $session = $request->getSession(); goto F2640; c3c86: $letsEncryptClient = new LetsEncryptClient($privateKey); goto a21f5; ea1f2: Ffb71: goto b58da; Be7c5: $certificateEntity->setType(CertificateEntity::TYPE_LETS_ENCRYPT); goto b4301; ff4ec: goto Ddae8; goto ea1f2; f763b: $commonName = array_shift($distinguishedNameDomains); goto d9192; d405d: if (!(true === empty($validationErrors))) { goto B121e; } goto A7402; c2e30: dcea5: goto B9f9a; f93e7: $rsaKeyGenerator = new RsaKeyGenerator(); goto d6eec; B2ec4: $siteUpdater = $this->getSiteUpdater($site); goto a4c8c; E5d62: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto Aa698; Ab966: if (false === is_null($siteEntity)) { goto Ffb71; } goto df3a4; d0b01: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto E5d62; f3003: $siteEntity->setCertificate($certificateEntity); goto Be672; B4505: $siteEntity = $this->getSiteEntity($domainName); goto Ab966; d5a77: $letsEncryptPrivateKey = $this->configManager->get("\154\145\137\x70\162\151\166\x61\x74\x65\x5f\153\x65\171"); goto D17c1; D0edd: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto Ca9f2; ed674: Ddae8: goto Cf16d; Cf16d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\145\162", $this->translator->trans("\x41\x6e\40\145\x72\x72\x6f\162\x20\x68\x61\x73\x20\157\x63\x63\165\x72\162\x65\144\x2c\x20\145\x72\x72\x6f\162\40\x6d\x65\x73\163\141\147\x65\x3a\x20\x25\x65\162\162\x6f\162\x4d\145\x73\x73\141\147\145\45", ["\x25\x65\162\162\x6f\x72\115\x65\x73\163\141\x67\145\x25" => $e->getMessage()])); } finally { if (!(true === isset($siteUpdater))) { goto D18ec; } $siteUpdater->deleteLetsEncryptChallengeDirectory(); D18ec: } goto c6acc; c6acc: cbb84: goto c3ed5; cdccc: if (!(true === $form->isValid())) { goto cbb84; } goto bfd25; A6059: } public function installCertificate(Request $request) : Response { goto f3617; Ff8d3: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\x74\x65\x73")); goto F7f42; F7f42: return $response; goto C0717; f3617: $site = $this->getSite($request); goto Ea3e3; E5e81: e4d0f: goto Ff8d3; Ea3e3: if (!(false === is_null($site))) { goto e4d0f; } goto Aa2b7; Aa2b7: try { goto dcee5; A664c: $siteEntity = $this->getSiteEntity($domainName); goto Fcc47; aa6c7: $uid = $request->get("\165\151\144"); goto A7285; F8748: $session->getFlashBag()->set("\x73\x75\143\143\145\163\163", $this->translator->trans("\x43\x65\x72\164\151\x66\151\143\141\164\145\x20\150\x61\x73\x20\142\x65\145\156\40\151\x6e\x73\164\141\154\154\x65\x64\56")); goto Ba08e; Fe9ba: $user = $this->getUser(); goto Aec99; E58ba: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity))) { goto Dad5c; } goto fd4b8; A7285: $domainName = $site->getDomainName(); goto A664c; d4158: $siteUpdater->installCertificate($certificateEntity); goto f7136; Aec99: $siteUpdater = $this->getSiteUpdater($site); goto d4158; a84db: ed832: goto a56a5; Ce93b: $this->siteEntityManager->updateEntity($siteEntity); goto Bf9aa; F1b8f: return $response; goto a84db; Ba08e: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\x69\164\145\137\143\x65\x72\x74\x69\x66\151\143\x61\164\145\x73", ["\144\157\x6d\141\x69\x6e\116\x61\155\x65" => $site->getDomainName()])); goto F1b8f; Eff9d: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto ed832; } goto Fe9ba; a56a5: Dad5c: goto Fc23b; fd4b8: $certificateSiteEntity = $certificateEntity->getSite(); goto Eff9d; Fcc47: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto E58ba; Bf9aa: $evenData = ["\x73\151\164\x65" => $domainName]; goto c1ba7; c1ba7: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto F8748; f7136: $siteEntity->setCertificate($certificateEntity); goto Ce93b; dcee5: $session = $request->getSession(); goto aa6c7; Fc23b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\145\162", $this->translator->trans("\101\156\40\x65\x72\x72\x6f\162\x20\150\x61\x73\x20\157\143\143\165\162\x72\x65\144\54\x20\145\162\x72\x6f\x72\x20\x6d\x65\x73\163\141\x67\145\72\x20\45\x65\x72\162\x6f\162\115\x65\x73\x73\141\147\145\45", ["\x25\145\162\162\157\x72\115\x65\x73\163\141\x67\x65\x25" => $e->getMessage()])); } goto E5e81; C0717: } public function deleteCertificate(Request $request) : Response { goto Cb2d4; Cb2d4: $site = $this->getSite($request); goto E898d; A39a8: try { goto e5443; C168d: return $response; goto c701c; c701c: ee46e: goto f802d; Eb9c1: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_DELETE, $user, $evenData, $request); goto fe452; C255f: $user = $this->getUser(); goto f8863; c8b25: $this->siteEntityManager->updateEntity($siteEntity); goto ef3b1; D245b: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto ee46e; } goto C255f; e5443: $session = $request->getSession(); goto D2fb0; d8a42: $siteEntity = $this->getSiteEntity($domainName); goto be5dd; f802d: Bf677: goto E7b82; be5dd: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto fe84d; D26e5: $domainName = $site->getDomainName(); goto d8a42; f8863: $siteEntity->removeCertificate($certificateEntity); goto c8b25; fe84d: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity) && false === $certificateEntity->getDefaultCertificate())) { goto Bf677; } goto C413e; ef3b1: $evenData = ["\163\151\164\145" => $domainName]; goto Eb9c1; C413e: $certificateSiteEntity = $certificateEntity->getSite(); goto D245b; E58bc: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\x69\x74\x65\x5f\x63\x65\162\x74\x69\146\151\143\x61\164\145\163", ["\x64\x6f\155\141\x69\156\116\141\155\145" => $site->getDomainName()])); goto C168d; fe452: $session->getFlashBag()->set("\163\x75\x63\143\145\x73\x73", $this->translator->trans("\x43\x65\x72\x74\151\x66\x69\143\141\164\145\x20\150\141\163\40\x62\x65\145\156\x20\144\145\154\x65\x74\145\144\x2e")); goto E58bc; D2fb0: $uid = $request->get("\165\x69\144"); goto D26e5; E7b82: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\162", $this->translator->trans("\x41\156\x20\145\x72\x72\x6f\x72\x20\150\x61\163\40\x6f\143\x63\165\162\x72\x65\x64\x2c\x20\145\x72\x72\x6f\162\x20\155\145\x73\x73\x61\x67\145\72\x20\45\145\162\162\x6f\162\x4d\x65\163\163\x61\147\145\x25", ["\x25\x65\x72\162\x6f\162\115\145\163\163\x61\x67\145\45" => $e->getMessage()])); } goto faa19; E5622: if (!(false === is_null($site))) { goto Cbf6d; } goto A39a8; faa19: Cbf6d: goto D6c77; E898d: $this->checkCsrfToken($request, "\143\145\x72\164\151\146\x69\x63\x61\164\x65\55\x64\145\154\145\164\145"); goto E5622; D6c77: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\x74\145\163")); goto ca7ab; ca7ab: return $response; goto Ef877; Ef877: } public function databases(Request $request) : Response { goto A5577; c2918: $databaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto A70d5; Eb74b: Fe6d9: goto e4552; A70d5: $numberOfDatabaseUsers = 0; goto ab379; F51ea: $databases = $site->getDatabases(); goto c2918; ab379: foreach ($databases as $database) { $numberOfDatabaseUsers += count($database->getUsers()); d5242: } goto Eb74b; D4d51: return $response; goto Aa30e; A5577: $site = $this->getSite($request); goto efebd; afe2f: goto E68f5; goto B35e2; efebd: if (false === is_null($site)) { goto bab67; } goto C9380; C9380: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\x74\x65\x73")); goto afe2f; e4552: $response = $this->render("\x46\x72\157\x6e\x74\x65\156\x64\x2f\x53\x69\164\145\x2f\x64\x61\x74\x61\x62\141\x73\x65\x73\56\150\x74\155\x6c\x2e\164\x77\x69\x67", ["\x73\151\x74\x65" => $site, "\x64\141\x74\x61\142\x61\163\145\163" => $databases, "\156\165\155\x62\x65\x72\x4f\146\x44\x61\x74\x61\142\141\163\145\x55\x73\145\162\x73" => $numberOfDatabaseUsers, "\x64\x61\164\x61\x62\141\x73\x65\x53\x65\162\x76\x65\162" => $databaseServerEntity]); goto Fd2d9; B35e2: bab67: goto F51ea; Fd2d9: E68f5: goto D4d51; Aa30e: } public function newDatabase(Request $request) : Response { goto E4f84; ac256: $databaseEntity->setSite($siteEntity); goto d5d76; d553a: A248d: goto Bb056; d5d76: $form = $this->createDatabaseForm($site, $databaseEntity); goto e392b; cc275: return $response; goto C9007; eecab: F405d: goto A9429; A217b: if (!(true === $form->isSubmitted())) { goto F499e; } goto e5ab9; dec63: goto b0a89; goto Cd9f9; a481a: $form->handleRequest($request); goto A217b; Bb056: F499e: goto eecab; E4f84: $site = $this->getSite($request); goto D8407; a3cb3: return $response; goto d553a; Aa968: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\x74\x65\x73")); goto dec63; Cd9f9: D7dcd: goto e1c47; D8407: if (false === is_null($site)) { goto D7dcd; } goto Aa968; c0896: $databaseEntity = $this->databaseEntityManager->createEntity(); goto ac256; e5ab9: $response = $this->handleDatabaseForm($request, $form, $site); goto f4c2a; f4c2a: if (!(false === is_null($response))) { goto A248d; } goto a3cb3; e392b: if (!(true === $request->isMethod("\x50\117\x53\x54"))) { goto F405d; } goto a481a; A9429: $response = $this->render("\106\x72\157\156\164\145\x6e\144\57\x53\x69\164\145\x2f\x6e\x65\167\x2d\144\x61\164\141\x62\x61\163\x65\x2e\x68\x74\155\154\x2e\x74\167\x69\147", ["\x73\151\164\145" => $site, "\x66\x6f\162\155" => $form->createView(), "\146\157\162\x6d\x45\x72\x72\157\162\163" => $this->formErrors]); goto c4524; c4524: b0a89: goto cc275; e1c47: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto c0896; C9007: } private function createDatabaseForm(Site $site, DatabaseEntity $databaseEntity) : Form { goto Bc03a; bdacb: return $form; goto D28b8; Df32c: $form->add("\163\165\142\x6d\x69\164", SubmitType::class, ["\141\164\164\x72" => ["\143\154\141\163\x73" => "\142\164\x6e\x20\142\164\x6e\x2d\142\154\165\x65\40\x62\164\x6e\x2d\154\x67"], "\154\141\142\x65\154" => "\x41\x64\x64\x20\104\141\x74\x61\142\141\163\145"]); goto bdacb; Bc03a: $form = $this->createForm("\101\x70\x70\x5c\106\x6f\162\155\134\x53\151\164\145\104\x61\164\x61\x62\x61\163\x65\x54\171\160\x65", $databaseEntity, ["\x61\143\x74\x69\x6f\156" => $this->generateUrl("\x63\154\160\137\163\151\x74\x65\137\144\141\164\x61\142\x61\163\145\x5f\x6e\x65\167", ["\x64\x6f\x6d\x61\151\x6e\116\141\155\145" => $site->getDomainName()]), "\155\145\x74\150\x6f\144" => "\120\x4f\x53\124", "\141\x74\x74\x72" => []]); goto Df32c; D28b8: } private function handleDatabaseForm(Request $request, Form $form, Site $site) { goto E775f; E775f: if (true === $form->isValid()) { goto f88f7; } goto Ec11c; be118: try { goto A0106; b711e: $siteEntity = $this->getSiteEntity($domainName); goto e6f83; F171d: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto Bfe00; C336d: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto d2f94; Eeeec: $siteEntity->addDatabase($databaseEntity); goto Aa05a; Ad3ee: $databaseUserEntity->setDatabase($databaseEntity); goto C3ca1; A0106: $user = $this->getUser(); goto D3aac; Aa05a: $databaseManager->createDatabase($databaseEntity); goto ed078; D90da: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_ADD, $user, $eventData, $request); goto a497b; D3aac: $session = $request->getSession(); goto ac6a5; Fa80d: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto Ad3ee; e6d67: $eventData = ["\x73\x69\x74\x65" => $domainName, "\144\x61\164\x61\142\141\x73\x65" => $databaseEntity->getName(), "\x64\141\x74\x61\x62\x61\163\x65\125\163\145\162\x4e\x61\x6d\x65" => $databaseUserEntity->getUserName()]; goto D90da; E932d: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto F171d; Bfe00: $databaseEntity->setSite($siteEntity); goto A7c0b; Bc226: goto De128; goto Cdf93; C3ca1: $databaseEntity->addUser($databaseUserEntity); goto Eeeec; B73ad: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto E932d; ac6a5: $domainName = $site->getDomainName(); goto b711e; d2f94: $databaseUserEntity->setUserName($databaseUserName); goto b25c7; Cddfe: $databaseEntity = $form->getData(); goto B73ad; Bc0e8: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\x74\145\137\x64\141\164\141\142\141\x73\145\137\x6e\145\x77", ["\144\157\x6d\x61\x69\x6e\116\141\x6d\x65" => $site->getDomainName()])); goto Bc226; ed078: $databaseManager->createUser($databaseUserEntity); goto c8a8d; a497b: $session->getFlashBag()->set("\x73\165\143\x63\145\163\163", $this->translator->trans("\x44\141\x74\x61\142\141\163\145\40\150\141\163\40\142\145\145\x6e\x20\x61\x64\144\x65\144\x2e")); goto F0465; D885d: return $response; goto a5015; Ced26: $databaseUserPassword = $form->get("\165\163\145\x72\x50\x61\163\163\167\157\162\x64")->getData(); goto C336d; A7c0b: $databaseUserName = $form->get("\x75\x73\145\x72\x4e\x61\155\x65")->getData(); goto Ced26; c8a8d: $this->siteEntityManager->updateEntity($siteEntity); goto e6d67; e6f83: if (false === is_null($siteEntity)) { goto C2ef5; } goto Bc0e8; Cdf93: C2ef5: goto Cddfe; b25c7: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto Fa80d; F0465: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\151\164\145\137\x64\141\x74\x61\x62\141\x73\x65\x73", ["\144\157\155\x61\x69\x6e\x4e\141\x6d\x65" => $site->getDomainName()])); goto Ef9f1; Ef9f1: De128: goto D885d; a5015: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\x65\x72", $this->translator->trans("\x41\156\x20\145\x72\x72\157\162\x20\150\x61\x73\x20\x6f\143\143\165\x72\x72\x65\144\54\40\145\x72\x72\157\162\40\x6d\145\x73\x73\x61\x67\x65\x3a\40\x25\145\162\162\x6f\162\x4d\x65\163\163\141\x67\145\45", ["\x25\x65\x72\162\157\x72\115\x65\163\x73\141\147\x65\45" => $e->getMessage()])); } goto D24c4; A1631: f88f7: goto be118; D24c4: fc75e: goto c45ca; F0a14: goto fc75e; goto A1631; Ec11c: $this->formErrors = $this->getErrorMessages($form); goto F0a14; c45ca: } public function deleteDatabase(Request $request) : Response { goto C910e; E3a99: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\151\164\145\x73")); goto B4bce; D2d6b: try { goto F3b6b; Cd836: $eventData = ["\163\x69\164\145" => $domainName, "\x64\x61\164\141\142\x61\x73\145" => $databaseEntity->getName()]; goto d030a; Da092: $session->getFlashBag()->set("\x73\165\143\x63\145\163\163", $this->translator->trans("\x44\141\x74\141\x62\141\163\145\40\150\141\x73\40\x62\x65\145\156\40\144\x65\154\145\x74\145\x64\x2e")); goto E7444; F3b6b: $user = $this->getUser(); goto be26f; be26f: $session = $request->getSession(); goto c636c; c636c: $domainName = $site->getDomainName(); goto ec4e8; d030a: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_DELETE, $user, $eventData, $request); goto Da092; A0b5f: $this->siteEntityManager->updateEntity($siteEntity); goto Cd836; E25d8: $databaseManager->deleteDatabase($databaseEntity, true); goto a31ec; a31ec: $siteEntity->removeDatabase($databaseEntity); goto A0b5f; Eacd3: $databaseManager = new DatabaseManager($databaseServerEntity); goto E25d8; ec4e8: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto Eacd3; E7444: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\145\162", $this->translator->trans("\x41\156\40\145\162\162\157\x72\40\x68\141\x73\40\157\143\x63\165\x72\162\145\144\54\40\145\162\162\157\x72\40\x6d\145\163\163\141\x67\145\72\x20\x25\x65\x72\x72\157\162\x4d\x65\x73\163\141\x67\x65\x25", ["\45\145\x72\x72\157\162\x4d\145\x73\163\141\x67\145\45" => $e->getMessage()])); } goto dd3e4; D2c41: $databaseName = $request->get("\144\141\x74\141\142\x61\x73\x65\x4e\141\x6d\145"); goto D9834; F2f6c: A947f: goto E3a99; B4bce: return $response; goto a93df; B0d85: $this->checkCsrfToken($request, "\144\141\x74\x61\142\x61\x73\145\55\x64\x65\154\145\164\x65"); goto f2c3e; dd3e4: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\151\x74\x65\137\144\x61\164\141\x62\141\x73\145\163", ["\144\x6f\155\141\151\156\116\141\x6d\145" => $site->getDomainName()])); goto eaaa8; D9834: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto Ca65a; ab87d: f6925: goto F2f6c; f2c3e: if (!(false === is_null($site))) { goto A947f; } goto D2c41; Ca65a: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto A0b35; C910e: $site = $this->getSite($request); goto B0d85; A0b35: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName() && false === is_null($siteEntity))) { goto f6925; } goto D2d6b; eaaa8: return $response; goto ab87d; a93df: } public function phpMyAdmin(Request $request) : Response { goto B2fcd; A8db0: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto cc3be; } goto Ad043; e3430: $response->headers->clearCookie("\x53\151\147\156\157\x6e\x53\145\x73\x73\x69\157\x6e"); goto f6bbf; d804e: $data = ["\x68\157\x73\164" => $activeDatabaseServerEntity->getHost(), "\x70\x6f\162\164" => $activeDatabaseServerEntity->getPort()]; goto c695d; c695d: $session->set("\x63\x6c\x70\x2d\160\155\141", $data); goto B769f; c0751: return $response; goto c5128; d4d86: eefe6: goto c93ab; debde: return $response; goto e5fe1; e6838: fa1da: goto da9a4; c93ab: $site = $this->getSite($request); goto bfc90; b461c: if (false === is_null($domainName)) { goto eefe6; } goto E70dc; D2f9b: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Ec90b; db90f: $response->headers->clearCookie("\x70\150\160\115\x79\101\x64\155\x69\x6e\x5f\150\164\x74\x70\x73"); goto B8047; f6bbf: return $response; goto f367f; B2fcd: $domainName = $request->get("\x64\x6f\155\141\x69\x6e\x4e\x61\x6d\145"); goto Ff364; Ff364: $session = $request->getSession(); goto b461c; f367f: C6b17: goto cc4a0; da9a4: edcd7: goto d5030; B769f: $response = new RedirectResponse($phpMyAdminUrl); goto ac6e3; Ab036: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\x69\x74\x65\163")); goto debde; Ab65f: $data = ["\x68\x6f\163\x74" => $activeDatabaseServerEntity->getHost(), "\165\x73\145\162\x4e\141\155\145" => $databaseUserEntity->getUserName(), "\160\141\163\163\x77\157\x72\144" => $databaseUserEntity->getDecryptedPassword(), "\160\157\162\164" => $activeDatabaseServerEntity->getPort()]; goto D66c8; e5722: $databaseEntity = $databaseUserEntity->getDatabase(); goto A8db0; c5128: cc3be: goto e6838; Ad043: $phpMyAdminUrl = sprintf("\150\164\x74\x70\x73\x3a\x2f\57\x25\163\72\x25\x73\57\160\150\x70\x6d\x79\141\144\x6d\x69\156\x2f\x6c\157\147\151\156\x2e\x70\150\x70", $request->getHost(), $request->getPort()); goto Ab65f; c7959: $databaseUserName = $request->get("\x64\x61\164\x61\142\141\163\x65\125\x73\145\x72\116\x61\155\x65"); goto F86d3; cf86f: $response = new RedirectResponse($phpMyAdminUrl); goto c0751; E70dc: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto b32f5; b32f5: if (!(false === is_null($activeDatabaseServerEntity))) { goto C6b17; } goto E4f43; d5030: Ae98a: goto Ab036; Ec90b: if (!(false === is_null($activeDatabaseServerEntity) && false === is_null($activeDatabaseServerEntity))) { goto fa1da; } goto e5722; bfc90: if (!(false === is_null($site))) { goto edcd7; } goto c7959; B8047: $response->headers->clearCookie("\x70\x6d\141\x41\165\164\150\x2d\61\x5f\x68\164\164\x70\163"); goto e3430; ac6e3: $response->headers->clearCookie("\x63\x6c\x70\x2d\x70\x6d\x61"); goto db90f; F86d3: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto D2f9b; cc4a0: goto Ae98a; goto d4d86; D66c8: $session->set("\143\x6c\160\x2d\160\x6d\141", $data); goto cf86f; E4f43: $phpMyAdminUrl = sprintf("\x68\x74\x74\x70\163\x3a\x2f\x2f\45\x73\x3a\45\163\x2f\160\x68\x70\x6d\x79\x61\x64\155\151\156\57\154\157\x67\x69\156\56\x70\150\160", $request->getHost(), $request->getPort()); goto d804e; e5fe1: } public function phpMyAdminLogout(Request $request) { goto e4c7a; Aba0d: $response->headers->clearCookie("\160\155\x61\101\165\164\150\55\x31\137\150\164\164\x70\163"); goto a1cdf; a8ba9: $response->headers->clearCookie("\143\x6c\160\55\x70\x6d\x61"); goto Bb4e2; a1cdf: $response->headers->clearCookie("\x53\151\x67\156\x6f\x6e\x53\145\163\163\x69\x6f\156"); goto b5ddc; Bb4e2: $response->headers->clearCookie("\160\150\x70\115\x79\101\x64\155\151\x6e\x5f\150\x74\164\160\x73"); goto Aba0d; e4c7a: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\x74\145\163")); goto a8ba9; b5ddc: return $response; goto ff2bc; ff2bc: } public function newDatabaseUser(Request $request) : Response { goto F7157; C717b: B4f6f: goto f23fe; Ac52b: if (count($databases) && false === is_null($siteEntity)) { goto e0d18; } goto a2309; ee3ba: goto a7267; goto B1da3; E82af: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\164\x65\x73")); goto ee3ba; a36e6: Dd9d2: goto a3172; Daf20: return $response; goto Abc24; d42c8: $domainName = $site->getDomainName(); goto C3c0d; e6110: return $response; goto e95b3; f4617: e0d18: goto D1566; Dd8f8: if (!(false === is_null($response))) { goto Bdcf4; } goto Daf20; bee44: if (false === is_null($site)) { goto b6308; } goto E82af; D84ef: goto B4f6f; goto f4617; C46ad: $form->handleRequest($request); goto Eea4a; D9dc7: $session->getFlashBag()->set("\144\141\156\147\x65\x72", $this->translator->trans("\116\x6f\x20\x64\x61\x74\x61\x62\x61\163\x65\40\146\x6f\x75\156\x64\x3b\40\143\x72\145\x61\164\145\x20\x61\40\x64\141\x74\x61\x62\141\x73\145\40\x66\x69\162\x73\x74\56")); goto e3d8c; C3c0d: $siteEntity = $this->getSiteEntity($domainName); goto Ac52b; e3a51: if (!(true === $request->isMethod("\x50\117\x53\124"))) { goto Dd9d2; } goto C46ad; f23fe: a7267: goto e6110; cf7e5: $databaseUserEntity->setSite($siteEntity); goto a0158; D1566: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto cf7e5; ba935: $response = $this->handleDatabaseUserForm($request, $form, $site); goto Dd8f8; fa4b1: $databases = $site->getDatabases(); goto d42c8; Abc24: Bdcf4: goto B951f; a2309: $session = $request->getSession(); goto D9dc7; e3d8c: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\x69\164\x65\x5f\144\x61\164\x61\x62\141\163\145\x73", ["\144\157\155\x61\151\156\x4e\141\155\145" => $site->getDomainName()])); goto D84ef; a0158: $form = $this->createDatabaseUserForm($site, $databaseUserEntity); goto e3a51; B951f: dfa75: goto a36e6; B1da3: b6308: goto fa4b1; a3172: $response = $this->render("\x46\x72\x6f\156\x74\145\x6e\144\x2f\123\x69\x74\x65\57\156\x65\x77\x2d\144\x61\x74\141\x62\141\163\x65\55\x75\163\145\162\x2e\150\x74\155\154\x2e\x74\167\x69\x67", ["\x73\x69\x74\145" => $site, "\x64\141\164\141\142\141\x73\x65\125\x73\145\x72" => $databaseUserEntity, "\x64\x61\164\x61\142\x61\x73\145\163" => $databases, "\146\157\x72\155" => $form->createView(), "\146\x6f\162\x6d\105\162\x72\157\162\x73" => $this->formErrors]); goto C717b; F7157: $site = $this->getSite($request); goto bee44; Eea4a: if (!(true === $form->isSubmitted())) { goto dfa75; } goto ba935; e95b3: } private function createDatabaseUserForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto Fe0c3; Ee67b: return $form; goto Cb4ac; Fe0c3: $form = $this->createForm("\101\x70\x70\x5c\x46\157\x72\x6d\134\x53\151\x74\x65\104\x61\164\x61\x62\x61\x73\x65\125\163\x65\x72\x54\171\160\x65", $databaseUserEntity, ["\141\x63\x74\x69\x6f\x6e" => $this->generateUrl("\143\154\160\137\x73\151\x74\x65\x5f\144\141\164\x61\x62\x61\x73\145\x5f\165\163\145\162\x5f\x6e\145\x77", ["\x64\157\x6d\x61\151\x6e\116\x61\x6d\x65" => $site->getDomainName()]), "\155\x65\x74\x68\157\x64" => "\120\117\123\124", "\x61\x74\x74\x72" => []]); goto f953d; f953d: $form->add("\x73\165\x62\155\151\x74", SubmitType::class, ["\x61\164\164\162" => ["\143\x6c\141\163\163" => "\142\x74\156\40\x62\x74\x6e\55\142\x6c\165\145\40\x62\164\156\55\154\x67"], "\x6c\x61\x62\x65\x6c" => "\101\144\144\40\104\x61\x74\x61\142\x61\163\145\40\x55\x73\x65\162"]); goto Ee67b; Cb4ac: } private function handleDatabaseUserForm(Request $request, Form $form, Site $site) { goto Ab751; F22c4: $this->formErrors = $this->getErrorMessages($form); goto b6641; Bf310: try { goto A77c5; Bbef8: goto D15bc; goto Fd5c8; A8fab: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_ADD, $user, $eventData, $request); goto f91fe; da8ab: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto Beec5; b0024: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto b870e; b949e: $siteEntity = $this->getSiteEntity($domainName); goto ea867; b7862: D15bc: goto ea0ad; a3832: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\151\164\x65\x5f\144\141\164\x61\142\141\163\145\163", ["\x64\x6f\x6d\x61\x69\156\116\141\155\x65" => $site->getDomainName()])); goto b7862; B56d1: $databaseName = $databaseEntity->getName(); goto f3849; f3849: $eventData = ["\x73\x69\164\x65" => $domainName, "\144\141\x74\x61\x62\x61\x73\145\x55\163\x65\162\116\141\x6d\x65" => $databaseUserEntity->getUserName(), "\160\145\162\x6d\151\163\163\151\157\x6e\x73" => $databaseUserEntity->getPermissions(), "\144\141\x74\141\142\x61\163\x65" => $databaseName]; goto A8fab; d7b64: $domainName = $site->getDomainName(); goto b949e; Fc251: $databaseUserEntity = $form->getData(); goto b0024; bc76f: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto a8c6c; A77c5: $user = $this->getUser(); goto a2845; a8c6c: $databaseEntity = $databaseUserEntity->getDatabase(); goto B56d1; f91fe: $session->getFlashBag()->set("\x73\165\143\143\x65\163\x73", $this->translator->trans("\x44\x61\164\141\x62\141\x73\x65\40\x55\x73\145\162\x20\x68\141\x73\40\142\x65\x65\x6e\40\141\144\144\x65\144\56")); goto a3832; ea867: if (false === is_null($siteEntity)) { goto c62b2; } goto B4c5e; a2845: $session = $request->getSession(); goto d7b64; Ec0b8: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto da8ab; Beec5: $databaseManager->createUser($databaseUserEntity); goto bc76f; B4c5e: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\x69\x74\x65\137\144\x61\x74\x61\x62\x61\163\x65\137\x75\x73\x65\x72\x5f\156\145\x77", ["\x64\x6f\155\141\x69\x6e\x4e\x61\155\x65" => $site->getDomainName()])); goto Bbef8; Fd5c8: c62b2: goto Fc251; ea0ad: return $response; goto ffc1b; b870e: $databaseUserEntity->setPassword($encryptedPassword); goto Ec0b8; ffc1b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\162", $this->translator->trans("\101\156\40\145\x72\x72\x6f\x72\x20\150\x61\163\40\157\x63\x63\x75\162\x72\145\144\54\x20\x65\162\x72\157\x72\x20\155\145\163\163\141\x67\x65\x3a\x20\45\145\162\x72\x6f\162\115\x65\x73\x73\x61\x67\x65\45", ["\x25\x65\x72\x72\x6f\x72\x4d\x65\x73\163\141\x67\145\45" => $e->getMessage()])); } goto ed525; A7b27: D23cd: goto Bf310; b6641: goto cda28; goto A7b27; Ab751: if (true === $form->isValid()) { goto D23cd; } goto F22c4; ed525: cda28: goto Ba368; Ba368: } public function editDatabaseUser(Request $request) : Response { goto A7ba3; a6dc8: $form->handleRequest($request); goto d45ef; E73c6: goto D4697; goto D7935; Ca6e4: A6d3e: goto F63ac; C9f93: $form = $this->createDatabaseUserEditForm($site, $databaseUserEntity); goto Cfb15; d45ef: if (!(true === $form->isSubmitted())) { goto C5bbc; } goto E4dc9; Cfb15: if (!(true === $request->isMethod("\x50\117\x53\124"))) { goto f6972; } goto a6dc8; D4fd2: return $response; goto f4571; ee5d4: $databaseUserEntity->setPassword(''); goto C9f93; ef2e1: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\x74\x65\163")); goto E73c6; eb41d: $session = $request->getSession(); goto d878c; D7935: C1c93: goto Ad5de; A7ba3: $site = $this->getSite($request); goto e419d; F1fe0: if (count($databases) && false === is_null($siteEntity)) { goto D5090; } goto eb41d; A34e5: $databaseUserName = $request->get("\x64\x61\164\x61\x62\x61\x73\145\125\x73\145\x72\116\141\x6d\x65"); goto Da2c1; b652a: if (!(false === is_null($databaseUserEntity))) { goto c8b90; } goto ee5d4; Da2c1: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto b652a; e0987: if (!(false === is_null($response))) { goto C0989; } goto de17c; Ad5de: $databases = $site->getDatabases(); goto A15b0; F63ac: D4697: goto D4fd2; b3fc6: D5090: goto A34e5; d878c: $session->getFlashBag()->set("\144\x61\x6e\147\145\162", $this->translator->trans("\116\x6f\x20\x64\x61\x74\141\142\141\x73\145\40\x66\x6f\x75\156\144\73\x20\x63\162\145\x61\164\x65\40\141\40\144\x61\x74\x61\142\x61\163\145\40\x66\x69\162\x73\x74\56")); goto F3608; e419d: if (false === is_null($site)) { goto C1c93; } goto ef2e1; d9769: c8b90: goto Ca6e4; de17c: return $response; goto D1b80; e80cb: goto A6d3e; goto b3fc6; c472b: $siteEntity = $this->getSiteEntity($domainName); goto F1fe0; D1b80: C0989: goto b0f5a; E4dc9: $response = $this->handleDatabaseUserEditForm($request, $form, $site); goto e0987; e4b8c: f6972: goto d67db; A15b0: $domainName = $site->getDomainName(); goto c472b; d67db: $response = $this->render("\106\162\157\x6e\164\145\156\x64\57\x53\x69\164\x65\x2f\x65\144\x69\x74\x2d\144\x61\164\x61\x62\x61\163\145\55\x75\163\x65\162\x2e\150\164\x6d\x6c\x2e\x74\167\x69\x67", ["\163\x69\164\x65" => $site, "\x64\141\x74\141\x62\141\163\145\125\x73\145\x72" => $databaseUserEntity, "\146\157\x72\155" => $form->createView(), "\x66\x6f\162\x6d\105\162\162\x6f\x72\163" => $this->formErrors]); goto d9769; F3608: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\164\x65\137\x64\141\x74\x61\142\141\x73\x65\163", ["\144\x6f\x6d\141\x69\x6e\116\x61\155\145" => $site->getDomainName()])); goto e80cb; b0f5a: C5bbc: goto e4b8c; f4571: } private function createDatabaseUserEditForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto F6080; F6080: $form = $this->createForm("\x41\x70\x70\134\x46\x6f\162\155\134\123\x69\164\x65\x44\141\164\x61\x62\141\163\145\125\x73\145\x72\x45\144\x69\x74\124\171\160\x65", $databaseUserEntity, ["\141\x63\x74\151\157\x6e" => $this->generateUrl("\143\154\160\137\x73\151\x74\x65\x5f\x64\x61\x74\x61\142\x61\x73\x65\137\x75\x73\145\162\x5f\145\144\x69\164", ["\144\157\155\141\x69\x6e\116\x61\155\145" => $site->getDomainName(), "\144\x61\164\x61\x62\141\x73\x65\x55\163\145\162\x4e\141\x6d\145" => $databaseUserEntity->getUserName()]), "\x6d\145\164\x68\x6f\x64" => "\x50\117\x53\124", "\x61\164\x74\162" => []]); goto adf4f; c0e76: return $form; goto Ba2f6; adf4f: $form->add("\163\165\x62\155\x69\164", SubmitType::class, ["\x61\x74\x74\162" => ["\x63\x6c\141\x73\163" => "\x62\x74\156\x20\x62\x74\x6e\55\x62\154\165\145\x20\142\x74\x6e\55\154\147"], "\x6c\141\x62\x65\x6c" => "\123\141\166\x65"]); goto c0e76; Ba2f6: } private function handleDatabaseUserEditForm(Request $request, Form $form, Site $site) { goto d1687; d1687: if (true === $form->isValid()) { goto A402f; } goto d6488; A9ef1: b391e: goto A3bc0; C3640: try { goto De6a5; f168e: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto B9ffc; E0c2b: $session = $request->getSession(); goto e9343; Ff1a3: C0dc0: goto B1fd3; fc923: $databaseName = $databaseEntity->getName(); goto Cfd95; B9ffc: $databaseUserEntity->setPassword($encryptedPassword); goto f4e88; Fdc48: $databaseEntity = $databaseUserEntity->getDatabase(); goto fc923; Ff5f9: $siteEntity = $this->getSiteEntity($domainName); goto eada0; De6a5: $user = $this->getUser(); goto E0c2b; E2d27: $databaseUserEntity = $form->getData(); goto f168e; eada0: if (false === is_null($siteEntity)) { goto edeb8; } goto d34f1; d34f1: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\151\x74\x65\137\x64\141\x74\141\x62\141\x73\x65\137\x75\x73\x65\x72\x5f\x6e\x65\167", ["\x64\x6f\x6d\141\x69\x6e\x4e\141\x6d\145" => $site->getDomainName()])); goto B92bc; B92bc: goto C0dc0; goto c073f; B99da: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto bfcb7; f7d10: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_EDIT, $user, $eventData, $request); goto c7bf9; Ac871: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\x69\164\145\x5f\x64\141\x74\x61\142\x61\x73\x65\163", ["\144\157\155\x61\x69\156\116\141\x6d\x65" => $site->getDomainName()])); goto Ff1a3; e9343: $domainName = $site->getDomainName(); goto Ff5f9; Cfd95: $eventData = ["\163\151\164\145" => $domainName, "\144\x61\164\x61\x62\x61\x73\145\x55\x73\145\x72\116\x61\155\145" => $databaseUserEntity->getUserName(), "\160\x65\x72\155\x69\163\x73\151\x6f\156\x73" => $databaseUserEntity->getPermissions(), "\x64\141\x74\141\x62\141\163\x65" => $databaseName]; goto f7d10; B1fd3: return $response; goto Aca39; bfcb7: $databaseManager->createUser($databaseUserEntity); goto aec00; c7bf9: $session->getFlashBag()->set("\x73\165\x63\x63\145\163\163", $this->translator->trans("\x44\x61\x74\x61\142\x61\x73\x65\x20\x55\x73\x65\x72\40\x68\141\163\40\142\145\x65\x6e\x20\165\160\144\x61\x74\x65\x64\x2e")); goto Ac871; c073f: edeb8: goto E2d27; aec00: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto Fdc48; f4e88: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto B99da; Aca39: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\x72", $this->translator->trans("\101\156\x20\x65\162\x72\x6f\x72\40\150\141\x73\x20\157\143\143\x75\162\162\145\144\54\40\145\x72\x72\x6f\x72\x20\155\x65\x73\x73\x61\147\145\72\x20\45\145\x72\x72\157\162\115\x65\163\163\141\147\x65\45", ["\45\x65\162\162\x6f\x72\115\145\163\x73\141\x67\x65\x25" => $e->getMessage()])); } goto A9ef1; Dc5ec: goto b391e; goto cd00a; d6488: $this->formErrors = $this->getErrorMessages($form); goto Dc5ec; cd00a: A402f: goto C3640; A3bc0: } public function deleteDatabaseUser(Request $request) : Response { goto F02e1; b8dc4: if (!(false === is_null($site))) { goto F16ec; } goto Faa3d; Afc24: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\151\164\x65\163")); goto c1f67; D6393: $this->checkCsrfToken($request, "\x64\x61\x74\141\142\x61\163\145\55\x75\x73\145\x72\x2d\x64\x65\x6c\145\x74\145"); goto b8dc4; Faa3d: $databaseUserName = $request->get("\144\141\x74\141\142\141\x73\x65\125\163\x65\x72\116\x61\155\145"); goto aadcd; c1f67: return $response; goto f4875; aadcd: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto Be39c; c0ba6: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\151\x74\145\137\x64\141\164\141\x62\x61\163\145\163", ["\x64\x6f\x6d\x61\151\x6e\116\x61\155\145" => $site->getDomainName()])); goto C91e4; F02e1: $site = $this->getSite($request); goto D6393; d8140: F16ec: goto Afc24; d8697: d209d: goto d8140; Be39c: if (!(false === is_null($databaseUserEntity))) { goto d209d; } goto aeeab; C91e4: return $response; goto d8697; aeeab: try { goto B4a7d; A446b: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_DELETE, $user, $eventData, $request); goto d5a61; A4074: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto e9943; } goto f7433; C7e55: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto D443c; B4a7d: $databaseEntity = $databaseUserEntity->getDatabase(); goto A4074; cd867: $session = $request->getSession(); goto db3f9; B3855: $domainName = $site->getDomainName(); goto cd867; b9a3b: $this->databaseUserEntityManager->deleteEntity($databaseUserEntity); goto b6d1e; D443c: $databaseManager->deleteUser($databaseUserEntity); goto b9a3b; d6cfe: $eventData = ["\163\x69\164\145" => $domainName, "\144\x61\x74\x61\x62\x61\163\x65\x55\163\145\162\116\x61\x6d\145" => $databaseUserName]; goto A446b; d5a61: e9943: goto E921a; db3f9: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto C7e55; b6d1e: $session->getFlashBag()->set("\163\165\x63\143\145\x73\x73", $this->translator->trans("\x44\141\164\141\x62\141\163\145\x20\x55\163\x65\x72\40\x68\141\163\x20\142\145\x65\x6e\40\x64\145\x6c\145\x74\x65\144\56")); goto d6cfe; f7433: $user = $this->getUser(); goto B3855; E921a: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\145\162", $this->translator->trans("\101\156\x20\145\x72\x72\157\x72\40\x68\x61\x73\x20\x6f\143\x63\x75\x72\x72\145\144\54\x20\x65\162\162\157\x72\40\x6d\x65\163\x73\141\147\x65\72\40\x25\145\162\162\x6f\x72\x4d\x65\x73\163\141\147\x65\x25", ["\x25\145\162\x72\157\x72\115\145\163\x73\141\147\145\45" => $e->getMessage()])); } goto c0ba6; f4875: } public function varnishCache(Request $request) : Response { goto C4cc5; c4a9b: $settingsForm = $this->createVarnishCacheSettingsForm($site, $varnishCacheSettingsData); goto Bb4cc; C0527: return $response; goto Fd639; e0a9e: if (!(false === is_null($response))) { goto A8592; } goto fb1ba; C6db1: $settingsForm->handleRequest($request); goto de0a9; e9d20: D7567: goto B7ae0; de0a9: $purgeCacheForm->handleRequest($request); goto F018e; B6863: return $response; goto e9d20; D9784: if (!(true === $request->isMethod("\x50\x4f\x53\x54"))) { goto Dfb2a; } goto C6db1; fb1ba: return $response; goto c1420; c9fca: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto b0f2e; Dbf62: $response = $this->handleVarnishCacheSettingsForm($request, $settingsForm, $site); goto e0a9e; F8fce: goto f47c8; goto F2d76; c1420: A8592: goto B8997; B8997: f2cf0: goto ebeb2; f38e9: if (false === is_null($site) && true === $site->getVarnishCache()) { goto a6947; } goto Bf410; C4cc5: $site = $this->getSite($request); goto f38e9; F2d76: a6947: goto c9fca; Bf410: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\151\164\145\163")); goto F8fce; Bb4cc: $purgeCacheForm = $this->createVarnishCachePurgeCacheForm($site); goto D9784; F1950: f47c8: goto C0527; B7ae0: bc996: goto B6494; F018e: if (!(true === $settingsForm->isSubmitted())) { goto f2cf0; } goto Dbf62; B7ee6: $response = $this->render("\106\162\157\156\164\x65\x6e\144\57\123\x69\x74\145\x2f\x76\x61\x72\156\151\163\x68\55\x63\x61\x63\x68\x65\x2e\150\x74\x6d\154\x2e\x74\x77\x69\147", ["\163\x69\x74\145" => $site, "\x73\x65\x74\x74\x69\156\147\x73\106\157\162\155" => $settingsForm->createView(), "\x70\165\162\147\145\x43\141\x63\150\x65\106\157\162\x6d" => $purgeCacheForm->createView(), "\x66\157\162\155\105\x72\x72\157\x72\163" => $this->formErrors]); goto F1950; b7802: $response = $this->handleVarnishCachePurgeCacheForm($request, $purgeCacheForm, $site); goto ecf7c; B6494: Dfb2a: goto B7ee6; ebeb2: if (!(true === $purgeCacheForm->isSubmitted())) { goto bc996; } goto b7802; b0f2e: $varnishCacheSettingsData = ["\x69\x73\105\156\141\142\x6c\x65\x64" => true === isset($varnishCacheSettings["\x65\156\141\142\x6c\145\x64"]) && true === $varnishCacheSettings["\x65\156\141\x62\154\x65\144"] ? true : false, "\x73\145\162\166\x65\x72" => true === isset($varnishCacheSettings["\x73\x65\162\x76\145\162"]) ? $varnishCacheSettings["\163\x65\x72\x76\x65\162"] : "\x31\x32\x37\x2e\x30\x2e\60\56\61\72\66\60\x38\61", "\x63\141\143\150\x65\124\141\147\120\162\x65\146\x69\x78" => true === isset($varnishCacheSettings["\143\x61\x63\150\145\124\x61\147\x50\162\x65\x66\x69\170"]) ? $varnishCacheSettings["\143\141\x63\150\145\124\141\x67\x50\162\x65\146\151\170"] : substr(md5(time()), 0, 4), "\143\141\143\150\x65\114\x69\146\145\x74\x69\x6d\x65" => true === isset($varnishCacheSettings["\143\141\x63\x68\145\x4c\x69\x66\x65\164\x69\155\145"]) ? $varnishCacheSettings["\143\141\x63\150\145\114\151\146\x65\164\x69\x6d\145"] : "\x36\x30\x34\x38\x30\60", "\x65\x78\143\154\165\x64\x65\x64\120\x61\162\x61\x6d\x73" => true === isset($varnishCacheSettings["\145\170\143\154\x75\144\x65\x64\120\141\x72\x61\x6d\163"]) ? implode("\x2c", $varnishCacheSettings["\145\170\143\154\165\x64\145\144\120\x61\x72\141\155\163"]) : "\x5f\x5f\123\111\x44\54\x6e\157\103\x61\x63\150\x65\54", "\145\170\x63\x6c\x75\144\x65\163" => true === isset($varnishCacheSettings["\145\x78\x63\x6c\165\144\145\163"]) ? implode(PHP_EOL, $varnishCacheSettings["\x65\x78\x63\x6c\x75\144\x65\163"]) : '']; goto c4a9b; ecf7c: if (!(false === is_null($response))) { goto D7567; } goto B6863; Fd639: } private function createVarnishCacheSettingsForm(Site $site, array $data) : Form { goto b6866; Bd9ca: return $form; goto a4214; b6866: $form = $this->createForm("\101\x70\x70\x5c\x46\157\x72\x6d\134\x53\x69\164\x65\x56\x61\162\x6e\x69\x73\x68\x43\141\x63\150\145\123\x65\x74\x74\x69\156\x67\x73\124\x79\x70\x65", $data, ["\141\143\164\151\x6f\x6e" => $this->generateUrl("\143\x6c\160\x5f\163\151\164\x65\x5f\166\x61\x72\156\x69\163\x68\x5f\143\141\143\x68\145", ["\144\157\x6d\x61\x69\156\x4e\141\x6d\145" => $site->getDomainName()]), "\155\145\164\x68\157\x64" => "\120\117\x53\124", "\x61\164\x74\x72" => []]); goto aa85b; aa85b: $form->add("\163\165\x62\x6d\x69\x74", SubmitType::class, ["\x61\x74\164\162" => ["\x63\x6c\141\163\163" => "\142\x74\x6e\40\142\x74\x6e\55\142\154\165\x65\40\142\164\x6e\x2d\x6c\x67"], "\x6c\x61\x62\145\154" => "\123\141\166\x65"]); goto Bd9ca; a4214: } private function createVarnishCachePurgeCacheForm(Site $site) : Form { goto a4109; a4109: $form = $this->createForm("\x41\x70\x70\134\x46\157\x72\x6d\x5c\123\x69\164\x65\x56\x61\162\156\151\x73\x68\103\141\x63\150\x65\120\x75\162\147\145\103\141\143\x68\x65\x54\x79\160\145", ["\x73\151\164\x65" => $site], ["\141\143\164\x69\x6f\x6e" => $this->generateUrl("\x63\154\x70\137\163\151\x74\145\137\166\x61\x72\156\151\163\x68\x5f\x63\x61\143\x68\145", ["\144\157\x6d\141\x69\x6e\116\x61\x6d\145" => $site->getDomainName()]), "\155\x65\x74\x68\157\144" => "\x50\x4f\x53\x54", "\141\x74\164\162" => []]); goto A83c0; d9c3e: return $form; goto d0ce6; A83c0: $form->add("\x73\165\142\155\151\x74", SubmitType::class, ["\141\x74\x74\x72" => ["\x63\x6c\141\x73\x73" => "\x62\164\x6e\x20\x62\164\156\55\x62\x6c\x75\145\x20\142\164\156\55\154\147"], "\x6c\141\x62\145\x6c" => "\x50\165\x72\x67\x65\x20\x43\141\143\x68\x65"]); goto d9c3e; d0ce6: } private function handleVarnishCacheSettingsForm(Request $request, Form $form, Site $site) { goto abd32; bc100: E43c8: goto ceabf; Fbc0c: try { goto Ff516; d4f6b: $site->setVarnishCacheSettings($varnishCacheSettings); goto Fb18d; f1e26: $varnishCacheSettings = ["\x65\x6e\x61\142\x6c\x65\x64" => $isEnabled, "\163\x65\162\x76\145\x72" => $server, "\143\141\143\x68\145\x54\x61\147\x50\x72\145\x66\x69\x78" => $cacheTagPrefix, "\143\141\x63\x68\145\114\151\146\145\x74\151\x6d\145" => $cacheLifetime, "\145\170\x63\x6c\x75\x64\x65\163" => $excludes, "\x65\170\x63\x6c\165\144\x65\x64\x50\141\162\x61\155\163" => $excludedParams]; goto d4f6b; e34c7: $session->getFlashBag()->set("\x73\x75\x63\x63\145\x73\163", $this->translator->trans("\126\141\162\156\x69\x73\x68\40\103\141\x63\x68\x65\x20\123\x65\164\x74\151\x6e\147\163\x20\150\141\166\x65\x20\142\x65\x65\x6e\x20\x73\x61\x76\x65\x64\x2e")); goto Fb9d1; B4842: $siteUpdater->writeVarnishCacheSettingsFile($varnishCacheSettings); goto ab356; Fb9d1: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\151\164\145\x5f\166\141\162\156\x69\163\x68\x5f\x63\x61\x63\150\145", ["\x64\157\155\141\151\x6e\116\141\x6d\145" => $site->getDomainName()])); goto A42b4; B722c: if (false === is_null($siteEntity)) { goto C3ef8; } goto Ebd02; cfd65: $isEnabled = $form->get("\x69\163\x45\x6e\141\142\x6c\145\144")->getData(); goto B82a6; b6121: $excludes = array_map("\164\162\151\155", array_filter(explode(PHP_EOL, trim($form->get("\145\170\143\x6c\x75\144\145\163")->getData())))); goto f1e26; B82a6: $server = $form->get("\x73\x65\162\166\145\162")->getData(); goto D9787; d0cd3: return $response; goto c8b7e; C5653: $siteEntity = $this->getSiteEntity($domainName); goto B722c; ab356: $siteUpdater->phpSettings(); goto Edafe; c19c5: $domainName = $site->getDomainName(); goto C5653; E5e8d: $user = $this->getUser(); goto cfd65; Fb18d: $siteUpdater = $this->getSiteUpdater($site); goto B4842; Ff516: $session = $request->getSession(); goto c19c5; e6d34: $cacheTagPrefix = $form->get("\x63\141\x63\x68\145\124\141\x67\120\x72\145\146\151\170")->getData(); goto F6624; A42b4: C344b: goto d0cd3; Edafe: $eventData = ["\163\x69\164\x65" => $domainName, "\166\x61\162\x6e\x69\163\150\x43\141\x63\150\x65\105\156\x61\142\154\145\x64" => $isEnabled, "\163\145\x72\166\145\162" => $server, "\143\141\143\150\145\124\x61\147\120\162\145\x66\151\x78" => $cacheTagPrefix, "\143\x61\x63\x68\145\114\x69\146\145\164\151\x6d\x65" => $cacheLifetime, "\x65\170\x63\154\x75\144\145\163" => $excludes, "\x65\170\x63\x6c\165\x64\145\144\120\x61\162\x61\x6d\163" => $excludedParams]; goto dbab8; a63ad: goto C344b; goto bcbad; F6624: $excludedParams = array_map("\x74\162\x69\155", array_filter(explode("\54", trim($form->get("\145\170\143\x6c\x75\x64\145\x64\x50\141\162\141\155\x73")->getData())))); goto b6121; bcbad: C3ef8: goto E5e8d; D9787: $cacheLifetime = $form->get("\x63\141\143\x68\x65\114\151\146\x65\164\x69\x6d\x65")->getData(); goto e6d34; Ebd02: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\x74\x65\163")); goto a63ad; dbab8: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_SETTINGS_UPDATE, $user, $eventData, $request); goto e34c7; c8b7e: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\162", $this->translator->trans("\101\156\40\145\162\162\x6f\x72\x20\150\x61\163\40\157\143\143\x75\162\162\x65\x64\54\x20\145\162\x72\x6f\x72\x20\x6d\145\163\163\141\147\x65\x3a\x20\x25\x65\x72\x72\x6f\x72\x4d\x65\x73\x73\x61\147\x65\45", ["\45\x65\x72\x72\x6f\162\115\x65\163\163\x61\x67\145\x25" => $e->getMessage()])); } goto bc100; Fc4bd: a26a9: goto Fbc0c; Af974: $this->formErrors = $this->getErrorMessages($form); goto D0c20; D0c20: goto E43c8; goto Fc4bd; abd32: if (true === $form->isValid()) { goto a26a9; } goto Af974; ceabf: } private function handleVarnishCachePurgeCacheForm(Request $request, Form $form, Site $site) { goto e7c5c; ab6a6: e4285: goto aae3e; f3009: $this->formErrors = $this->getErrorMessages($form); goto C2177; e7c5c: if (true === $form->isValid()) { goto e4285; } goto f3009; Cc3d4: Afb1c: goto e003b; aae3e: try { goto F5a61; Dcd54: $user = $this->getUser(); goto Ae428; Ad417: $purgeValues = array_map("\164\x72\151\x6d", array_filter(explode("\x2c", trim($form->get("\x76\x61\x6c\x75\145")->getData())))); goto af105; b5772: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto c8545; cf628: ac49b: goto aeaf1; dd4c5: goto E8f90; goto ef078; Ae428: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto Ad417; C4d9f: throw new \Exception("\126\x61\x72\x6e\x69\x73\150\40\103\x61\x63\x68\145\x20\x53\145\164\x74\151\156\147\163\40\x63\141\156\156\x6f\x74\40\142\x65\x20\145\x6d\x70\x74\x79\x2e"); goto c73f3; e0d95: Bfba6: goto aacba; c73f3: goto e189f; goto e0d95; E6fec: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\x69\x74\145\x5f\x76\141\x72\x6e\x69\163\150\137\143\141\x63\x68\145", ["\x64\157\x6d\141\x69\156\116\141\x6d\x65" => $site->getDomainName()])); goto e8f9d; aeaf1: e189f: goto ad32b; F5a61: $session = $request->getSession(); goto Be20e; fa0bf: return $response; goto ead3b; ef078: be620: goto Dcd54; Bf0da: $siteEntity = $this->getSiteEntity($domainName); goto F0ef0; af105: if (false === empty($purgeValues) && true === isset($varnishCacheSettings["\x73\145\x72\x76\145\162"]) && false === empty($varnishCacheSettings["\163\x65\162\166\x65\x72"])) { goto Bfba6; } goto C4d9f; ad32b: $eventData = ["\163\151\164\x65" => $domainName, "\166\141\x6c\165\145\x73" => implode("\x2c", $purgeValues)]; goto b5772; aacba: $varnishCacheClient = new VarnishCacheClient(); goto cd02d; cd02d: $varnishCacheClient->setServer($varnishCacheSettings["\x73\145\x72\166\145\162"]); goto a21b9; a21b9: foreach ($purgeValues as $purgeValue) { goto A2f76; A2f76: $purgeValue = trim($purgeValue); goto Cb9d4; c439c: $varnishCacheClient->purgeTag($purgeValue); goto C9e42; D5b58: e46ab: goto D4ca2; D4ca2: D6a07: goto af0d3; Cb9d4: if (!(false === empty($purgeValue))) { goto e46ab; } goto Ac2e8; A64ab: C7ef6: goto B8672; C9e42: goto D304e; goto A64ab; B8672: $varnishCacheClient->purgeUrl($purgeValue); goto a780b; Ac2e8: if (true === str_starts_with($purgeValue, "\x68\x74\164\160")) { goto C7ef6; } goto c439c; a780b: D304e: goto D5b58; af0d3: } goto cf628; F0ef0: if (false === is_null($siteEntity)) { goto be620; } goto dc6db; dc6db: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\151\x74\145\163")); goto dd4c5; e8f9d: E8f90: goto fa0bf; c8545: $session->getFlashBag()->set("\163\165\143\x63\145\163\x73", $this->translator->trans("\126\x61\x72\x6e\x69\163\150\40\103\141\143\150\x65\x20\150\x61\x73\40\142\x65\145\x6e\40\160\x75\x72\x67\145\144\x2e")); goto E6fec; Be20e: $domainName = $site->getDomainName(); goto Bf0da; ead3b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\162", $this->translator->trans("\101\156\x20\x65\162\x72\157\x72\x20\150\141\163\x20\x6f\x63\143\165\x72\x72\145\144\54\40\x65\162\162\157\x72\40\155\145\x73\x73\x61\147\145\72\40\45\x65\x72\162\157\x72\115\145\x73\x73\141\x67\145\45", ["\x25\x65\162\x72\x6f\x72\115\x65\163\163\141\147\x65\45" => $e->getMessage()])); } goto Cc3d4; C2177: goto Afb1c; goto ab6a6; e003b: } public function purgeVarnishCache(Request $request) : Response { goto c0b02; B04cd: return $response; goto c1b2a; ef6ae: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\151\x74\145\x73")); goto d36fa; c0b02: $site = $this->getSite($request); goto Ca3a2; F1d1a: try { goto C419c; E45a8: $eventData = ["\x73\x69\x74\145" => $domainName, "\160\165\x72\x67\145" => "\146\165\x6c\154"]; goto D994c; C419c: $user = $this->getUser(); goto Ec223; B17d5: $session->getFlashBag()->set("\163\x75\143\x63\x65\163\x73", $this->translator->trans("\x56\x61\162\x6e\151\163\150\x20\x43\141\143\150\145\40\150\141\x73\40\x62\145\145\156\40\160\165\x72\147\145\x64\x2e")); goto E782f; F3072: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto B488f; d415d: $varnishCacheClient->setServer($varnishCacheSettings["\x73\x65\162\x76\145\162"]); goto e7f52; Ec223: $session = $request->getSession(); goto Afa62; Afa62: $domainName = $site->getDomainName(); goto F3072; A4e26: f983a: goto E45a8; bd205: $varnishCacheClient = new VarnishCacheClient(); goto d415d; B4521: $cacheTagPrefix = $varnishCacheSettings["\x63\x61\x63\x68\x65\124\x61\x67\120\162\145\x66\151\170"]; goto bd205; B488f: if (!(true === isset($varnishCacheSettings["\x73\x65\162\x76\145\x72"]) && true === isset($varnishCacheSettings["\143\141\x63\150\145\124\x61\147\120\162\145\x66\x69\170"]) && false === empty($varnishCacheSettings["\143\x61\143\x68\145\124\x61\x67\x50\162\145\x66\x69\170"]))) { goto f983a; } goto B4521; D994c: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto B17d5; e7f52: $varnishCacheClient->purgeTag($cacheTagPrefix); goto F0b1a; F0b1a: $varnishCacheClient->purgeHost($domainName); goto A4e26; E782f: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\x72", $this->translator->trans("\101\x6e\40\145\x72\x72\157\162\x20\150\141\x73\x20\x6f\143\x63\165\162\x72\x65\144\x2c\40\x65\162\x72\x6f\x72\40\155\x65\x73\163\141\x67\x65\72\40\45\145\x72\162\x6f\x72\x4d\145\163\x73\x61\147\145\x25", ["\x25\145\x72\162\x6f\x72\115\145\163\x73\141\x67\x65\x25" => $e->getMessage()])); } goto Dc43e; Dc43e: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\x74\x65\137\166\141\x72\156\x69\163\x68\x5f\x63\x61\x63\150\145", ["\144\157\x6d\x61\x69\156\116\x61\155\145" => $site->getDomainName()])); goto B04cd; d36fa: goto d1541; goto Fcd88; Fcd88: fbb67: goto F1d1a; ad609: return $response; goto d6170; Ca3a2: if (false === is_null($site)) { goto fbb67; } goto ef6ae; c1b2a: d1541: goto ad609; d6170: } public function vhost(Request $request) : Response { goto b02e7; c11e1: $siteEntity = $this->getSiteEntity($domainName); goto b5995; Da97e: $response = $this->handleVhostUpdate($request, $site, $siteEntity, $oldVhostTemplate); goto bb099; B9d1a: if (!(false === $isCsrfTokenValid)) { goto B1c71; } goto E150d; a4c92: return $response; goto Ab203; bb028: $response = $this->render("\106\162\x6f\x6e\x74\145\x6e\x64\x2f\123\x69\164\145\x2f\x76\x68\157\x73\164\56\150\164\155\154\x2e\x74\167\151\147", ["\163\x69\164\x65" => $site]); goto A0911; b5995: $oldVhostTemplate = $siteEntity->getVhostTemplate(); goto a01e7; A9da2: B1c71: goto D563d; b02e7: $site = $this->getSite($request); goto Cab8b; f19b1: F5360: goto C05f0; A0911: f6546: goto acf06; b689c: $domainName = $site->getDomainName(); goto c11e1; D563d: $vhostTemplate = trim($request->get("\166\x68\x6f\163\164\55\x74\145\155\x70\x6c\x61\164\145")); goto f5af5; a01e7: $site->setVhostTemplate($vhostTemplate); goto Da97e; E150d: throw new InvalidCsrfTokenException("\124\150\x65\40\x43\x53\x52\x46\x20\164\x6f\x6b\x65\156\40\151\163\40\151\156\166\x61\x6c\x69\x64\x2e"); goto A9da2; Cab8b: if (false === is_null($site)) { goto F5360; } goto Eeb94; cb74f: A1dee: goto Fb252; acf06: return $response; goto B53c7; Ab203: Ba1d8: goto cb74f; f5af5: if (!(false === empty($vhostTemplate))) { goto A1dee; } goto b689c; bb099: if (!(false === is_null($response))) { goto Ba1d8; } goto a4c92; cd5cd: $isCsrfTokenValid = $this->isCsrfTokenValid("\166\150\x6f\163\164\55\x75\160\144\141\x74\x65", (string) $request->get("\x74\157\153\x65\x6e")); goto B9d1a; Fb252: b513c: goto bb028; Eeb94: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\151\x74\x65\163")); goto Cecdd; Cecdd: goto f6546; goto f19b1; C05f0: if (!(true === $request->isMethod("\120\117\x53\124"))) { goto b513c; } goto cd5cd; B53c7: } private function handleVhostUpdate(Request $request, Site $site, SiteEntity $siteEntity, string $oldVhostTemplate) { try { goto E8546; Ab04c: $vhostTemplate = $site->getVhostTemplate(); goto c348a; a25b0: EventQueue::addEvent(EventQueue::EVENT_SITE_VHOST_UPDATE, $user, $eventData, $request); goto fd232; D9735: $domainName = $site->getDomainName(); goto Ab04c; E8546: $user = $this->getUser(); goto fb269; b0452: $siteUpdater->updateNginxVhostWithRollback(); goto Ee09b; fb269: $session = $request->getSession(); goto E36ac; bdab4: $this->siteEntityManager->updateEntity($siteEntity); goto ae6d1; ca05c: throw new InvalidVhostException("\144\x69\x73\x61\142\154\145\x5f\163\x79\x6d\x6c\x69\156\x6b\163\40\x69\163\40\x6e\x6f\x74\40\141\154\x6c\157\167\145\x64\56"); goto f9601; c348a: $siteUpdater = $this->getSiteUpdater($site); goto b0452; Cfdce: $eventData = ["\x73\x69\164\145" => $domainName, "\x76\x68\x6f\163\164" => $vhostTemplate, "\x6f\154\144\126\x68\157\163\164" => $oldVhostTemplate]; goto a25b0; ae6d1: $session->getFlashBag()->set("\163\x75\143\x63\x65\x73\163", $this->translator->trans("\126\x68\157\x73\x74\40\x68\x61\x73\x20\x62\x65\x65\156\x20\163\141\x76\x65\144\x2e")); goto Cfdce; fd232: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\x74\x65\137\x76\x68\x6f\163\164", ["\144\x6f\x6d\x61\x69\x6e\x4e\x61\x6d\145" => $domainName])); goto cd72f; Ee09b: $siteEntity->setVhostTemplate($vhostTemplate); goto bdab4; cd72f: return $response; goto a7037; E36ac: if (!(true === str_contains($site->getVhostTemplate(), "\144\151\x73\x61\x62\154\x65\x5f\x73\171\155\x6c\151\x6e\153\163"))) { goto Afcf6; } goto ca05c; f9601: Afcf6: goto D9735; a7037: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\x64\141\x6e\x67\x65\162", $this->translator->trans("\126\150\157\163\x74\x20\x69\x73\x20\x6e\x6f\164\x20\x76\141\154\151\144\x2c\x20\x65\162\162\157\162\x20\x6d\x65\x73\163\141\147\x65\72\40\x25\x65\162\x72\157\162\x4d\x65\x73\x73\x61\x67\145\45", ["\45\145\162\x72\x6f\x72\x4d\x65\x73\163\141\x67\145\x25" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\145\162", $this->translator->trans("\101\x6e\40\x65\x72\162\157\162\40\x68\141\x73\40\x6f\143\x63\x75\x72\x72\145\x64\54\40\x65\x72\x72\x6f\162\x20\155\x65\x73\163\141\147\x65\72\40\45\145\x72\x72\x6f\x72\115\145\163\x73\x61\147\x65\x25", ["\45\x65\162\162\157\162\x4d\145\x73\163\x61\147\145\45" => $e->getMessage()])); } } public function settings(Request $request) : Response { goto c604b; bb172: if (!(true === $request->isMethod("\x50\117\123\x54"))) { goto E799d; } goto b21ce; Fdd4a: $pythonSettings = $site->getPythonSettings(); goto Cffdf; c2eb0: unset($parameters["\x70\141\147\x65\123\x70\x65\x65\144\x53\x65\164\x74\x69\x6e\147\163\x46\x6f\x72\155"]); goto e547f; a0e2f: $phpSettingsForm->handleRequest($request); goto f9049; Dba18: D6727: goto b4fc5; e1179: if (!(true === $request->isMethod("\120\117\123\124"))) { goto e89e3; } goto F6906; afe57: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto bc6d8; } goto Af147; Eebe7: $response = $this->handlePageSpeedSettingsForm($request, $pageSpeedSettingsForm, $site); goto b9393; c2e59: $siteUserSettingsForm->handleRequest($request); goto Ac44a; ea6c6: a1ffc: goto c902b; bacd3: if (!(SiteEntity::TYPE_PHP == $site->getType())) { goto B93aa; } goto Efec8; C1c08: $nodejsSettingsForm->handleRequest($request); goto c38f2; A5c9e: if (!(true === $pageSpeedSettingsForm->isSubmitted())) { goto e7164; } goto Eebe7; d9930: goto d2cfe; goto c38dd; Cffdf: $pythonSettingsForm = $this->createPythonSettingsForm($site, $pythonSettings); goto afe57; f6999: if (!(SiteEntity::TYPE_NODEJS == $site->getType())) { goto C20b1; } goto e6523; Efec8: $phpSettings = $site->getPhpSettings(); goto F4f6d; e9d46: E6080: goto c1ee9; f4b4a: return $response; goto De62f; Ea5b3: $pageSpeedSettingsForm->handleRequest($request); goto Ebf58; C3c87: A1edf: goto A5c9e; Af1c2: ca79c: goto E5889; e491a: b53e1: goto e9d46; b85e7: $pageSpeedSettingsData = ["\151\x73\x45\x6e\141\x62\x6c\145\144" => $site->getPageSpeedEnabled(), "\x73\x65\x74\164\151\156\147\163" => $site->getPageSpeedSettings()]; goto Eed75; afc83: return $response; goto Dba18; Ce658: $domainSettingsData = ["\x64\157\x6d\141\151\x6e\116\x61\x6d\x65" => $site->getDomainName(), "\x72\x6f\x6f\x74\104\151\162\x65\143\164\x6f\x72\171" => $site->getRootDirectory()]; goto facf2; b5b09: $parameters["\160\150\x70\123\x65\x74\x74\151\156\147\163\x46\x6f\x72\x6d"] = $phpSettingsForm->createView(); goto Da39d; dad67: return $response; goto f53d6; A457b: $response = $this->handleDomainSettingsForm($request, $domainSettingsForm, $site); goto Af1c2; C3ed0: $pageSpeedSettingsForm = $this->createPageSpeedSettingsForm($site, $pageSpeedSettingsData); goto f5a1e; c604b: $site = $this->getSite($request); goto c1daf; e38be: if (!(false === is_null($response))) { goto b53e1; } goto A8dbd; e2954: if (!(false === is_null($response))) { goto D6727; } goto afc83; dd746: E1560: goto Aea49; d1d1f: d2cfe: goto Ff6f5; Fe1ea: $siteUserSettingsForm = $this->createSiteUserSettingsForm($site, $siteUserSettingsData); goto C3ed0; A8dbd: return $response; goto e491a; df6c1: $currentNodeSettings = clone $nodejsSettings; goto C1c08; c1ee9: c2ef7: goto d996d; c000f: $response = $this->handleReverseProxySettingsForm($request, $reverseProxySettingsForm, $site); goto e2954; Ac78f: $parameters = ["\x73\x69\x74\x65" => $site, "\144\157\155\x61\x69\x6e\123\x65\164\164\151\x6e\x67\163\106\157\162\155" => $domainSettingsForm->createView(), "\x73\x69\x74\x65\125\163\145\162\123\145\164\164\151\156\147\x73\106\x6f\x72\x6d" => $siteUserSettingsForm->createView(), "\160\141\x67\x65\123\160\x65\x65\x64\x53\145\164\x74\151\156\147\163\106\x6f\x72\x6d" => $pageSpeedSettingsForm->createView(), "\163\x69\164\145\x44\x65\154\x65\164\x65\106\x6f\162\155" => $siteDeleteForm->createView()]; goto f6999; Aea49: E799d: goto b5b09; b4fc5: e0f07: goto D9d9e; f53d6: adaad: goto dd746; c38dd: ac933: goto Ce658; E5889: if (!(true === $siteUserSettingsForm->isSubmitted())) { goto A1edf; } goto Fb9b8; facf2: $siteUserSettingsData = ["\x73\x69\x74\x65\x55\163\145\x72" => $site->getUser(), "\163\x73\150\113\x65\171\163" => $site->getSshKeys()]; goto aec87; ee05d: return $response; goto C85cc; bac27: if (!(true === $siteDeleteForm->isSubmitted())) { goto a1ffc; } goto e544d; aec87: $siteDeleteData = ["\x64\x6f\155\141\151\x6e\x4e\141\155\145" => $site->getDomainName()]; goto b85e7; f2774: b0ddc: goto e51ab; a9fce: if (!(true === $reverseProxySettingsForm->isSubmitted())) { goto e0f07; } goto c000f; bd267: $parameters["\162\145\x76\x65\x72\x73\x65\x50\162\157\x78\x79\x53\145\164\164\x69\x6e\147\163\x46\x6f\162\155"] = $reverseProxySettingsForm->createView(); goto D12f2; Da39d: B93aa: goto ec29d; Ebf58: $response = null; goto a9611; dd179: $nodejsSettingsForm = $this->createNodejsSettingsForm($site, $nodejsSettings); goto bb1ce; dff8d: $domainSettingsForm->handleRequest($request); goto c2e59; c38f2: if (!(true === $nodejsSettingsForm->isSubmitted())) { goto E6080; } goto aad66; f5a1e: $siteDeleteForm = $this->createSiteDeleteForm($site, $siteDeleteData); goto Dacd0; Af147: $pythonSettingsForm->handleRequest($request); goto E8e75; C85cc: F4922: goto bc1eb; a9611: if (!(true === $domainSettingsForm->isSubmitted())) { goto ca79c; } goto A457b; D9d9e: e89e3: goto bd267; Dacd0: if (!(true === $request->isMethod("\120\x4f\x53\124"))) { goto f4b77; } goto dff8d; d996d: $parameters["\156\x6f\144\x65\152\163\x53\145\164\164\151\156\x67\x73\106\x6f\x72\155"] = $nodejsSettingsForm->createView(); goto c2eb0; D12f2: unset($parameters["\x70\141\147\x65\x53\160\145\x65\x64\123\x65\x74\164\151\156\147\163\106\x6f\x72\x6d"]); goto A13b0; Ef8cc: $parameters["\x66\x6f\162\155\105\162\x72\x6f\162\x73"] = $this->formErrors; goto bcecb; e51ab: if (!(SiteEntity::TYPE_REVERSE_PROXY == $site->getType())) { goto E65ce; } goto Bddaa; Eed75: $domainSettingsForm = $this->createDomainSettingsForm($site, $domainSettingsData); goto Fe1ea; ec29d: if (!(SiteEntity::TYPE_PYTHON == $site->getType())) { goto b0ddc; } goto Fdd4a; Fb9b8: $response = $this->handleSiteUserSettingsForm($request, $siteUserSettingsForm, $site); goto C3c87; De62f: e7ac2: goto a873a; f9049: if (!(true === $phpSettingsForm->isSubmitted())) { goto E1560; } goto dd88e; Ac44a: $siteDeleteForm->handleRequest($request); goto Ea5b3; c902b: if (!(false === is_null($response))) { goto e7ac2; } goto f4b4a; F4f6d: $phpSettingsForm = $this->createPhpSettingsForm($site, $phpSettings); goto bb172; Ff6f5: return $response; goto ae437; E8e75: if (!(true === $pythonSettingsForm->isSubmitted())) { goto Ae561; } goto d0790; Bddaa: $reverseProxySettingsForm = $this->createReverseProxySettingsForm($site); goto e1179; bb1ce: if (!(true === $request->isMethod("\x50\117\x53\x54"))) { goto c2ef7; } goto df6c1; bc1eb: Ae561: goto A983c; d0790: $response = $this->handlePythonSettingsForm($request, $pythonSettingsForm, $site); goto de413; F6906: $reverseProxySettingsForm->handleRequest($request); goto a9fce; e6523: $nodejsSettings = $site->getNodejsSettings(); goto dd179; bcecb: $response = $this->render("\x46\x72\x6f\156\164\x65\x6e\144\x2f\123\151\x74\145\x2f\163\145\164\164\x69\156\147\163\56\x68\164\155\x6c\56\164\x77\151\147", $parameters); goto d1d1f; aad66: $response = $this->handleNodejsSettingsForm($request, $nodejsSettingsForm, $currentNodeSettings, $site); goto e38be; b21ce: $currentPhpSettings = clone $phpSettings; goto a0e2f; e544d: $response = $this->handleSiteDeleteForm($request, $siteDeleteForm, $site); goto ea6c6; A13b0: E65ce: goto Ef8cc; de413: if (!(false === is_null($response))) { goto F4922; } goto ee05d; d5258: if (!(false === is_null($response))) { goto adaad; } goto dad67; Bcf35: $parameters["\160\171\164\150\x6f\156\x53\x65\x74\164\151\x6e\x67\163\x46\x6f\162\155"] = $pythonSettingsForm->createView(); goto f2774; c1daf: if (false === is_null($site)) { goto ac933; } goto f8f07; A983c: bc6d8: goto Bcf35; e547f: C20b1: goto bacd3; f8f07: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\x69\164\145\x73")); goto d9930; a873a: f4b77: goto Ac78f; dd88e: $response = $this->handlePhpSettingsForm($request, $phpSettingsForm, $currentPhpSettings, $site); goto d5258; b9393: e7164: goto bac27; ae437: } public function purgePageSpeedCache(Request $request) : Response { goto d2c84; ed091: goto D0d06; goto e22e9; Bb4a5: try { goto fb4b0; C9bf4: $siteUpdater->purgePageSpeedCache(); goto A38ea; abfa8: $session->getFlashBag()->set("\x73\x75\143\x63\145\163\163", $this->translator->trans("\120\x61\147\x65\x20\123\160\x65\145\x64\40\103\141\x63\150\145\40\150\x61\x73\x20\x62\145\145\x6e\40\160\x75\x72\x67\145\x64\56")); goto Bf9a5; d0c43: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_CACHE_PURGE, $user, $eventData, $request); goto abfa8; E5090: $session = $request->getSession(); goto b65d8; fb4b0: $user = $this->getUser(); goto E5090; b65d8: $siteUpdater = $this->getSiteUpdater($site); goto C9bf4; A38ea: $eventData = ["\x73\151\164\x65" => $site->getDomainName()]; goto d0c43; Bf9a5: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\145\x72", $this->translator->trans("\101\156\x20\x65\162\x72\157\162\x20\150\x61\x73\40\157\x63\143\x75\162\x72\x65\144\54\40\x65\x72\162\x6f\162\x20\x6d\x65\163\x73\141\x67\145\72\x20\45\x65\x72\x72\157\162\115\x65\163\x73\141\147\145\45", ["\45\x65\x72\x72\x6f\162\x4d\145\x73\163\141\x67\x65\x25" => $e->getMessage()])); } goto b3893; d2c84: $site = $this->getSite($request); goto ec39b; aa998: return $response; goto F3fc6; ec39b: if (false === is_null($site)) { goto b4a55; } goto A407c; F3fc6: D0d06: goto d33be; d33be: return $response; goto f69c6; A407c: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\164\145\x73")); goto ed091; b3893: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\164\x65\137\163\x65\x74\x74\151\x6e\147\x73", ["\x64\157\x6d\141\151\156\x4e\x61\155\x65" => $site->getDomainName()])); goto aa998; e22e9: b4a55: goto Bb4a5; f69c6: } private function createDomainSettingsForm(Site $site, array $data) : Form { goto Cb315; a288a: return $form; goto fb7bb; d18fe: $form->add("\x73\165\142\155\x69\x74", SubmitType::class, ["\x61\164\x74\162" => ["\x63\154\x61\163\x73" => "\x62\164\156\40\142\x74\x6e\x2d\x62\154\x75\x65\x20\142\164\x6e\55\154\x67"], "\154\141\x62\x65\x6c" => "\x53\x61\x76\145"]); goto a288a; Cb315: $form = $this->createForm("\101\x70\160\134\106\x6f\x72\155\x5c\123\151\x74\145\104\x6f\155\x61\151\156\x53\145\164\164\x69\x6e\x67\x73\124\x79\x70\145", $data, ["\141\143\x74\151\x6f\156" => $this->generateUrl("\x63\154\160\137\163\151\164\145\x5f\x73\x65\x74\164\x69\156\x67\x73", ["\144\x6f\155\141\x69\156\116\141\155\x65" => $site->getDomainName()]), "\155\x65\x74\150\157\x64" => "\120\x4f\123\x54", "\x61\164\x74\162" => []]); goto d18fe; fb7bb: } private function createSiteUserSettingsForm(Site $site, array $data) : Form { goto Bd5de; Bd5de: $form = $this->createForm("\x41\x70\160\134\x46\157\162\155\134\x53\x69\x74\x65\x55\163\x65\162\123\x65\x74\x74\151\x6e\147\163\124\x79\x70\145", $data, ["\x61\x63\x74\151\x6f\156" => $this->generateUrl("\143\154\160\137\x73\x69\164\145\x5f\163\145\x74\164\x69\x6e\147\163", ["\x64\157\x6d\141\x69\156\116\x61\155\x65" => $site->getDomainName()]), "\155\145\x74\150\157\x64" => "\120\117\123\x54", "\x61\x74\164\x72" => []]); goto eafec; eafec: $form->add("\x73\165\142\155\x69\164", SubmitType::class, ["\x61\x74\x74\x72" => ["\143\x6c\141\x73\163" => "\142\x74\x6e\40\142\x74\x6e\x2d\142\154\x75\145\x20\142\x74\156\x2d\154\x67"], "\154\x61\x62\145\154" => "\123\141\166\x65"]); goto f9fb6; f9fb6: return $form; goto C5ece; C5ece: } private function createPageSpeedSettingsForm(Site $site, array $data) : Form { goto f3bd5; C4e24: $form->add("\x73\x75\x62\155\x69\x74", SubmitType::class, ["\x61\164\164\162" => ["\x63\154\141\x73\x73" => "\142\164\x6e\40\142\x74\x6e\x2d\142\x6c\165\x65\40\x62\x74\156\x2d\x6c\x67"], "\x6c\141\142\x65\154" => "\123\x61\166\145"]); goto F45c0; f3bd5: $form = $this->createForm("\101\160\160\134\x46\x6f\x72\155\x5c\x53\151\x74\145\x50\141\147\x65\x53\160\145\145\144\x53\145\x74\x74\x69\156\x67\163\x54\171\160\x65", $data, ["\x61\143\164\x69\x6f\156" => $this->generateUrl("\143\154\x70\137\163\151\164\x65\137\x73\145\164\x74\151\156\147\163", ["\x64\157\155\141\151\156\116\x61\155\x65" => $site->getDomainName()]), "\155\x65\x74\150\157\x64" => "\120\x4f\123\x54", "\x61\164\164\x72" => []]); goto C4e24; F45c0: return $form; goto e8b2f; e8b2f: } private function createReverseProxySettingsForm(Site $site) : Form { goto ea585; Ab825: $form->add("\163\x75\142\x6d\151\x74", SubmitType::class, ["\x61\164\164\x72" => ["\143\154\x61\x73\163" => "\142\164\156\40\x62\x74\x6e\55\x62\154\165\145\40\142\x74\156\x2d\x6c\x67"], "\154\141\x62\x65\x6c" => "\x53\141\166\145"]); goto f7a51; E71fd: $form = $this->createForm("\x41\x70\x70\134\x46\157\162\155\x5c\123\151\164\145\122\x65\166\145\x72\x73\x65\120\162\x6f\170\171\x53\145\x74\x74\x69\156\147\163\124\171\x70\x65", $data, ["\x61\143\x74\x69\157\156" => $this->generateUrl("\x63\154\x70\x5f\x73\x69\164\145\137\163\145\164\x74\x69\x6e\x67\x73", ["\x64\x6f\x6d\141\151\x6e\x4e\141\155\145" => $site->getDomainName()]), "\x6d\x65\x74\150\x6f\144" => "\x50\117\123\x54", "\141\x74\164\x72" => ["\x69\144" => "\162\145\166\x65\x72\163\145\x2d\x70\162\x6f\170\x79\x2d\x73\145\164\x74\x69\156\x67\x73\x2d\x66\x6f\162\x6d"]]); goto Ab825; ea585: $data = ["\162\x65\x76\x65\162\163\x65\120\162\x6f\170\171\125\x72\154" => $site->getReverseProxyUrl()]; goto E71fd; f7a51: return $form; goto df433; df433: } private function createNodejsSettingsForm(Site $site, NodejsSettings $nodejsSettings) : Form { goto D0f90; D0f90: $form = $this->createForm("\101\x70\160\x5c\106\x6f\162\x6d\134\123\x69\164\145\116\x6f\x64\x65\152\163\x53\x65\164\164\151\x6e\x67\163\124\x79\160\145", $nodejsSettings, ["\x61\x63\x74\151\157\156" => $this->generateUrl("\143\x6c\x70\137\163\151\164\145\137\163\x65\164\x74\x69\x6e\x67\163", ["\x64\x6f\155\141\x69\x6e\116\x61\155\x65" => $site->getDomainName()]), "\155\x65\164\150\x6f\x64" => "\x50\117\123\x54", "\x61\164\x74\162" => ["\x69\144" => "\x6e\157\144\x65\152\163\55\163\145\164\164\151\156\x67\163\55\x66\x6f\x72\x6d"]]); goto Db51e; Baeb1: return $form; goto f0bf5; Db51e: $form->add("\163\165\x62\155\x69\164", SubmitType::class, ["\x61\x74\x74\x72" => ["\143\x6c\x61\x73\163" => "\x62\x74\156\40\142\164\156\55\x62\x6c\165\145\x20\x62\x74\156\55\154\x67"], "\154\x61\142\145\154" => "\123\x61\x76\x65"]); goto Baeb1; f0bf5: } private function createPhpSettingsForm(Site $site, PhpSettings $phpSettings) : Form { goto fe27f; a9a44: return $form; goto B05d9; fe27f: $form = $this->createForm("\101\x70\x70\x5c\x46\157\162\155\x5c\123\x69\164\x65\120\150\160\123\145\164\164\x69\x6e\147\x73\124\x79\x70\145", $phpSettings, ["\x61\143\x74\151\157\156" => $this->generateUrl("\x63\154\x70\137\163\151\x74\145\137\163\145\164\x74\x69\x6e\147\x73", ["\x64\157\155\141\x69\x6e\x4e\141\x6d\145" => $site->getDomainName()]), "\x6d\145\x74\x68\157\144" => "\x50\117\123\124", "\x61\x74\164\x72" => []]); goto B328b; B328b: $form->add("\x73\165\142\x6d\x69\x74", SubmitType::class, ["\141\164\x74\162" => ["\143\154\141\163\x73" => "\142\x74\x6e\x20\142\x74\156\x2d\142\x6c\165\x65\40\x62\164\156\x2d\x6c\x67"], "\x6c\141\x62\x65\x6c" => "\x53\141\x76\145"]); goto a9a44; B05d9: } private function createPythonSettingsForm(Site $site, PythonSettings $pythonSettings) : Form { goto e22bc; e22bc: $form = $this->createForm("\101\160\160\x5c\106\157\x72\155\134\123\151\164\x65\120\x79\x74\x68\x6f\156\x53\x65\164\x74\151\x6e\x67\x73\x54\x79\160\x65", $pythonSettings, ["\x61\x63\x74\151\157\156" => $this->generateUrl("\x63\x6c\x70\137\x73\x69\x74\145\x5f\163\x65\x74\164\x69\x6e\147\163", ["\x64\x6f\155\x61\x69\x6e\x4e\x61\155\x65" => $site->getDomainName()]), "\155\145\164\150\157\x64" => "\x50\x4f\x53\x54", "\141\164\164\x72" => []]); goto F0285; F0285: $form->add("\163\x75\x62\155\x69\164", SubmitType::class, ["\141\x74\164\x72" => ["\143\154\141\x73\x73" => "\142\164\156\x20\x62\164\156\55\142\154\165\145\x20\142\x74\156\x2d\154\147"], "\154\x61\142\145\x6c" => "\123\141\166\145"]); goto Ef3a5; Ef3a5: return $form; goto ca604; ca604: } private function createSiteDeleteForm(Site $site, array $data) : Form { goto cbe96; F8682: $form->add("\163\x75\x62\155\x69\164", SubmitType::class, ["\141\x74\x74\x72" => ["\143\154\141\163\163" => "\142\x74\x6e\40\142\164\156\x2d\x62\x6c\x75\x65\x20\142\164\156\55\x6c\x67", "\x64\x69\x73\141\142\x6c\x65\144" => "\144\x69\x73\x61\x62\154\x65\144"], "\x6c\141\142\145\154" => "\x44\x65\x6c\145\x74\145\x20\x53\x69\x74\x65"]); goto A9ca8; A9ca8: return $form; goto Eae1d; cbe96: $form = $this->createForm("\x41\160\160\x5c\106\157\x72\155\x5c\123\x69\164\145\104\x65\154\x65\164\145\124\x79\160\x65", $data, ["\141\143\164\151\x6f\156" => $this->generateUrl("\x63\154\160\137\163\151\164\x65\137\x73\145\164\164\x69\x6e\x67\163", ["\144\x6f\155\x61\151\x6e\x4e\x61\155\x65" => $site->getDomainName()]), "\x6d\x65\164\x68\x6f\144" => "\x50\117\123\124", "\x61\164\x74\162" => []]); goto F8682; Eae1d: } private function handleDomainSettingsForm(Request $request, Form $form, Site $site) { goto C7504; Fbcda: $this->formErrors = $this->getErrorMessages($form); goto B0e06; a6b5b: fc632: goto C121d; C7504: if (true === $form->isValid()) { goto fc632; } goto Fbcda; C121d: try { goto b2fc2; ae3af: if (!(false === is_null($siteEntity))) { goto Ecf33; } goto f3a98; F92f9: $siteEntity->setRootDirectory($rootDirectory); goto dd84d; f3a98: $rootDirectory = rtrim($form->get("\x72\x6f\157\164\x44\151\x72\x65\143\x74\x6f\162\171")->getData(), "\57"); goto D1eca; Ebe8a: Ecf33: goto B3f07; c6691: $session = $request->getSession(); goto Bad52; b7cb9: $siteUpdater = $this->getSiteUpdater($site); goto Ec5c1; D1eca: $site->setRootDirectory($rootDirectory); goto F92f9; b4157: return $response; goto a64dd; Ca340: $session->getFlashBag()->set("\x73\165\x63\143\145\163\x73", $this->translator->trans("\122\157\x6f\164\40\x44\x69\162\x65\x63\164\157\x72\x79\x20\x68\x61\x73\x20\142\x65\145\156\x20\x73\x61\x76\145\144\x2e")); goto Ebe8a; b2fc2: $user = $this->getUser(); goto c6691; Bad52: $domainName = $site->getDomainName(); goto fd2c3; B3f07: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\151\164\x65\x5f\163\x65\x74\164\x69\x6e\147\163", ["\144\157\155\x61\x69\x6e\116\x61\x6d\x65" => $site->getDomainName()])); goto b4157; Ec5c1: $siteUpdater->domainSettings(); goto fc528; fd2c3: $siteEntity = $this->getSiteEntity($domainName); goto ae3af; dd84d: $this->siteEntityManager->updateEntity($siteEntity); goto b7cb9; fc528: $eventData = ["\163\151\164\145" => $domainName, "\x72\157\x6f\x74\x44\x69\162\x65\x63\164\157\162\x79" => $rootDirectory]; goto eff71; eff71: EventQueue::addEvent(EventQueue::EVENT_SITE_ROOT_DIRECTORY_UPDATE, $user, $eventData, $request); goto Ca340; a64dd: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\162", $this->translator->trans("\x41\156\40\145\x72\162\x6f\162\40\x68\x61\163\x20\157\x63\x63\165\162\x72\145\144\54\40\x65\162\162\x6f\162\x20\x6d\x65\x73\163\141\x67\x65\72\x20\x25\145\162\x72\157\162\115\145\x73\x73\x61\147\145\x25", ["\45\145\x72\162\157\x72\115\x65\163\163\x61\147\145\x25" => $e->getMessage()])); } goto e894a; B0e06: goto d9f09; goto a6b5b; e894a: d9f09: goto c234e; c234e: } private function handleSiteUserSettingsForm(Request $request, Form $form, Site $site) { goto Ac0fc; d8306: e4e65: goto b01bf; Dfda8: try { goto ce048; Ad588: return $response; goto f6ba8; b8ea7: $password = trim($form->get("\x70\141\163\163\167\157\x72\144")->getData()); goto A0076; E1a54: $session->getFlashBag()->set("\x73\x75\143\143\x65\x73\x73", $this->translator->trans("\123\x69\164\x65\x20\x55\x73\x65\x72\x20\x53\x65\164\164\x69\156\x67\163\40\x68\x61\x76\x65\x20\142\145\145\x6e\40\163\x61\166\x65\x64\56")); goto b1118; Ba912: if (!(false === empty($password))) { goto A6b6f; } goto e57d3; C68a9: EventQueue::addEvent(EventQueue::EVENT_SITE_USER_SETTINGS_UPDATE, $user, $eventData, $request); goto E1a54; cc53a: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\164\x65\x5f\163\145\x74\x74\151\156\147\x73", ["\x64\157\x6d\141\x69\156\116\141\155\x65" => $site->getDomainName()])); goto Ad588; df28e: $session = $request->getSession(); goto F69b4; b1a96: A6b6f: goto f0112; Dd15d: $this->siteEntityManager->updateEntity($siteEntity); goto F4a85; A0076: $siteEntity->setSshKeys($sshKeys); goto Dd15d; F4a85: $siteUpdater = $this->getSiteUpdater($site); goto be379; e57d3: $siteUpdater->changeUserPassword($siteUser, $password); goto b1a96; e0edb: if (!(false === is_null($siteEntity))) { goto C6ca3; } goto a86b6; f0112: $eventData = ["\x73\151\x74\x65" => $domainName, "\163\x73\150\x4b\145\171\x73" => $sshKeys]; goto C68a9; F69b4: $domainName = $site->getDomainName(); goto dce6e; F37b6: $sshKeys = trim($form->get("\x73\x73\x68\x4b\145\171\x73")->getData()); goto b8ea7; ce048: $user = $this->getUser(); goto df28e; dce6e: $siteEntity = $this->getSiteEntity($domainName); goto e0edb; b1118: C6ca3: goto cc53a; a86b6: $siteUser = $site->getUser(); goto F37b6; be379: $siteUpdater->updateUserSShKeys($siteUser, $sshKeys); goto Ba912; f6ba8: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\145\x72", $this->translator->trans("\x41\156\x20\x65\x72\x72\157\162\x20\x68\x61\163\x20\157\143\x63\x75\162\x72\x65\144\54\40\145\x72\x72\x6f\x72\40\155\x65\163\x73\141\147\x65\x3a\x20\45\145\162\162\157\x72\x4d\145\x73\x73\141\x67\145\45", ["\45\x65\162\162\x6f\162\115\x65\x73\x73\141\x67\x65\45" => $e->getMessage()])); } goto d8306; Ce237: $this->formErrors = $this->getErrorMessages($form); goto d9f17; d9f17: goto e4e65; goto C4777; C4777: dda4e: goto Dfda8; Ac0fc: if (true === $form->isValid()) { goto dda4e; } goto Ce237; b01bf: } private function handlePageSpeedSettingsForm(Request $request, Form $form, Site $site) { goto e2d94; ef541: ea0c2: goto c61a6; fe53e: goto b7b9d; goto ef541; c61a6: try { goto b5b3a; dcec2: return $response; goto a74da; B401b: $eventData = ["\x73\151\x74\x65" => $domainName, "\160\x61\147\x65\123\160\145\145\144\x45\156\141\142\x6c\145\x64" => $isEnabled, "\x70\x61\x67\x65\x53\160\145\145\144\123\x65\x74\x74\151\156\147\x73" => $settings]; goto Ade9d; E3c5f: $site->setPageSpeedSettings($settings); goto D739d; C9d8c: $domainName = $site->getDomainName(); goto dfe4d; dfe4d: $siteEntity = $this->getSiteEntity($domainName); goto Ded9b; b5b3a: $user = $this->getUser(); goto Eb54c; ba553: $settings = trim($form->get("\x73\x65\164\x74\151\156\x67\x73")->getData()); goto f9e32; B828c: $siteEntity->setPageSpeedEnabled($isEnabled); goto e1c83; bf017: $isEnabled = $form->get("\x69\x73\x45\156\x61\x62\x6c\x65\x64")->getData(); goto ba553; bed7a: e354c: goto c27f3; f7a30: $session->getFlashBag()->set("\x73\x75\143\143\145\163\x73", $this->translator->trans("\x50\x61\x67\145\40\123\160\x65\145\x64\40\123\145\x74\164\151\156\147\163\x20\x68\141\x76\x65\x20\142\x65\x65\156\40\x73\x61\166\145\144\56")); goto bed7a; Eb54c: $session = $request->getSession(); goto C9d8c; f9e32: $site->setPageSpeedEnabled($isEnabled); goto E3c5f; f110e: $siteUpdater->purgePageSpeedCache(); goto B828c; Cfe1b: $siteUpdater->updateNginxVhostWithRollback(); goto f110e; D739d: $siteUpdater = $this->getSiteUpdater($site); goto Cfe1b; e1c83: $siteEntity->setPageSpeedSettings($settings); goto b1401; Ded9b: if (!(false === is_null($siteEntity))) { goto e354c; } goto bf017; b1401: $this->siteEntityManager->updateEntity($siteEntity); goto B401b; c27f3: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\x69\164\145\x5f\x73\x65\x74\164\x69\x6e\x67\163", ["\144\157\x6d\141\x69\156\x4e\141\x6d\x65" => $site->getDomainName()])); goto dcec2; Ade9d: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_SETTINGS_UPDATE, $user, $eventData, $request); goto f7a30; a74da: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\x64\141\x6e\x67\x65\162", $this->translator->trans("\x50\x61\147\x65\123\x70\x65\x65\x64\40\x53\x65\164\x74\151\156\147\40\141\x72\145\x20\156\157\164\x20\x76\x61\154\151\x64\x2c\x20\x65\162\x72\x6f\162\x20\155\145\x73\x73\141\x67\145\x3a\40\45\145\x72\x72\x6f\x72\115\x65\163\x73\141\x67\x65\45", ["\45\x65\x72\x72\157\x72\115\145\x73\x73\141\x67\x65\45" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\145\162", $this->translator->trans("\x41\156\40\x65\x72\162\x6f\x72\40\x68\x61\x73\x20\157\143\143\x75\x72\x72\x65\144\x2c\x20\x65\162\162\x6f\x72\40\x6d\145\163\163\x61\x67\x65\x3a\x20\x25\x65\162\x72\x6f\x72\x4d\145\163\x73\x61\x67\x65\x25", ["\45\145\162\162\157\x72\115\x65\x73\x73\141\x67\145\45" => $e->getMessage()])); } goto E2329; E2329: b7b9d: goto F7013; E7f6e: $this->formErrors = $this->getErrorMessages($form); goto fe53e; e2d94: if (true === $form->isValid()) { goto ea0c2; } goto E7f6e; F7013: } private function handleSiteDeleteForm(Request $request, Form $form, Site $site) { goto cbc22; f2992: e9887: goto ba7a0; E7661: d3ce3: goto Dc532; ba7a0: try { goto be865; Fc92b: $domainName = $site->getDomainName(); goto d5623; f4805: $siteDeleter->delete(); goto e5603; Ad0ea: return $response; goto A0e6f; e5603: $this->siteEntityManager->deleteEntity($siteEntity); goto f46fd; F7997: if (!(false === is_null($siteEntity))) { goto e5cf3; } goto e3e8e; d5623: $siteEntity = $this->getSiteEntity($domainName); goto F7997; be865: $user = $this->getUser(); goto Ca840; e3e8e: $siteDeleter = $this->getSiteDeleter($site); goto f4805; f46fd: $eventData = ["\163\151\x74\x65" => $domainName, "\x74\171\160\x65" => $site->getType()]; goto C4b8c; d175d: e5cf3: goto d4c50; Ca840: $session = $request->getSession(); goto Fc92b; d4c50: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\164\x65\163")); goto Ad0ea; C4b8c: EventQueue::addEvent(EventQueue::EVENT_SITE_DELETE, $user, $eventData, $request); goto aef90; aef90: $session->getFlashBag()->set("\163\x75\143\x63\x65\x73\x73", $this->translator->trans("\x53\151\164\145\x20\150\141\x73\40\x62\x65\145\x6e\x20\144\x65\154\145\x74\145\x64\56")); goto d175d; A0e6f: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\147\x65\162", $this->translator->trans("\x41\156\40\145\162\162\157\162\40\150\x61\x73\x20\x6f\x63\143\165\162\x72\145\x64\54\x20\x65\x72\x72\x6f\162\x20\155\145\x73\163\x61\147\145\72\x20\45\145\x72\162\x6f\162\115\x65\163\163\x61\147\x65\45", ["\45\x65\x72\162\x6f\x72\115\145\163\163\141\147\x65\x25" => $e->getMessage()])); } goto E7661; cbc22: if (true === $form->isValid()) { goto e9887; } goto e905c; e905c: $this->formErrors = $this->getErrorMessages($form); goto B444a; B444a: goto d3ce3; goto f2992; Dc532: } private function handleNodejsSettingsForm(Request $request, Form $form, NodejsSettings $currentNodejsSettings, Site $site) { goto Ac814; dfff5: goto fa12f; goto C4256; C4256: d1767: goto F9985; Ac814: if (true === $form->isValid()) { goto d1767; } goto cc8d2; F9985: try { goto ef417; A0f15: $eventData = ["\x73\151\164\145" => $domainName, "\156\157\x64\145\152\163\x56\x65\x72\163\x69\157\x6e" => $nodejsVersion, "\x70\x6f\x72\164" => $nodejsSettings->getPort()]; goto a4699; A829f: $session->getFlashBag()->set("\x73\165\x63\143\x65\x73\x73", $this->translator->trans("\116\x6f\x64\145\56\x6a\x73\40\123\x65\164\164\x69\156\x67\163\40\x68\x61\166\145\x20\x62\145\x65\x6e\x20\x73\x61\x76\145\x64\56")); goto e579d; f5328: $siteEntity = $this->getSiteEntity($domainName); goto a0c9e; f6d66: $siteUpdater->installNodejsVersion(); goto ce692; a0c9e: if (!(false === is_null($siteEntity))) { goto dab6a; } goto c2780; a167c: $this->siteEntityManager->updateEntity($siteEntity); goto A0f15; D719a: $domainName = $site->getDomainName(); goto f5328; Deacc: $siteUpdater = $this->getSiteUpdater($site); goto bdbc4; ef417: $user = $this->getUser(); goto eaac1; a4570: $nodejsVersion = $nodejsSettings->getNodejsVersion(); goto F138c; c2780: $nodejsSettings = $form->getData(); goto a4570; e579d: dab6a: goto d7a63; ce692: d17de: goto fc6ca; F138c: $hasNodejsVersionChanged = $currentNodejsSettings->getNodejsVersion() != $nodejsVersion; goto Deacc; f479c: return $response; goto Ea2a8; bdbc4: if (!(true === $hasNodejsVersionChanged)) { goto d17de; } goto f6d66; d7a63: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\x69\x74\x65\137\x73\x65\x74\x74\151\x6e\x67\x73", ["\144\157\155\141\151\156\x4e\141\x6d\145" => $site->getDomainName()])); goto f479c; eaac1: $session = $request->getSession(); goto D719a; a4699: EventQueue::addEvent(EventQueue::EVENT_SITE_NODEJS_SETTINGS_UPDATE, $user, $eventData, $request); goto A829f; fc6ca: $siteUpdater->nodejsSettings(); goto a167c; Ea2a8: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\145\162", $this->translator->trans("\x41\156\40\x65\x72\x72\x6f\x72\40\x68\141\x73\x20\x6f\x63\143\x75\x72\162\145\144\54\x20\145\162\x72\157\x72\x20\x6d\x65\x73\x73\141\147\x65\x3a\x20\45\145\162\x72\157\162\115\x65\x73\163\x61\147\x65\45", ["\45\x65\162\162\x6f\x72\x4d\x65\163\x73\141\147\x65\45" => $e->getMessage()])); } goto aa140; aa140: fa12f: goto B50eb; cc8d2: $this->formErrors = $this->getErrorMessages($form); goto dfff5; B50eb: } private function handlePythonSettingsForm(Request $request, Form $form, Site $site) { goto Cbe4c; Abbd3: A2bc1: goto E841e; ec2b8: Ffd69: goto A2922; b1eca: $this->formErrors = $this->getErrorMessages($form); goto dfcf0; A2922: try { goto dc6f1; Fd28f: if (!(false === is_null($siteEntity))) { goto D80a4; } goto fe3f3; F5fce: $session->getFlashBag()->set("\163\x75\143\143\x65\x73\x73", $this->translator->trans("\x50\171\x74\x68\x6f\x6e\40\x53\x65\164\x74\151\156\x67\x73\x20\150\141\x76\145\40\142\145\145\x6e\x20\163\x61\x76\x65\144\56")); goto Bde88; c36c6: $session = $request->getSession(); goto ca420; dc6f1: $user = $this->getUser(); goto c36c6; c114f: EventQueue::addEvent(EventQueue::EVENT_SITE_PYTHON_SETTINGS_UPDATE, $user, $eventData, $request); goto F5fce; d42ce: $pythonVersion = $pythonSettings->getPythonVersion(); goto C3372; d18c9: $siteUpdater->pythonSettings(); goto Bb060; A5d03: $siteUpdater->writePythonVersionFile(); goto d18c9; B3611: $eventData = ["\163\151\164\145" => $domainName, "\x70\171\164\x68\x6f\x6e\126\x65\162\163\151\157\x6e" => $pythonVersion, "\x70\157\162\x74" => $pythonSettings->getPort()]; goto c114f; fe3f3: $pythonSettings = $form->getData(); goto d42ce; Bb060: $this->siteEntityManager->updateEntity($siteEntity); goto B3611; Aff9a: $siteEntity = $this->getSiteEntity($domainName); goto Fd28f; bfa5d: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\x74\x65\137\x73\x65\x74\164\x69\x6e\x67\163", ["\144\x6f\x6d\x61\x69\x6e\116\x61\x6d\145" => $site->getDomainName()])); goto B43cf; C3372: $siteUpdater = $this->getSiteUpdater($site); goto A5d03; ca420: $domainName = $site->getDomainName(); goto Aff9a; B43cf: return $response; goto Aa07d; Bde88: D80a4: goto bfa5d; Aa07d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\145\162", $this->translator->trans("\x41\156\x20\x65\x72\162\157\x72\x20\150\x61\x73\x20\157\143\143\165\x72\162\x65\144\x2c\40\x65\x72\162\157\x72\40\x6d\x65\163\163\141\147\x65\x3a\40\x25\x65\162\x72\157\x72\115\x65\163\163\x61\x67\145\x25", ["\45\x65\x72\x72\157\x72\x4d\145\x73\x73\x61\147\145\x25" => $e->getMessage()])); } goto Abbd3; Cbe4c: if (true === $form->isValid()) { goto Ffd69; } goto b1eca; dfcf0: goto A2bc1; goto ec2b8; E841e: } private function handleReverseProxySettingsForm(Request $request, Form $form, Site $site) { goto A0fc3; A0fc3: if (true === $form->isValid()) { goto b420a; } goto Be969; A710f: goto b7c58; goto D5885; D5885: b420a: goto C0fc8; C0fc8: try { goto fafd7; B514d: $session->getFlashBag()->set("\x73\165\143\143\x65\163\163", $this->translator->trans("\x52\145\x76\145\162\x73\x65\x20\x50\x72\157\170\171\x20\x53\x65\x74\x74\151\156\147\163\x20\x68\141\166\x65\40\x62\145\x65\x6e\x20\163\141\x76\x65\x64\x2e")); goto Aabf1; d5560: $site->setReverseProxyUrl($reverseProxyUrl); goto a90c5; D10f5: if (!(false === is_null($siteEntity))) { goto a09f3; } goto ae996; a9d94: return $response; goto f11ee; a90c5: $siteEntity->setReverseProxyUrl($reverseProxyUrl); goto B5c03; ed895: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\151\x74\x65\137\x73\145\x74\x74\151\156\147\x73", ["\144\157\155\141\151\x6e\x4e\x61\x6d\x65" => $site->getDomainName()])); goto a9d94; B5c03: $siteUpdater = $this->getSiteUpdater($site); goto c4662; Fbc9a: $siteEntity = $this->getSiteEntity($domainName); goto D10f5; cde0e: $eventData = ["\x73\x69\164\x65" => $domainName, "\x72\145\x76\x65\162\163\x65\x50\162\x6f\170\171\x55\162\x6c" => $reverseProxyUrl]; goto Bf70e; Aabf1: a09f3: goto ed895; fafd7: $user = $this->getUser(); goto C753f; d542e: $domainName = $site->getDomainName(); goto Fbc9a; c4662: $siteUpdater->updateNginxVhostWithRollback(); goto Ba6a7; ae996: $reverseProxyUrl = $form->get("\x72\145\166\145\162\x73\x65\120\x72\157\170\x79\x55\x72\154")->getData(); goto d5560; C753f: $session = $request->getSession(); goto d542e; Ba6a7: $this->siteEntityManager->updateEntity($siteEntity); goto cde0e; Bf70e: EventQueue::addEvent(EventQueue::EVENT_SITE_REVERSE_PROXY_SETTINGS_UPDATE, $user, $eventData, $request); goto B514d; f11ee: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\145\x72", $this->translator->trans("\101\156\x20\145\x72\x72\x6f\162\x20\150\x61\x73\x20\x6f\x63\x63\x75\162\x72\x65\144\x2c\x20\145\x72\162\x6f\162\x20\155\x65\163\163\141\x67\x65\x3a\x20\x25\145\x72\x72\x6f\162\x4d\x65\163\163\141\x67\x65\x25", ["\45\145\162\x72\x6f\162\x4d\x65\163\x73\x61\147\x65\45" => $e->getMessage()])); } goto ae517; Be969: $this->formErrors = $this->getErrorMessages($form); goto A710f; ae517: b7c58: goto Df4e9; Df4e9: } private function handlePhpSettingsForm(Request $request, Form $form, PhpSettings $currentPhpSettings, Site $site) { goto D7a39; c9105: $this->formErrors = $this->getErrorMessages($form); goto Ba4d2; Cd44d: a79c4: goto D56c5; D56c5: try { goto C4ddc; D26d8: $siteUpdater = $this->getSiteUpdater($site); goto F8e22; D2a18: $this->siteEntityManager->updateEntity($siteEntity); goto E84ef; f1346: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\151\164\145\137\x73\x65\164\x74\151\156\x67\163", ["\x64\157\155\141\151\x6e\116\x61\155\x65" => $site->getDomainName()])); goto d6cf6; F4e11: $siteUpdater->phpSettings(); goto D2a18; C9cff: EventQueue::addEvent(EventQueue::EVENT_SITE_PHP_SETTINGS_UPDATE, $user, $eventData, $request); goto ec111; F8e22: if (!(true === $hasPhpVersionChanged)) { goto c1afd; } goto cfbbb; d9639: if (!(false === is_null($siteEntity))) { goto E2aa2; } goto Abe0e; c6c8c: $siteEntity = $this->getSiteEntity($domainName); goto d9639; f0313: $session = $request->getSession(); goto Af0e6; cfbbb: $siteUpdater->changePhpVersion($currentPhpSettings->getPhpVersion(), $phpSettings->getPhpVersion()); goto Ca2e1; Ca2e1: c1afd: goto F4e11; D0ce1: $hasPhpVersionChanged = $currentPhpSettings->getPhpVersion() != $phpSettings->getPhpVersion(); goto D26d8; Abe0e: $phpSettings = $form->getData(); goto D0ce1; Af0e6: $domainName = $site->getDomainName(); goto c6c8c; Aa5f6: E2aa2: goto f1346; C4ddc: $user = $this->getUser(); goto f0313; d6cf6: return $response; goto C20cd; ec111: $session->getFlashBag()->set("\x73\165\143\143\145\x73\163", $this->translator->trans("\x50\110\120\40\123\x65\164\x74\x69\x6e\x67\163\x20\150\141\166\x65\x20\142\145\145\x6e\x20\x73\x61\166\x65\x64\56")); goto Aa5f6; E84ef: $eventData = ["\x73\x69\x74\145" => $domainName, "\160\150\x70\126\x65\162\163\x69\x6f\x6e" => $phpSettings->getPhpVersion(), "\x6d\145\x6d\157\162\x79\x5f\154\x69\155\151\x74" => $phpSettings->getMemoryLimit(), "\155\x61\x78\x5f\x65\x78\145\x63\x75\164\151\157\x6e\x5f\x74\x69\x6d\145" => $phpSettings->getMaxExecutionTime(), "\x6d\141\x78\137\x69\156\160\165\164\137\x74\x69\x6d\145" => $phpSettings->getMaxInputTime(), "\x6d\141\x78\137\151\x6e\160\x75\x74\x5f\166\x61\162\x73" => $phpSettings->getMaxInputVars(), "\x70\157\x73\x74\x5f\155\141\x78\137\163\x69\172\145" => $phpSettings->getPostMaxSize(), "\x75\160\x6c\157\141\x64\137\155\x61\x78\137\x66\x69\x6c\x65\163\151\172\145" => $phpSettings->getUploadMaxFileSize()]; goto C9cff; C20cd: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\145\x72", $this->translator->trans("\x41\156\x20\x65\162\x72\157\x72\x20\150\x61\163\40\157\x63\x63\x75\x72\x72\x65\x64\54\x20\145\x72\162\x6f\x72\40\x6d\x65\163\163\141\147\145\x3a\40\x25\145\162\x72\157\x72\115\x65\163\x73\x61\x67\145\45", ["\x25\x65\x72\x72\157\x72\115\x65\x73\x73\x61\147\145\45" => $e->getMessage()])); } goto ff136; Ba4d2: goto Ae1d3; goto Cd44d; ff136: Ae1d3: goto df410; D7a39: if (true === $form->isValid()) { goto a79c4; } goto c9105; df410: } private function getSite(Request $request) : ?Site { goto F0075; F7ba4: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto bbcb6; C5e75: $site->setCertificate($siteEntity->getCertificate()); goto fa676; deda9: $site->setBasicAuth($siteEntity->getBasicAuth()); goto C94fc; Fa346: $site->setUser($siteEntity->getUser()); goto aa78d; d4e28: $siteDatabases = $this->getSiteDatabases($siteEntity); goto Fa346; b8986: F428e: goto E3b5b; Aadc2: if (!(UserEntity::ROLE_USER == $user->getRole() && false === $user->hasSite($siteEntity))) { goto F428e; } goto dfc9d; e0fd7: A583e: goto de0d2; E3b5b: $siteType = $siteEntity->getType(); goto f0432; Cc69b: return $site; goto c7cd5; b92be: $site->setBlockedIps($siteEntity->getBlockedIps()); goto fc317; fcb34: $domainName = $request->get("\x64\157\155\141\151\156\x4e\x61\155\145"); goto f78dc; b2fd5: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto c520b; C7643: $site->setSshUsers($siteEntity->getSshUsers()); goto ef79f; d553c: $site->setRegistrableDomain($registrableDomain); goto b968b; b1db4: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto b4bcd; F6261: f7a84: goto Cc69b; F4e1c: $site->setRootDirectory($siteEntity->getRootDirectory()); goto deda9; bbcb6: $subdomain = $resolvedDomainName->subDomain()->toString(); goto D7144; a5434: $site = null; goto bc0ab; bc0ab: if (!(false === is_null($siteEntity))) { goto f7a84; } goto Aadc2; c15ef: cf47f: goto e0fd7; fa676: $site->setCertificates($siteEntity->getCertificates()); goto aa2c9; bac70: $site->setFtpUsers($siteEntity->getFtpUsers()); goto C7643; c520b: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto acb55; C94fc: $site->setBlockedBots($siteEntity->getBlockedBots()); goto b92be; ef79f: $site->setSshKeys($siteEntity->getSshKeys()); goto b2fd5; D7144: $subdomain = false === empty($subdomain) ? $subdomain : null; goto d4e28; F0075: $user = $this->getUser(); goto fcb34; fc317: $site->setDatabases($siteDatabases); goto C5e75; acb55: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto b1db4; b968b: $site->setSubdomain($subdomain); goto F4e1c; de0d2: if (!(false === is_null($site))) { goto bd64f; } goto B96cf; aa2c9: $site->setCronJobs($siteEntity->getCronJobs()); goto bac70; B96cf: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto F7ba4; dfc9d: return null; goto b8986; f0432: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto c9207; c9207: $site = new NodejsSite(); goto d85f8; d85f8: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto C9e01; C9e01: goto A583e; goto d7263; d7263: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto A583e; case SiteEntity::TYPE_PHP: goto E9978; Dfea7: $site->setVarnishCache($siteEntity->getVarnishCache()); goto E1595; E1595: goto A583e; goto Cfad4; D2b32: $site->setPhpSettings($siteEntity->getPhpSettings()); goto Dfea7; E9978: $site = new PhpSite(); goto D2b32; Cfad4: case SiteEntity::TYPE_PYTHON: goto B7991; A41fd: $site->setPythonSettings($siteEntity->getPythonSettings()); goto D9636; D9636: goto A583e; goto e6187; B7991: $site = new PythonSite(); goto A41fd; e6187: case SiteEntity::TYPE_REVERSE_PROXY: goto a7347; Ea8e7: goto A583e; goto A3c57; a7347: $site = new ReverseProxySite(); goto Af39c; Af39c: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto Ea8e7; A3c57: } goto c15ef; b4bcd: bd64f: goto F6261; aa78d: $site->setDomainName($siteEntity->getDomainName()); goto d553c; f78dc: $siteEntity = $this->getSiteEntity($domainName); goto a5434; c7cd5: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto bca6c; e9296: $databaseEntities = $siteEntity->getDatabases(); goto a091e; bca6c: $siteDatabases = new ArrayCollection(); goto cbe99; e8b3e: return $siteDatabases; goto E4022; cbe99: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto e9296; a091e: foreach ($databaseEntities as $databaseEntity) { goto a45a4; ef7c7: $siteDatabases->add($databaseEntity); goto F9592; B2ab2: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto bac84; } goto ef7c7; a45a4: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto B2ab2; b4b65: De14b: goto A2e23; F9592: bac84: goto b4b65; A2e23: } goto a9252; a9252: F2d7a: goto e8b3e; E4022: } private function getSiteUpdater(Site $site) : ?SiteUpdater { goto e6cc4; E6f4d: $siteType = $site->getType(); goto c9f31; f82a6: Aef39: goto b6002; a60c8: Dc911: goto f82a6; c9f31: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto Aef39; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto Aef39; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto Aef39; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto Aef39; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto Aef39; } goto a60c8; e6cc4: $siteUpdater = null; goto E6f4d; b6002: return $siteUpdater; goto Dc8db; Dc8db: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto dc1c6; b5d80: Bc6ec: goto Fdf50; Fdf50: return $siteDeleter; goto E4b84; d0b8a: $siteType = $site->getType(); goto c6268; c6268: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto Bc6ec; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto Bc6ec; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto Bc6ec; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto Bc6ec; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto Bc6ec; } goto be72d; dc1c6: $siteDeleter = null; goto d0b8a; be72d: c1ad3: goto b5d80; E4b84: } private function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } }
