<?php
 namespace App\EventListener; use Symfony\Component\HttpKernel\Event\RequestEvent; use Symfony\Component\EventDispatcher\EventSubscriberInterface; use Symfony\Component\Console\Event\ConsoleCommandEvent; use Symfony\Component\HttpKernel\KernelEvents; use Symfony\Component\Console\ConsoleEvents; use Symfony\Contracts\Cache\ItemInterface; use Psr\Cache\CacheItemPoolInterface as CachePool; use GuzzleHttp\Client as HttpClient; use GuzzleHttp\Psr7\Request; use Twig\Environment as TwigEnvironment; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\UserManager; use App\Entity\Manager\DatabaseServerManager; use App\Command\Command; use App\Util\PasswordGenerator; use App\CloudPanel\Environment as CloudPanelEnvironment; use App\CloudPanel\Aws\Instance as AwsInstance; use App\CloudPanel\Do\Instance as DoInstance; use App\CloudPanel\Gce\Instance as GceInstance; use App\CloudPanel\Hetzner\Instance as HetznerInstance; use App\CloudPanel\Vultr\Instance as VultrInstance; use App\CloudPanel\Instance; use App\Do\Client as DoClient; use App\Gce\Client as GceClient; use App\Hetzner\Client as HetznerClient; use App\Vultr\Client as VultrClient; use App\System\CommandExecutor; use App\System\Command\ChangeDatabaseUserPasswordCommand; use App\Entity\DatabaseServer; use App\Service\Crypto; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Database\Connection as DatabaseConnection; use App\Util\Retry; class InitializeListener implements EventSubscriberInterface { private const IP_REQUEST_URL = "\150\x74\x74\160\x73\x3a\x2f\57\x64\x33\161\156\x64\65\64\x71\x38\x67\x62\63\x6a\145\56\143\x6c\157\x75\x64\146\162\157\156\x74\56\156\x65\x74\57"; private ConfigManager $configManager; private DatabaseServerManager $databaseServerManager; private UserManager $userManager; private CachePool $cachePool; private TwigEnvironment $twig; public function __construct(ConfigManager $configManager, DatabaseServerManager $databaseServerManager, UserManager $userManager, CachePool $cachePool, TwigEnvironment $twig) { goto cd907; e0656: $this->cachePool = $cachePool; goto Ae86f; Df460: $this->userManager = $userManager; goto e0656; cd907: $this->configManager = $configManager; goto db870; Ae86f: $this->twig = $twig; goto Ae6b6; db870: $this->databaseServerManager = $databaseServerManager; goto Df460; Ae6b6: } public function onKernelRequest(RequestEvent $event) : void { goto bdfbe; F9b04: B5e14: goto a8520; a8520: $this->initialize($event); goto bc1d3; Bc8ae: return; goto F9b04; bdfbe: if (!(false === $event->isMainRequest())) { goto B5e14; } goto Bc8ae; bc1d3: } public function onConsoleCommand(ConsoleCommandEvent $event) : void { goto Fcc63; D7453: $this->initialize($event); goto A1fa7; A1fa7: eecc1: goto e6d57; Fcc63: $command = $event->getCommand(); goto fb4e4; fb4e4: if (!$command instanceof Command) { goto eecc1; } goto D7453; e6d57: } private function initialize(RequestEvent|ConsoleCommandEvent $event) : void { goto add4c; F3965: $this->setCloudPanelReleaseChannel(); goto e2dd9; e2dd9: $this->setLetsEncryptPrivateKey(); goto Fa1bd; add4c: $this->setTimezone(); goto E6c98; Af576: $this->setEnvironment($event); goto a0f21; E6c98: $this->setInstanceUid(); goto D8fc7; Fa1bd: $this->setDatabaseServer($event); goto Af576; D8fc7: $this->setCloudPanelVersion(); goto F3965; a0f21: } private function setTimezone() : void { goto D4457; B4cb4: E8a12: goto f0c2f; Ba345: $this->configManager->set("\164\x69\x6d\x65\172\157\156\145", "\125\x54\103"); goto B4cb4; b49e8: if (!(true === is_null($timezone))) { goto E8a12; } goto Ba345; D4457: $timezone = $this->configManager->get("\x74\151\x6d\145\172\157\x6e\x65"); goto b49e8; f0c2f: } private function setInstanceUid() : void { goto c60b3; Ea08f: $this->configManager->set("\x69\x6e\x73\164\x61\156\x63\x65\x5f\x75\x69\x64", $instanceUid); goto c510d; abde9: if (!(true === is_null($instanceUid))) { goto B5820; } goto Ca7a4; Ca7a4: $instanceUid = substr(sha1(uniqid(mt_rand(), true)), 0, 16); goto Ea08f; c510d: B5820: goto Ff06c; c60b3: $instanceUid = $this->configManager->get("\151\156\163\164\141\156\143\145\x5f\165\x69\144"); goto abde9; Ff06c: } private function setCloudPanelVersion() : void { goto D2f65; b609e: if (!(false === is_null($appVersion))) { goto bdf16; } goto Fa7e7; B54d1: bdf16: goto B3452; D2f65: $appVersion = $_ENV["\101\120\120\137\x56\105\x52\123\x49\x4f\116"] ?? null; goto b609e; Fa7e7: $this->configManager->set("\141\160\x70\x5f\x76\145\162\163\151\x6f\156", trim($appVersion)); goto B54d1; B3452: } private function setCloudPanelReleaseChannel() : void { goto b8a33; b8a33: $releaseChannel = $this->configManager->get("\162\x65\154\x65\x61\163\145\137\143\150\x61\156\x6e\x65\x6c"); goto d325e; d325e: if (!(true === is_null($releaseChannel))) { goto F71ca; } goto B9b2c; d84a7: F71ca: goto b0fa2; B9b2c: $this->configManager->set("\x72\145\x6c\145\141\163\145\137\143\150\x61\x6e\156\145\154", CloudPanelEnvironment::RELEASE_CHANNEL_STABLE); goto d84a7; b0fa2: } private function setLetsEncryptPrivateKey() { goto af41f; bee9e: $letsEncryptPrivateKey = $this->configManager->get("\154\145\x5f\160\162\151\166\x61\x74\145\x5f\x6b\145\x79"); goto F9c63; D7275: F8466: goto f320c; F4ddc: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto Ea0e5; af41f: $numberOfUsers = $this->userManager->countAll(); goto ded83; ded83: if (!(0 < $numberOfUsers)) { goto Fbb78; } goto bee9e; Ea0e5: $this->configManager->set("\x6c\145\137\160\162\x69\x76\x61\x74\145\x5f\153\145\171", $privateKey->getPEM()); goto D7275; f320c: Fbb78: goto e25aa; F9c63: if (!(true === is_null($letsEncryptPrivateKey))) { goto F8466; } goto Cc395; Cc395: $rsaKeyGenerator = new RsaKeyGenerator(); goto F4ddc; e25aa: } private function setDatabaseServer(RequestEvent|ConsoleCommandEvent $event) : void { goto d4474; ef077: cef22: goto E8cf0; c64a8: $databaseServer->setPort(DatabaseServer::DEFAULT_PORT); goto ffbef; cb6a3: $databaseServer = $this->databaseServerManager->createEntity(); goto d0023; dd8e9: $changeDatabaseUserPasswordCommand->setNewPassword($password); goto fba5e; C2953: if (!("\144\x65\x76" != $_ENV["\x41\x50\x50\x5f\105\x4e\126"])) { goto Cc8c9; } goto E16d3; cf9a2: $databaseServer->setPassword(Crypto::encrypt("\x72\157\x6f\x74")); goto c64a8; d0023: $databaseServer->setHost("\61\x32\67\x2e\60\56\x30\x2e\61"); goto Cea2d; A5c15: $changeDatabaseUserPasswordCommand->setUserName("\x72\x6f\x6f\x74"); goto dd8e9; dd60a: $tmpDatabaseServer->setPassword("\162\157\157\x74"); goto c4988; c2256: $databaseServer->setPassword($encryptedPassword); goto C2953; e7ce8: $databaseServer->setIsDefault(true); goto C26a1; e9fb5: $databaseServers = $this->databaseServerManager->findAll(); goto e5df4; B63b7: $encryptedPassword = Crypto::encrypt($password); goto cb6a3; C26a1: $databaseConnection = new DatabaseConnection($databaseServer); goto C3e4c; bebfe: $commandExecutor->execute($changeDatabaseUserPasswordCommand); goto Fda3c; e5df4: if (!(0 < $numberOfUsers && 0 == count($databaseServers))) { goto Dfd1d; } goto de380; c4988: $commandExecutor = new CommandExecutor(); goto Af9d7; de380: if ("\x64\145\x76" == $_ENV["\101\120\120\x5f\x45\x4e\126"]) { goto cef22; } goto ea6fb; d0d5f: goto d33d0; goto ef077; E16d3: $tmpDatabaseServer = clone $databaseServer; goto dd60a; ea6fb: $passwordGenerator = new PasswordGenerator(); goto dc27d; Fda3c: Cc8c9: goto f0e39; c6509: Dfd1d: goto a56c9; ffbef: $databaseServer->setIsActive(true); goto e7ce8; f9e1f: d33d0: goto B63b7; B66e5: $databaseServer->setVersion($databaseConnection->getVersion()); goto c2256; C3e4c: $databaseServer->setEngine($databaseConnection->getEngine()); goto B66e5; dc27d: $password = $passwordGenerator->generate(); goto d0d5f; fba5e: $changeDatabaseUserPasswordCommand->setDatabaseServer($tmpDatabaseServer); goto bebfe; E8cf0: $password = "\162\157\157\x74"; goto f9e1f; f0e39: $this->databaseServerManager->updateEntity($databaseServer); goto c6509; Cea2d: $databaseServer->setUserName("\x72\x6f\157\x74"); goto cf9a2; Af9d7: $changeDatabaseUserPasswordCommand = new ChangeDatabaseUserPasswordCommand(); goto A5c15; d4474: $numberOfUsers = $this->userManager->countAll(); goto e9fb5; a56c9: } private function setEnvironment(RequestEvent|ConsoleCommandEvent $event) : void { goto E80d5; d23d0: switch ($cloud) { case CloudPanelEnvironment::CLOUD_PROVIDER_AWS: goto A0429; A0429: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_AWS); goto A6741; A080e: $instance->setRegion($region); goto B4f69; C2e0f: goto Aad71; goto b61a9; fea6f: $region = $_ENV["\104\105\126\137\x41\x57\x53\137\x52\105\x47\x49\117\116"] ?? ''; goto ed2f8; D89bc: $instanceId = $_ENV["\x44\105\126\x5f\x41\x57\123\x5f\x49\x4e\x53\124\x41\116\x43\105\x5f\111\x44"] ?? ''; goto fea6f; d82e9: if (!("\x64\145\166" == $_ENV["\101\x50\120\137\x45\x4e\x56"])) { goto E20e7; } goto D89bc; B4f69: E20e7: goto C2e0f; ed2f8: $instance->setInstanceId($instanceId); goto e6793; A6741: $instance = new AwsInstance(); goto d82e9; e6793: $instance->setInstanceType("\x74\63\x2e\x78\154\x61\162\x67\145"); goto A080e; b61a9: case CloudPanelEnvironment::CLOUD_PROVIDER_DO: goto b96d8; d40c7: if (!(false === is_null($token))) { goto Aac83; } goto D6672; C60f9: $dropletId = $_ENV["\x44\x45\x56\x5f\104\117\137\104\x52\117\120\x4c\x45\124\137\111\x44"] ?? ''; goto aafd3; D9cde: $instance->setDropletId($dropletId); goto eeb6d; D6672: $doClient->setToken($token); goto bb2df; d0a54: $instance = new DoInstance($doClient); goto b0eeb; B9042: D272d: goto C663a; aafd3: $region = $_ENV["\104\105\x56\137\104\x4f\137\x52\105\x47\111\x4f\x4e"] ?? ''; goto D9cde; d2029: $doClient = new DoClient(); goto d6837; b96d8: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_DO); goto d2029; bb2df: Aac83: goto d0a54; Ac396: $instance->setFloatingIp("\61\x32\x37\x2e\x30\x2e\60\x2e\x31"); goto cbecb; bea09: if (!("\x64\145\166" == $_ENV["\101\120\120\x5f\105\x4e\126"])) { goto D272d; } goto C60f9; C663a: goto Aad71; goto b32fa; b0eeb: $doClient->setInstance($instance); goto bea09; cbecb: $instance->setIpv4PublicIp("\61\x32\x37\x2e\x30\x2e\x30\56\x31"); goto B9042; d6837: $token = $this->configManager->get("\x64\157\x5f\141\x63\143\145\163\163\137\164\x6f\x6b\x65\156"); goto d40c7; eeb6d: $instance->setRegion($region); goto Ac396; b32fa: case CloudPanelEnvironment::CLOUD_PROVIDER_GCE: goto A610b; C99f5: $gceClient = new GceClient(); goto aa0cc; dc31b: $projectId = $_ENV["\x44\x45\x56\x5f\x47\103\105\137\x50\122\117\x4a\x45\103\124\x5f\x49\x44"] ?? ''; goto F5d75; A610b: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_GCE); goto C99f5; E68cc: goto Aad71; goto faf17; C8da0: f86b5: goto cc6ca; d5d90: $serviceAccountKeys = (array) json_decode($serviceAccountKeys, true); goto B6c11; d419d: $instance->setInstanceId($instanceId); goto b289d; C31c8: $gceClient->setGceInstance($instance); goto bb28c; bb28c: if (!("\x64\145\166" == $_ENV["\x41\120\120\137\x45\116\x56"])) { goto B5c23; } goto dc31b; C22e2: $instanceName = $_ENV["\x44\105\126\137\107\103\105\x5f\x49\x4e\123\x54\101\x4e\x43\x45\137\116\101\x4d\105"] ?? ''; goto faaee; B6c11: $gceClient->setAuthConfig($serviceAccountKeys); goto C8da0; bf3a6: B5c23: goto E68cc; F5d75: $instanceId = $_ENV["\104\105\x56\x5f\107\x43\x45\137\x49\x4e\x53\124\101\116\103\105\137\111\x44"] ?? ''; goto C22e2; aa0cc: $serviceAccountKeys = $this->configManager->get("\x67\143\x65\137\163\145\162\x76\x69\x63\145\x5f\141\x63\143\x6f\165\156\164\x5f\153\145\x79\163"); goto e3c84; fffc9: $instance->setIpv4PublicIp("\61\x32\x37\56\60\x2e\x30\x2e\61"); goto ac4b3; aabb1: $zone = $_ENV["\104\105\126\x5f\x47\103\105\x5f\132\117\116\105"] ?? ''; goto fffc9; e3c84: if (!(false === is_null($serviceAccountKeys))) { goto f86b5; } goto d5d90; faaee: $machineType = $_ENV["\x44\x45\x56\137\107\x43\x45\x5f\115\101\x43\x48\111\x4e\x45\137\x54\131\x50\105"] ?? ''; goto aabb1; b289d: $instance->setInstanceName($instanceName); goto D4f41; cc6ca: $instance = new GceInstance($gceClient); goto C31c8; D4f41: $instance->setMachineType($machineType); goto F61da; ac4b3: $instance->setProjectId($projectId); goto d419d; F61da: $instance->setZone($zone); goto bf3a6; faf17: case CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER: goto D58a3; b6e36: if (!(false === is_null($apiToken))) { goto b26a7; } goto daef9; B1677: E5e20: goto A6d26; A3d45: $hetznerClient = new HetznerClient(); goto e5bba; Dc678: $instance = new HetznerInstance($hetznerClient); goto A0554; A34ce: if (!("\x64\145\166" == $_ENV["\x41\120\x50\137\105\116\x56"])) { goto E5e20; } goto ca4b9; B7a36: $instance->setInstanceId($instanceId); goto B1677; ca4b9: $instanceId = $_ENV["\104\x45\126\137\x48\105\124\132\116\x45\122\137\111\116\123\x54\x41\116\103\105\137\x49\104"] ?? ''; goto b4090; A0554: $hetznerClient->setInstance($instance); goto A34ce; A6d26: goto Aad71; goto A6e02; e5bba: $apiToken = $this->configManager->get("\150\x65\164\x7a\156\145\162\137\141\160\x69\137\164\x6f\x6b\x65\x6e"); goto b6e36; daef9: $hetznerClient->setToken($apiToken); goto E2cb9; D58a3: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER); goto A3d45; b4090: $instance->setIpv4PublicIp("\61\x32\x37\x2e\60\56\60\x2e\61"); goto B7a36; E2cb9: b26a7: goto Dc678; A6e02: case CloudPanelEnvironment::CLOUD_PROVIDER_VULTR: goto Ab9c1; f0cee: if (!(false === is_null($apiKey))) { goto d9377; } goto bc377; bd115: $instance->setInstanceId($instanceId); goto db46c; b9b58: $apiKey = $this->configManager->get("\166\165\x6c\x74\x72\137\x61\x70\x69\x5f\x6b\145\171"); goto f0cee; a415e: if (!("\x64\x65\x76" == $_ENV["\101\120\x50\137\x45\116\126"])) { goto F2e48; } goto E76e1; D65ba: $instance = new VultrInstance($vultrClient); goto d453a; b92ad: goto Aad71; goto Ff68a; E76e1: $instanceId = $_ENV["\x44\x45\126\137\126\125\x4c\124\122\x5f\111\116\123\x54\101\x4e\103\x45\x5f\111\x44"] ?? ''; goto E92cc; db46c: F2e48: goto b92ad; d453a: $vultrClient->setVultrInstance($instance); goto a415e; D144d: d9377: goto D65ba; F7304: $vultrClient = new VultrClient(); goto b9b58; bc377: $vultrClient->setApiKey($apiKey); goto D144d; Ab9c1: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_VULTR); goto F7304; A4f0a: $instance->setIpv4PublicIp($ipv4PublicIp); goto bd115; E92cc: $ipv4PublicIp = $_ENV["\x44\105\x56\x5f\x56\125\x4c\124\x52\x5f\x49\x50\x5f\126\64\x5f\120\x55\x42\x4c\111\103"] ?? "\x31\x32\67\x2e\60\x2e\x30\56\61"; goto A4f0a; Ff68a: default: $instance = new Instance(); goto Aad71; } goto E3393; fde7d: d562e: goto A0812; be926: if (!(false === is_null($instanceUid))) { goto A681a; } goto Db5aa; a4cd4: $this->twig->addGlobal("\x69\156\163\164\x61\x6e\x63\x65", $instance); goto D075e; A7b02: $command->setInstance($instance); goto e1886; A0ef8: $request->attributes->set("\151\x73\x44\141\162\153\x4d\157\x64\145", $isDarkMode); goto a4cd4; C72b9: $host = $request->getHost(); goto ab5bf; e79f2: if (!(true === empty($ipv4PublicIp))) { goto d562e; } goto aed76; Ddcae: $hostname = gethostname(); goto fad0d; bf15f: Aad71: goto aa277; b5359: $instance->setIpv4PublicIp($ipv4PublicIp); goto fde7d; E80d5: $cloud = $this->configManager->get("\x63\x6c\x6f\165\x64"); goto da501; E51a0: $request = $event->getRequest(); goto C72b9; Ca7c8: if ($event instanceof RequestEvent) { goto Ff9ae; } goto A0c27; E3393: a090f: goto bf15f; fa46d: try { $ipv4PublicIp = $this->cachePool->get("\151\160\166\64\137\x70\x75\142\x6c\x69\x63\x5f\151\160", function (ItemInterface $item) { goto d30a1; eb689: $config = ["\164\x69\x6d\145\x6f\x75\164" => 5, "\166\x65\162\151\x66\171" => false, "\x68\145\141\x64\x65\162\163" => ["\x55\x73\x65\162\55\101\x67\x65\x6e\164" => "\103\x6c\x6f\165\144\x50\141\156\145\154\40\166\x32"]]; goto C4c34; ca471: return $ipv4PublicIp; goto f6025; a0d42: $responseStatusCode = $response->getStatusCode(); goto b46ba; Ebc88: $ipv4PublicIp = null; goto eb689; C4c34: $httpClient = new HttpClient($config); goto d3577; d3577: $request = new Request("\107\x45\x54", self::IP_REQUEST_URL); goto B6a7a; F653f: Bd3e7: goto ca471; d30a1: $item->expiresAfter(3600); goto Ebc88; b46ba: if (!(200 == $responseStatusCode)) { goto Bd3e7; } goto F8104; F8104: $ipv4PublicIp = trim((string) $response->getBody()); goto F653f; B6a7a: $response = $this->retry(function () use($httpClient, $request) { $response = $httpClient->send($request); return $response; }); goto a0d42; f6025: }); } catch (\Exception $e) { } goto b5359; e9303: $ipv4PublicIp = $instance->getIpv4PublicIp(); goto e79f2; aed76: $ipv4PublicIp = ''; goto fa46d; aa277: $instanceUid = $this->configManager->get("\x69\156\x73\164\x61\156\143\145\x5f\165\151\144"); goto be926; D69a0: Ff9ae: goto E51a0; Db5aa: $instance->setUid($instanceUid); goto f1e0c; da501: $environment = new CloudPanelEnvironment(); goto d23d0; D075e: $this->twig->addGlobal("\151\163\x44\x61\162\153\x4d\x6f\144\x65", $isDarkMode); goto A22ca; A0812: $request->attributes->set("\151\x6e\163\164\141\156\x63\145", $instance); goto A0ef8; A0c27: $command = $event->getCommand(); goto A7b02; e1886: goto a8d68; goto D69a0; f1e0c: A681a: goto F7272; F7272: $instance->setEnvironment($environment); goto Ddcae; fad0d: $instance->setHostname($hostname); goto Ca7c8; ab5bf: $isDarkMode = false === is_null($request->cookies->get("\164\x68\145\155\x65")) && "\x64\141\162\153" == $request->cookies->get("\x74\x68\145\155\145") ? true : false; goto e9303; A22ca: a8d68: goto C0da7; C0da7: } private function retry(callable $fn, $retries = 1, $delay = 3) { return Retry::retry($fn, $retries, $delay); } public static function getSubscribedEvents() : array { return [KernelEvents::REQUEST => [["\x6f\x6e\113\x65\x72\156\x65\x6c\122\145\161\165\x65\x73\164", 25]], ConsoleEvents::COMMAND => [["\157\x6e\103\x6f\156\163\x6f\x6c\x65\103\157\x6d\x6d\141\x6e\x64", 25]]]; } }
