<?php
 namespace App\Site\Nginx\Vhost; use App\Site\Site; use App\Site\Nginx\Vhost\Processor\Processor; use App\Site\Nginx\Vhost\Processor\RootDirectory as RootDirectoryProcessor; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; use App\Site\Nginx\Vhost\Processor\NginxAccessLog as NginxAccessLogProcessor; use App\Site\Nginx\Vhost\Processor\NginxErrorLog as NginxErrorLogProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificateKey as NginxCertificateKeyProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificate as NginxCertificateProcessor; use App\Site\Nginx\Vhost\Processor\Settings as SettingsProcessor; class Template { protected Site $site; protected ?string $content = null; protected array $placeholders = []; protected array $processors = []; public function __construct(Site $site) { $this->site = $site; $this->init(); } protected function init() : void { goto Bb9f4; Bbefc: $this->addProcessor($rootDirectoryProcessor); goto Ade69; d7748: $nginxErrorLogProcessor = new NginxErrorLogProcessor(); goto d3f5a; Ade69: $this->addProcessor($serverNameProcessor); goto c30b0; f1010: $this->addProcessor($certificateKeyProcessor); goto d999a; Dc953: $certificateProcessor = new NginxCertificateProcessor(); goto A66ce; Dda87: $this->addProcessor($settingsProcessor); goto abb6c; c30b0: $this->addProcessor($redirectServerNameProcessor); goto C77af; d999a: $this->addProcessor($certificateProcessor); goto Dda87; C8cff: $redirectServerNameProcessor = new RedirectServerNameProcessor(); goto Fe978; Fe978: $redirectDomainProcessor = new RedirectDomainProcessor(); goto E3707; b608d: $serverNameProcessor = new ServerNameProcessor(); goto C8cff; E3707: $nginxAccessLogProcessor = new NginxAccessLogProcessor(); goto d7748; A66ce: $settingsProcessor = new SettingsProcessor(); goto Bbefc; f23a5: $this->addProcessor($nginxAccessLogProcessor); goto E669f; d3f5a: $certificateKeyProcessor = new NginxCertificateKeyProcessor(); goto Dc953; Bb9f4: $rootDirectoryProcessor = new RootDirectoryProcessor(); goto b608d; E669f: $this->addProcessor($nginxErrorLogProcessor); goto f1010; C77af: $this->addProcessor($redirectDomainProcessor); goto f23a5; abb6c: } public function getSite() : Site { return $this->site; } public function setContent(string $content) : void { $this->content = $content; } public function getContent() : ?string { return $this->content; } public function build() : void { goto f58dd; b3404: $placeholders = $this->getPlaceholders(); goto bb1a7; f58dd: $processors = $this->getProcessors(); goto b3404; b2845: ebf46: goto Db680; bb1a7: foreach ($placeholders as $placeholder) { goto c4056; Bef1e: $this->content = $processor->process($this->content); goto Ccf34; A0746: $processor->setSite($this->site); goto Bef1e; D05d9: B0f25: goto bc44c; af93d: if (!(true === $hasProcessor)) { goto B0f25; } goto F10e4; bc44c: c1fdc: goto A1933; c4056: $hasProcessor = $this->hasProcessor($placeholder); goto af93d; F10e4: $processor = $processors[$placeholder]; goto A0746; Ccf34: $this->removePlaceholder($placeholder); goto D05d9; A1933: } goto b2845; Db680: } public function removeEmptyPlaceholders() : void { goto fd0de; fd0de: $placeholders = $this->getPlaceholders(); goto D0e18; af928: Faac3: goto Fe4a4; D0e18: foreach ($placeholders as $placeholder) { $this->content = str_replace($placeholder, '', $this->content); D44da: } goto af928; Fe4a4: } protected function hasProcessor(string $placeholder) : bool { return isset($this->processors[$placeholder]); } protected function getProcessors() : array { return $this->processors; } public function addProcessor(Processor $processor) : void { $this->processors[$processor->getPlaceholder()] = $processor; } public function resetProcessors() : void { $this->processors = []; } public function getPlaceholders() : array { goto B50f4; B50f4: if (!(true === empty($this->placeholders))) { goto B91d8; } goto Ebabc; Be17e: foreach ($placeholders as $placeholder) { goto c1022; D5b97: if (!(false === empty($placeholder))) { goto bfd86; } goto b7b4e; b7b4e: $this->addPlaceholder($placeholder); goto b9f98; E1687: a22b0: goto cf201; c1022: $placeholder = trim($placeholder); goto D5b97; b9f98: bfd86: goto E1687; cf201: } goto Dfcc3; Fa317: $placeholders = $placeholders[0]; goto Be17e; Dfcc3: f4e5c: goto f5642; f5642: a7596: goto a7f0b; a7f0b: B91d8: goto A7ee0; Ebabc: preg_match_all("\57\133\173\173\135\173\62\x7d\x28\133\x5c\x73\x61\x2d\172\x41\55\132\60\55\71\137\x5d\53\51\133\175\175\x5d\173\62\x7d\x2f", $this->content, $placeholders); goto ee978; A7ee0: return $this->placeholders; goto a6740; ee978: if (!(true === isset($placeholders[0]) && count($placeholders[0]))) { goto a7596; } goto Fa317; a6740: } private function addPlaceholder(string $placeholder) : void { $this->placeholders[$placeholder] = $placeholder; } private function removePlaceholder(string $placeholder) : void { goto ddd59; E20d0: unset($this->placeholders[$placeholder]); goto B4c75; B4c75: Fcf13: goto e4a5f; ddd59: if (!(true === isset($this->placeholders[$placeholder]))) { goto Fcf13; } goto E20d0; e4a5f: } }
