<?php
 namespace App\Site; use App\System\Command\CopyFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\NginxConfigTestCommand; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\ChmodCommand; use App\System\Command\FindChmodCommand; use App\System\Command\WriteFileCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\ChangeUserHomeDirectoryCommand; use App\System\Command\CreateUserCommand; use App\System\Command\DeleteUserCommand; use App\System\Command\ChangeUserPasswordCommand; use App\System\Command\CreateSymlinkCommand; use App\System\Command\ReadLinkCommand; use App\System\Command\ServiceReloadCommand; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Entity\Site as SiteEntity; use App\Site\Ssl\LetsEncrypt\CertificateOrder; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Nginx\Vhost\StaticTemplate; use App\Site\Nginx\Vhost\NodejsTemplate; use App\Site\Nginx\Vhost\PhpTemplate; use App\Site\Nginx\Vhost\PythonTemplate; use App\Site\Nginx\Vhost\ReverseProxyTemplate; abstract class Updater { public const NGINX_BASIC_AUTH_DIRECTORY = "\57\x65\x74\143\57\156\147\151\x6e\170\57\142\141\x73\151\143\55\141\x75\164\150\57"; public const NGINX_VHOST_DIRECTORY = "\x2f\145\164\x63\x2f\x6e\147\x69\x6e\170\x2f\163\151\x74\x65\x73\x2d\145\156\x61\142\x6c\145\144\x2f"; public const NGINX_SSL_CERTIFICATES_DIRECTORY = "\x2f\145\164\x63\x2f\156\147\151\x6e\x78\x2f\x73\163\154\55\x63\x65\162\x74\x69\x66\x69\143\141\x74\x65\163\57"; public const CRON_DIRECTORY = "\x2f\x65\164\143\x2f\143\x72\157\156\56\x64\x2f"; protected Site $site; protected CommandExecutor $commandExecutor; public function __construct(Site $site) { $this->site = $site; $this->commandExecutor = new CommandExecutor(); } public function domainSettings() : void { $this->updateNginxVhost(); $this->reloadNginxService(); } public function updateNginxVhost() : void { goto e1361; Db08c: $writeVhostFileCommand->setFile($vhostFile); goto Abcf5; fbeec: cb2fc: goto f2178; B762f: $this->commandExecutor->execute($writeVhostFileCommand); goto b9c8d; a6e8f: $vhostTemplate->removeEmptyPlaceholders(); goto Bfcd1; Bfcd1: $vhostContent = $vhostTemplate->getContent(); goto dc141; C1135: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto cb2fc; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto cb2fc; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto cb2fc; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto cb2fc; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto cb2fc; } goto ef640; f4aa4: $vhostFileContent = $this->site->getVhostTemplate(); goto C1135; e1361: $domainName = $this->site->getDomainName(); goto f4aa4; ef640: db401: goto fbeec; b8b18: $vhostFile = sprintf("\x25\163\57\45\x73\x2e\x63\x6f\x6e\146", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto dd70a; f2178: $vhostTemplate->setContent($vhostFileContent); goto b8b18; Abcf5: $writeVhostFileCommand->setContent($vhostContent); goto B762f; dd70a: $vhostTemplate->build(); goto a6e8f; dc141: $writeVhostFileCommand = new WriteFileCommand(); goto Db08c; b9c8d: } public function updateNginxVhostWithRollback() : void { try { goto Ede5b; Fcf5a: $reloadNginxServiceCommand->setServiceName("\156\x67\x69\156\x78"); goto dd300; ad04b: $this->commandExecutor->execute($writeVhostFileCommand); goto D16a9; c2e88: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto c0314; F2b9e: $writeVhostFileCommand->setContent($vhostContent); goto C2443; e9065: $deleteVhostBackupFileCommand->setFile($vhostBackupFile); goto B7f36; ea385: $vhostContent = $vhostTemplate->getContent(); goto B473f; de120: Cdd58: goto c2e88; D16a9: $this->commandExecutor->execute($nginxConfigTestCommand); goto Baf6d; Caef4: $reloadNginxServiceCommand = new ServiceReloadCommand(); goto Fcf5a; B473f: $vhostBackupFile = sprintf("\x25\163\57\x25\163\56\x63\157\x6e\x66\56\x62\141\x6b", rtrim(self::NGINX_VHOST_DIRECTORY, "\x2f"), $domainName); goto c4fe0; b1c3a: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto Bd661; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto Bd661; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto Bd661; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto Bd661; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto Bd661; } goto Dfe4c; Dc0a4: Bd661: goto c1afa; c3e76: $vhostTemplate->removeEmptyPlaceholders(); goto ea385; B7f36: $this->commandExecutor->execute($copyVhostBackupFileCommand); goto ad04b; c1afa: $vhostTemplate->setContent($vhostFileContent); goto e7479; E9f5b: $writeVhostFileCommand->setFile($vhostFile); goto F2b9e; dd3c8: $copyVhostBackupFileCommand->setDestinationFile($vhostBackupFile); goto F3842; e7479: $vhostFile = sprintf("\x25\x73\x2f\x25\x73\56\x63\x6f\156\x66", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto e3c27; ffa3f: $copyVhostBackupFileCommand->setSourceFile($vhostFile); goto dd3c8; Baf6d: if (!("\144\x65\x76" != $_ENV["\101\120\x50\x5f\x45\x4e\x56"])) { goto Cdd58; } goto Caef4; F3842: $writeVhostFileCommand = new WriteFileCommand(); goto E9f5b; C2443: $nginxConfigTestCommand = new NginxConfigTestCommand(); goto E8af7; E8af7: $deleteVhostBackupFileCommand = new DeleteFileCommand(); goto e9065; F3c31: $vhostFileContent = $this->site->getVhostTemplate(); goto b1c3a; Dfe4c: Acdd6: goto Dc0a4; dd300: $this->commandExecutor->execute($reloadNginxServiceCommand); goto de120; e3c27: $vhostTemplate->build(); goto c3e76; Ede5b: $domainName = $this->site->getDomainName(); goto F3c31; c4fe0: $copyVhostBackupFileCommand = new CopyFileCommand(); goto ffa3f; c0314: } catch (\Exception $e) { goto e4f72; F1bdf: $restoreBackupFileCommand->setSourceFile($vhostBackupFile); goto E39dd; e4a75: throw new InvalidVhostException($errorMessage); goto d9f77; Ff41a: B12f7: goto F9106; F9045: if (!(true === isset($reloadNginxServiceCommand))) { goto D23b4; } goto ec62a; F9106: $restoreBackupFileCommand = new CopyFileCommand(); goto F1bdf; Ca9de: $errorMessage = $nginxConfigTestCommand->getOutput(); goto Ff41a; dd510: D23b4: goto B0272; e4f72: $errorMessage = $e->getMessage(); goto B0620; d5272: $this->commandExecutor->execute($restoreBackupFileCommand); goto F9045; B0620: if (!(true === isset($nginxConfigTestCommand))) { goto B12f7; } goto Ca9de; ec62a: $this->commandExecutor->execute($reloadNginxServiceCommand); goto dd510; B0272: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto e4a75; E39dd: $restoreBackupFileCommand->setDestinationFile($vhostFile); goto d5272; d9f77: } } public function createSshUser(SshUserEntity $sshUserEntity) : void { goto E960a; f1a67: $skeletonDirectory = realpath(dirname(__FILE__) . "\57\56\56\57\x2e\x2e\x2f\x72\x65\x73\x6f\x75\x72\x63\145\x73\57\x65\x74\143\x2f\x73\153\145\154\57\163\x73\x68\55\x75\163\145\x72\x2f"); goto af787; e5e4b: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto e3d98; fe6fc: $symlinkDirectories = ["\142\x61\x63\x6b\x75\160\163", "\x68\x74\144\x6f\143\x73", "\154\x6f\x67\x73"]; goto D5bc8; ed63c: $sshDirectoryChmodCommand->setFile($sshDirectory); goto C78e5; ce772: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto b8985; E5d37: $createUserCommand->setUserName($sshUserName); goto Df58d; Df58d: $createUserCommand->setPassword($sshUserPassword); goto B8c0d; d8485: $createUserCommand->createHomeDirectory(true); goto b867c; ac406: dc89d: goto aae61; C78e5: $sshDirectoryChmodCommand->setDirectoryChmod(700); goto f919b; C8bce: $siteUserHomeDirectory = sprintf("\57\x68\157\x6d\145\57\x25\x73", $siteUser); goto ce772; D8f11: $sshUserName = $sshUserEntity->getUserName(); goto Ca534; E084b: $siteUser = $site->getUser(); goto D8f11; D5bc8: foreach ($symlinkDirectories as $symlinkDirectory) { goto ade3c; df9e4: $destination = sprintf("\57\150\157\155\145\57\45\163\x2f\45\163", $sshUserName, $symlinkDirectory); goto ebb9f; a025d: $symlinkCommand->setSource($source); goto b262c; E02d6: $symlinkCommand->setRunAsUser($sshUserName); goto a025d; b262c: $symlinkCommand->setDestination($destination); goto E77c9; Ab0a1: cf09d: goto D1231; E4b48: Bd772: goto Ab0a1; Bcad7: $this->commandExecutor->execute($symlinkCommand); goto E4b48; ade3c: $source = sprintf("\57\x68\x6f\x6d\145\57\45\163\x2f\x25\x73", $siteUser, $symlinkDirectory); goto df9e4; ebb9f: $symlinkCommand = new CreateSymlinkCommand(); goto E02d6; E77c9: if (!("\x64\x65\166" != $_ENV["\101\120\120\137\105\x4e\126"])) { goto Bd772; } goto Bcad7; D1231: } goto ac406; Ef4c4: $sshDirectoryChmodCommand = new FindChmodCommand(); goto ed63c; f919b: $sshDirectoryChmodCommand->setFileChmod(600); goto C8bce; c585a: $createUserCommand->setHomeDirectory($homeDirectory); goto d8485; Bc17a: $createUserCommand->setSkeletonDirectory($skeletonDirectory); goto c585a; E6d81: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto C57a5; Ca534: $sshUserPassword = $sshUserEntity->getPassword(); goto Efcd7; E960a: $site = $sshUserEntity->getSite(); goto E084b; b867c: $this->commandExecutor->execute($createUserCommand); goto fe6fc; B8c0d: $createUserCommand->setGroup($siteUser); goto F28db; C57a5: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto D9716; D9716: $this->commandExecutor->execute($sshDirectoryChmodCommand); goto e5e4b; af787: $createUserCommand = new CreateUserCommand(); goto E5d37; F28db: $createUserCommand->setShell("\x2f\142\x69\x6e\57\142\x61\x73\150"); goto Bc17a; aae61: $sshDirectory = sprintf("\x2f\x68\157\x6d\145\57\x25\x73\57\x2e\163\163\x68", $sshUserName); goto Ef4c4; Efcd7: $homeDirectory = sprintf("\x2f\x68\x6f\x6d\x65\57\x25\163", $sshUserName); goto f1a67; b8985: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto E6d81; e3d98: } public function createFtpUser(FtpUserEntity $ftpUserEntity) : void { goto D1b45; F4658: $createUserCommand->setPassword($ftpUserPassword); goto e9ed2; E5843: $createUserCommand = new CreateUserCommand(); goto ada72; D6901: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto b4acd; d30cc: $ftpUserName = $ftpUserEntity->getUserName(); goto Ca3de; d3036: $this->commandExecutor->execute($createUserCommand); goto Cb08a; F5469: $createUserCommand->setHomeDirectory($homeDirectory); goto c7c83; Cb08a: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto C6cde; c7c83: $createUserCommand->createHomeDirectory(false); goto B5c05; D1b45: $site = $ftpUserEntity->getSite(); goto D5fdd; D815c: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto B7b11; B5c05: $siteUserHomeDirectory = sprintf("\57\150\157\x6d\x65\57\x25\x73", $siteUser); goto D6901; Bf117: $createUserCommand->setShell("\57\x62\x69\156\x2f\146\x61\x6c\163\x65"); goto F5469; Ca3de: $ftpUserPassword = $ftpUserEntity->getPassword(); goto A5aae; b4acd: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto D815c; e9ed2: $createUserCommand->setGroup($siteUser); goto Ef198; B7b11: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto d3036; ada72: $createUserCommand->setUserName($ftpUserName); goto F4658; A5aae: $homeDirectory = $ftpUserEntity->getHomeDirectory(); goto E5843; Ef198: $createUserCommand->setGroups(["\146\x74\x70\55\165\x73\145\x72"]); goto Bf117; D5fdd: $siteUser = $site->getUser(); goto d30cc; C6cde: } public function deleteUser(string $userName, $removeHomeDirectory = true) : void { goto Dd0f0; C2310: $deleteUserCommand->setUserName($userName); goto cc324; Dd0f0: $deleteUserCommand = new DeleteUserCommand(); goto C2310; cc324: $deleteUserCommand->setRemoveHomeDirectory($removeHomeDirectory); goto c263c; c263c: $this->commandExecutor->execute($deleteUserCommand); goto a79d0; a79d0: } public function installCertificate(CertificateEntity $certificateEntity) : void { goto d8074; e1596: $certificate = $certificateEntity->getCertificate(); goto Ddd07; D7403: $this->reloadService("\x6e\x67\151\156\x78"); goto a3581; B61ed: $privateKeyFile = sprintf("\45\163\x2f\45\x73\56\153\x65\171", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\x2f"), $domainName); goto A3806; fe3c7: $this->commandExecutor->execute($writePrivateKeyFileCommand); goto D8c3a; e65c2: A6819: goto c6d5c; Ddd07: if (!(false === empty($certificateEntity->getCertificateChain()))) { goto A6819; } goto a5bd4; c4761: $writePrivateKeyFileCommand->setFile($privateKeyFile); goto Ce838; ff9f7: $writeCertificateFileCommand->setContent($certificate); goto fe3c7; d8074: $domainName = $this->site->getDomainName(); goto B61ed; d0cd5: $writeCertificateFileCommand = new WriteFileCommand(); goto F6069; D8c3a: $this->commandExecutor->execute($writeCertificateFileCommand); goto D7403; c6d5c: $writePrivateKeyFileCommand = new WriteFileCommand(); goto c4761; F6069: $writeCertificateFileCommand->setFile($certificateFile); goto ff9f7; Ce838: $writePrivateKeyFileCommand->setContent($certificateEntity->getPrivateKey()); goto d0cd5; A3806: $certificateFile = sprintf("\x25\x73\x2f\x25\163\x2e\143\x72\x74", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\x2f"), $domainName); goto e1596; a5bd4: $certificate .= sprintf("\45\x73\45\x73", PHP_EOL, trim($certificateEntity->getCertificateChain())); goto e65c2; a3581: } public function deleteLetsEncryptChallengeDirectory() : void { goto c2aa0; Cc2fa: $acemeChallengeDirectory = sprintf("\45\x73\x2f\56\167\x65\154\154\55\153\x6e\157\167\156\57\141\143\155\145\x2d\x63\150\141\154\154\145\156\147\145\57", rtrim($rootDirectory, "\x2f")); goto b2dee; adcdf: $deleteAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto A556a; c2aa0: $rootDirectory = $this->getRootDirectory(); goto Cc2fa; b2dee: $deleteAcmeChallengeDirectoryCommand = new DeleteDirectoryCommand(); goto adcdf; A556a: $this->commandExecutor->execute($deleteAcmeChallengeDirectoryCommand); goto e5e3d; e5e3d: } public function createBasicAuthFile(BasicAuthEntity $basicAuthEntity) : void { goto Ad45d; Df127: $writeBasicAuthFileCommand->setContent($basicAuthFileContent); goto f4fba; bb8db: $basicAuthFileContent = sprintf("\45\163\x3a\45\163", $basicAuthEntity->getUserName(), crypt($basicAuthEntity->getPassword(), base64_encode($basicAuthEntity->getPassword()))); goto D94af; Ad45d: $basicAuthFile = sprintf("\x25\x73\57\x25\163", rtrim(self::NGINX_BASIC_AUTH_DIRECTORY, "\57"), $this->site->getDomainName()); goto bb8db; C5c40: $writeBasicAuthFileCommand->setFile($basicAuthFile); goto Df127; D94af: $writeBasicAuthFileCommand = new WriteFileCommand(); goto C5c40; f4fba: $this->commandExecutor->execute($writeBasicAuthFileCommand); goto Aa2ef; Aa2ef: } public function createLetsEncryptChallengeFiles(CertificateOrder $certificateOrder) : void { goto f9480; C66e2: $wellKnownDirectory = sprintf("\x25\x73\x2f\56\x77\145\x6c\x6c\55\153\156\157\167\x6e\x2f", rtrim($rootDirectory, "\57")); goto E60a9; a3c36: $createAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto B837e; f651e: $chownWellKnownDirectoryCommandCommand->setRecursive(true); goto a4b4d; B8b2f: $chmodWellKnownDirectoryCommand = new FindChmodCommand(); goto C36f0; C36f0: $chmodWellKnownDirectoryCommand->setFile($wellKnownDirectory); goto cdbcc; cdbcc: $chmodWellKnownDirectoryCommand->setDirectoryChmod(750); goto f1f23; a4b4d: $chownWellKnownDirectoryCommandCommand->setUser($siteUser); goto A28ab; e92c7: B7621: goto b5531; Cbfb2: $this->commandExecutor->execute($chownWellKnownDirectoryCommandCommand); goto C8bc2; da693: $challenges = $certificateOrder->getAuthorizationsChallenges(); goto C57de; Dee43: if (!count($challenges)) { goto bb21b; } goto b1c48; C8bc2: $this->commandExecutor->execute($chmodWellKnownDirectoryCommand); goto f4749; A28ab: $chownWellKnownDirectoryCommandCommand->setGroup($siteUser); goto B8b2f; E60a9: $acemeChallengeDirectory = sprintf("\x25\x73\57\56\x77\x65\154\154\55\x6b\156\157\167\x6e\x2f\141\x63\x6d\145\x2d\x63\150\141\154\154\x65\156\x67\145\x2f", rtrim($rootDirectory, "\57")); goto da693; b1c48: foreach ($challenges as $challenge) { goto A0fe2; c0652: $verificationContent = $challenge["\x76\x65\x72\151\146\x69\x63\141\x74\x69\x6f\156\x43\157\x6e\x74\145\x6e\x74"] ?? null; goto F2b1e; B76d1: $challengeFile = sprintf("\x25\163\x2f\x25\163", rtrim($acemeChallengeDirectory, "\x2f"), $token); goto c77ea; F2b1e: if (!(false === is_null($token) && false === is_null($verificationContent))) { goto f501c; } goto B76d1; c77ea: $challengeWriteFileCommand = new WriteFileCommand(); goto Fdee5; Abff5: f501c: goto Ef0a5; bc95e: $challengeWriteFileCommand->setContent($verificationContent); goto B2dfc; Fdee5: $challengeWriteFileCommand->setFile($challengeFile); goto bc95e; Ef0a5: A02fa: goto e5607; A0fe2: $token = $challenge["\164\x6f\153\x65\x6e"] ?? null; goto c0652; B2dfc: $this->commandExecutor->execute($challengeWriteFileCommand); goto Abff5; e5607: } goto e92c7; de9c4: $rootDirectory = $this->getRootDirectory(); goto C66e2; F490b: $chownWellKnownDirectoryCommandCommand->setFile($wellKnownDirectory); goto f651e; f9480: $siteUser = $this->site->getUser(); goto de9c4; C57de: $createAcmeChallengeDirectoryCommand = new CreateDirectoryCommand(); goto a3c36; b5531: bb21b: goto D7306; B837e: $this->commandExecutor->execute($createAcmeChallengeDirectoryCommand); goto Dee43; f1f23: $chmodWellKnownDirectoryCommand->setFileChmod(770); goto Cbfb2; D7306: $chownWellKnownDirectoryCommandCommand = new ChownCommand(); goto F490b; f4749: } public function updateUserCrontab() : void { goto E65c9; C478a: $crontabContent = implode(PHP_EOL, $crontabEntries); goto Dae32; c3316: $this->commandExecutor->execute($writeCrontabFileCommand); goto C7424; Ee564: foreach ($cronJobs as $cronJob) { $crontabEntries[] = $cronJob->getCrontabExpression(); db98c: } goto Fb130; Dae32: $writeCrontabFileCommand = new WriteFileCommand(); goto decec; cff06: $crontabFile = sprintf("\45\x73\57\x25\163", rtrim(self::CRON_DIRECTORY, "\57"), $siteUser); goto Bb55b; Fb130: d9fb9: goto bd201; decec: $writeCrontabFileCommand->setFile($crontabFile); goto b129a; bd201: D9eca: goto C478a; Db3dc: $cronJobs = $this->site->getCronJobs(); goto f6b77; f6b77: if (!count($cronJobs)) { goto D9eca; } goto Ee564; E65c9: $siteUser = $this->site->getUser(); goto cff06; b129a: $writeCrontabFileCommand->setContent($crontabContent); goto c3316; Bb55b: $crontabEntries = ["\x4d\x41\x49\114\124\x4f\75\x22\x22"]; goto Db3dc; C7424: } public function purgePageSpeedCache() : void { goto de176; Cd52d: $purgePageSpeedCacheFilesCommand = new DeleteDirectoryCommand(); goto Cb0d4; f2530: $cacheDirectory = sprintf("\x2f\x68\157\155\145\57\45\x73\x2f\x74\x6d\160\x2f\160\141\147\x65\163\x70\145\145\144\137\x63\141\143\x68\x65", $siteUser); goto Cd52d; de176: $siteUser = $this->site->getUser(); goto f2530; Cb0d4: $purgePageSpeedCacheFilesCommand->setDirectory($cacheDirectory); goto A7be5; A7be5: $this->commandExecutor->execute($purgePageSpeedCacheFilesCommand, 300); goto c6ff6; c6ff6: } public function updateUserSShKeys(string $userName, $sshKeys) : void { goto f63e3; E4f16: $this->commandExecutor->execute($writeAuthorizedKeysFileCommand); goto a5f08; f63e3: $authorizedKeysFile = sprintf("\x2f\150\x6f\155\145\57\45\x73\57\x2e\x73\x73\150\x2f\x61\165\164\x68\x6f\x72\x69\172\145\144\x5f\153\145\x79\x73", $userName); goto A65c3; adfdb: if (!(false === empty($readLinkPath) && $readLinkPath == $authorizedKeysFile)) { goto B48bb; } goto a3cef; F3698: $writeAuthorizedKeysFileCommand->setFile($authorizedKeysFile); goto a9044; a2f7c: $this->commandExecutor->execute($readLinkCommand); goto Fafcc; Fafcc: $readLinkPath = $readLinkCommand->getOutput(); goto adfdb; a3cef: $writeAuthorizedKeysFileCommand = new WriteFileCommand(); goto F3698; db958: $readLinkCommand->setFile($authorizedKeysFile); goto a2f7c; a9044: $writeAuthorizedKeysFileCommand->setContent($sshKeys); goto E4f16; a5f08: B48bb: goto A4087; A65c3: $readLinkCommand = new ReadLinkCommand(); goto db958; A4087: } public function changeUserHomeDirectory(string $userName, string $homeDirectory) : void { goto F372a; c8d23: $changeUserHomeDirectoryCommand->setHomeDirectory($homeDirectory); goto Bb2d0; Bb2d0: $this->commandExecutor->execute($changeUserHomeDirectoryCommand); goto Bc116; E9ad8: $changeUserHomeDirectoryCommand->setUserName($userName); goto c8d23; F372a: $changeUserHomeDirectoryCommand = new ChangeUserHomeDirectoryCommand(); goto E9ad8; Bc116: } public function changeUserPassword(string $userName, string $password) : void { goto Db4a8; B85c1: $changeUserPasswordCommand->setUserName($userName); goto f1e2f; F26da: $this->commandExecutor->execute($changeUserPasswordCommand); goto Edccf; Db4a8: $changeUserPasswordCommand = new ChangeUserPasswordCommand(); goto B85c1; f1e2f: $changeUserPasswordCommand->setPassword($password); goto F26da; Edccf: } protected function getRootDirectory() : string { goto e33cc; E1b05: $rootDirectory = sprintf("\x2f\150\x6f\x6d\x65\57\x25\163\x2f\x68\x74\144\x6f\x63\163\x2f\45\x73", $siteUser, $rootDirectory); goto b8f23; e33cc: $siteUser = $this->site->getUser(); goto Abe4a; b8f23: return $rootDirectory; goto ac0c9; Abe4a: $rootDirectory = $this->site->getRootDirectory(); goto E1b05; ac0c9: } public function reloadNginxService() : void { $this->reloadService("\156\x67\x69\156\x78"); } public function reloadService($serviceName) { goto bc6d7; Cb64f: $this->commandExecutor->execute($reloadServiceCommand); goto f6b7e; c80ea: $reloadServiceCommand = new ServiceReloadCommand(); goto B11eb; f6b7e: e1f1e: goto c0f9e; bc6d7: if (!("\144\145\166" != $_ENV["\x41\120\120\137\105\116\x56"])) { goto e1f1e; } goto c80ea; B11eb: $reloadServiceCommand->setServiceName($serviceName); goto Cb64f; c0f9e: } }
